//  Copyright 2019 root.ext@gmail.com
//
//  Licensed under the Apache License, Version 2.0 (the "License");
//  you may not use this file except in compliance with the License.
//  You may obtain a copy of the License at
//
//  http://www.apache.org/licenses/LICENSE-2.0
//
//  Unless required by applicable law or agreed to in writing, software
//  distributed under the License is distributed on an "AS IS" BASIS,
//  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//  See the License for the specific language governing permissions and
//  limitations under the License.

import 'dart:ffi';
import 'opengl_header.dart';
import 'opengl_library.dart';
import 'package:ffi_utils/ffi_utils.dart';

GlCullFace glCullFace;
GlFrontFace glFrontFace;
GlHint glHint;
GlLineWidth glLineWidth;
GlPointSize glPointSize;
GlPolygonMode glPolygonMode;
GlScissor glScissor;
GlTexParameterf glTexParameterf;
GlTexParameterfv glTexParameterfv;
GlTexParameteri glTexParameteri;
GlTexParameteriv glTexParameteriv;
GlTexImage1D glTexImage1D;
GlTexImage2D glTexImage2D;
GlDrawBuffer glDrawBuffer;
GlClear glClear;
GlClearColor glClearColor;
GlClearStencil glClearStencil;
GlClearDepth glClearDepth;
GlStencilMask glStencilMask;
GlColorMask glColorMask;
GlDepthMask glDepthMask;
GlDisable glDisable;
GlEnable glEnable;
GlFinish glFinish;
GlFlush glFlush;
GlBlendFunc glBlendFunc;
GlLogicOp glLogicOp;
GlStencilFunc glStencilFunc;
GlStencilOp glStencilOp;
GlDepthFunc glDepthFunc;
GlPixelStoref glPixelStoref;
GlPixelStorei glPixelStorei;
GlReadBuffer glReadBuffer;
GlReadPixels glReadPixels;
GlGetBooleanv glGetBooleanv;
GlGetDoublev glGetDoublev;
GlGetError glGetError;
GlGetFloatv glGetFloatv;
GlGetIntegerv glGetIntegerv;
GlGetString glGetString;
GlGetTexImage glGetTexImage;
GlGetTexParameterfv glGetTexParameterfv;
GlGetTexParameteriv glGetTexParameteriv;
GlGetTexLevelParameterfv glGetTexLevelParameterfv;
GlGetTexLevelParameteriv glGetTexLevelParameteriv;
GlIsEnabled glIsEnabled;
GlDepthRange glDepthRange;
GlViewport glViewport;
GlDrawArrays glDrawArrays;
GlDrawElements glDrawElements;
GlGetPointerv glGetPointerv;
GlPolygonOffset glPolygonOffset;
GlCopyTexImage1D glCopyTexImage1D;
GlCopyTexImage2D glCopyTexImage2D;
GlCopyTexSubImage1D glCopyTexSubImage1D;
GlCopyTexSubImage2D glCopyTexSubImage2D;
GlTexSubImage1D glTexSubImage1D;
GlTexSubImage2D glTexSubImage2D;
GlBindTexture glBindTexture;
GlDeleteTextures glDeleteTextures;
GlGenTextures glGenTextures;
GlIsTexture glIsTexture;
GlDrawRangeElements glDrawRangeElements;
GlTexImage3D glTexImage3D;
GlTexSubImage3D glTexSubImage3D;
GlCopyTexSubImage3D glCopyTexSubImage3D;
GlActiveTexture glActiveTexture;
GlSampleCoverage glSampleCoverage;
GlCompressedTexImage3D glCompressedTexImage3D;
GlCompressedTexImage2D glCompressedTexImage2D;
GlCompressedTexImage1D glCompressedTexImage1D;
GlCompressedTexSubImage3D glCompressedTexSubImage3D;
GlCompressedTexSubImage2D glCompressedTexSubImage2D;
GlCompressedTexSubImage1D glCompressedTexSubImage1D;
GlGetCompressedTexImage glGetCompressedTexImage;
GlBlendFuncSeparate glBlendFuncSeparate;
GlMultiDrawArrays glMultiDrawArrays;
GlMultiDrawElements glMultiDrawElements;
GlPointParameterf glPointParameterf;
GlPointParameterfv glPointParameterfv;
GlPointParameteri glPointParameteri;
GlPointParameteriv glPointParameteriv;
GlBlendColor glBlendColor;
GlBlendEquation glBlendEquation;
GlGenQueries glGenQueries;
GlDeleteQueries glDeleteQueries;
GlIsQuery glIsQuery;
GlBeginQuery glBeginQuery;
GlEndQuery glEndQuery;
GlGetQueryiv glGetQueryiv;
GlGetQueryObjectiv glGetQueryObjectiv;
GlGetQueryObjectuiv glGetQueryObjectuiv;
GlBindBuffer glBindBuffer;
GlDeleteBuffers glDeleteBuffers;
GlGenBuffers glGenBuffers;
GlIsBuffer glIsBuffer;
GlBufferData glBufferData;
GlBufferSubData glBufferSubData;
GlGetBufferSubData glGetBufferSubData;
GlMapBuffer glMapBuffer;
GlUnmapBuffer glUnmapBuffer;
GlGetBufferParameteriv glGetBufferParameteriv;
GlGetBufferPointerv glGetBufferPointerv;
GlBlendEquationSeparate glBlendEquationSeparate;
GlDrawBuffers glDrawBuffers;
GlStencilOpSeparate glStencilOpSeparate;
GlStencilFuncSeparate glStencilFuncSeparate;
GlStencilMaskSeparate glStencilMaskSeparate;
GlAttachShader glAttachShader;
GlBindAttribLocation glBindAttribLocation;
GlCompileShader glCompileShader;
GlCreateProgram glCreateProgram;
GlCreateShader glCreateShader;
GlDeleteProgram glDeleteProgram;
GlDeleteShader glDeleteShader;
GlDetachShader glDetachShader;
GlDisableVertexAttribArray glDisableVertexAttribArray;
GlEnableVertexAttribArray glEnableVertexAttribArray;
GlGetActiveAttrib glGetActiveAttrib;
GlGetActiveUniform glGetActiveUniform;
GlGetAttachedShaders glGetAttachedShaders;
GlGetAttribLocation glGetAttribLocation;
GlGetProgramiv glGetProgramiv;
GlGetProgramInfoLog glGetProgramInfoLog;
GlGetShaderiv glGetShaderiv;
GlGetShaderInfoLog glGetShaderInfoLog;
GlGetShaderSource glGetShaderSource;
GlGetUniformLocation glGetUniformLocation;
GlGetUniformfv glGetUniformfv;
GlGetUniformiv glGetUniformiv;
GlGetVertexAttribdv glGetVertexAttribdv;
GlGetVertexAttribfv glGetVertexAttribfv;
GlGetVertexAttribiv glGetVertexAttribiv;
GlGetVertexAttribPointerv glGetVertexAttribPointerv;
GlIsProgram glIsProgram;
GlIsShader glIsShader;
GlLinkProgram glLinkProgram;
GlShaderSource glShaderSource;
GlUseProgram glUseProgram;
GlUniform1f glUniform1f;
GlUniform2f glUniform2f;
GlUniform3f glUniform3f;
GlUniform4f glUniform4f;
GlUniform1i glUniform1i;
GlUniform2i glUniform2i;
GlUniform3i glUniform3i;
GlUniform4i glUniform4i;
GlUniform1fv glUniform1fv;
GlUniform2fv glUniform2fv;
GlUniform3fv glUniform3fv;
GlUniform4fv glUniform4fv;
GlUniform1iv glUniform1iv;
GlUniform2iv glUniform2iv;
GlUniform3iv glUniform3iv;
GlUniform4iv glUniform4iv;
GlUniformMatrix2fv glUniformMatrix2fv;
GlUniformMatrix3fv glUniformMatrix3fv;
GlUniformMatrix4fv glUniformMatrix4fv;
GlValidateProgram glValidateProgram;
GlVertexAttrib1d glVertexAttrib1d;
GlVertexAttrib1dv glVertexAttrib1dv;
GlVertexAttrib1f glVertexAttrib1f;
GlVertexAttrib1fv glVertexAttrib1fv;
GlVertexAttrib1s glVertexAttrib1s;
GlVertexAttrib1sv glVertexAttrib1sv;
GlVertexAttrib2d glVertexAttrib2d;
GlVertexAttrib2dv glVertexAttrib2dv;
GlVertexAttrib2f glVertexAttrib2f;
GlVertexAttrib2fv glVertexAttrib2fv;
GlVertexAttrib2s glVertexAttrib2s;
GlVertexAttrib2sv glVertexAttrib2sv;
GlVertexAttrib3d glVertexAttrib3d;
GlVertexAttrib3dv glVertexAttrib3dv;
GlVertexAttrib3f glVertexAttrib3f;
GlVertexAttrib3fv glVertexAttrib3fv;
GlVertexAttrib3s glVertexAttrib3s;
GlVertexAttrib3sv glVertexAttrib3sv;
GlVertexAttrib4Nbv glVertexAttrib4Nbv;
GlVertexAttrib4Niv glVertexAttrib4Niv;
GlVertexAttrib4Nsv glVertexAttrib4Nsv;
GlVertexAttrib4Nub glVertexAttrib4Nub;
GlVertexAttrib4Nubv glVertexAttrib4Nubv;
GlVertexAttrib4Nuiv glVertexAttrib4Nuiv;
GlVertexAttrib4Nusv glVertexAttrib4Nusv;
GlVertexAttrib4bv glVertexAttrib4bv;
GlVertexAttrib4d glVertexAttrib4d;
GlVertexAttrib4dv glVertexAttrib4dv;
GlVertexAttrib4f glVertexAttrib4f;
GlVertexAttrib4fv glVertexAttrib4fv;
GlVertexAttrib4iv glVertexAttrib4iv;
GlVertexAttrib4s glVertexAttrib4s;
GlVertexAttrib4sv glVertexAttrib4sv;
GlVertexAttrib4ubv glVertexAttrib4ubv;
GlVertexAttrib4uiv glVertexAttrib4uiv;
GlVertexAttrib4usv glVertexAttrib4usv;
GlVertexAttribPointer glVertexAttribPointer;
GlUniformMatrix2x3fv glUniformMatrix2x3fv;
GlUniformMatrix3x2fv glUniformMatrix3x2fv;
GlUniformMatrix2x4fv glUniformMatrix2x4fv;
GlUniformMatrix4x2fv glUniformMatrix4x2fv;
GlUniformMatrix3x4fv glUniformMatrix3x4fv;
GlUniformMatrix4x3fv glUniformMatrix4x3fv;
GlColorMaski glColorMaski;
GlGetBooleani_v glGetBooleani_v;
GlGetIntegeri_v glGetIntegeri_v;
GlEnablei glEnablei;
GlDisablei glDisablei;
GlIsEnabledi glIsEnabledi;
GlBeginTransformFeedback glBeginTransformFeedback;
GlEndTransformFeedback glEndTransformFeedback;
GlBindBufferRange glBindBufferRange;
GlBindBufferBase glBindBufferBase;
GlTransformFeedbackVaryings glTransformFeedbackVaryings;
GlGetTransformFeedbackVarying glGetTransformFeedbackVarying;
GlClampColor glClampColor;
GlBeginConditionalRender glBeginConditionalRender;
GlEndConditionalRender glEndConditionalRender;
GlVertexAttribIPointer glVertexAttribIPointer;
GlGetVertexAttribIiv glGetVertexAttribIiv;
GlGetVertexAttribIuiv glGetVertexAttribIuiv;
GlVertexAttribI1i glVertexAttribI1i;
GlVertexAttribI2i glVertexAttribI2i;
GlVertexAttribI3i glVertexAttribI3i;
GlVertexAttribI4i glVertexAttribI4i;
GlVertexAttribI1ui glVertexAttribI1ui;
GlVertexAttribI2ui glVertexAttribI2ui;
GlVertexAttribI3ui glVertexAttribI3ui;
GlVertexAttribI4ui glVertexAttribI4ui;
GlVertexAttribI1iv glVertexAttribI1iv;
GlVertexAttribI2iv glVertexAttribI2iv;
GlVertexAttribI3iv glVertexAttribI3iv;
GlVertexAttribI4iv glVertexAttribI4iv;
GlVertexAttribI1uiv glVertexAttribI1uiv;
GlVertexAttribI2uiv glVertexAttribI2uiv;
GlVertexAttribI3uiv glVertexAttribI3uiv;
GlVertexAttribI4uiv glVertexAttribI4uiv;
GlVertexAttribI4bv glVertexAttribI4bv;
GlVertexAttribI4sv glVertexAttribI4sv;
GlVertexAttribI4ubv glVertexAttribI4ubv;
GlVertexAttribI4usv glVertexAttribI4usv;
GlGetUniformuiv glGetUniformuiv;
GlBindFragDataLocation glBindFragDataLocation;
GlGetFragDataLocation glGetFragDataLocation;
GlUniform1ui glUniform1ui;
GlUniform2ui glUniform2ui;
GlUniform3ui glUniform3ui;
GlUniform4ui glUniform4ui;
GlUniform1uiv glUniform1uiv;
GlUniform2uiv glUniform2uiv;
GlUniform3uiv glUniform3uiv;
GlUniform4uiv glUniform4uiv;
GlTexParameterIiv glTexParameterIiv;
GlTexParameterIuiv glTexParameterIuiv;
GlGetTexParameterIiv glGetTexParameterIiv;
GlGetTexParameterIuiv glGetTexParameterIuiv;
GlClearBufferiv glClearBufferiv;
GlClearBufferuiv glClearBufferuiv;
GlClearBufferfv glClearBufferfv;
GlClearBufferfi glClearBufferfi;
GlGetStringi glGetStringi;
GlIsRenderbuffer glIsRenderbuffer;
GlBindRenderbuffer glBindRenderbuffer;
GlDeleteRenderbuffers glDeleteRenderbuffers;
GlGenRenderbuffers glGenRenderbuffers;
GlRenderbufferStorage glRenderbufferStorage;
GlGetRenderbufferParameteriv glGetRenderbufferParameteriv;
GlIsFramebuffer glIsFramebuffer;
GlBindFramebuffer glBindFramebuffer;
GlDeleteFramebuffers glDeleteFramebuffers;
GlGenFramebuffers glGenFramebuffers;
GlCheckFramebufferStatus glCheckFramebufferStatus;
GlFramebufferTexture1D glFramebufferTexture1D;
GlFramebufferTexture2D glFramebufferTexture2D;
GlFramebufferTexture3D glFramebufferTexture3D;
GlFramebufferRenderbuffer glFramebufferRenderbuffer;
GlGetFramebufferAttachmentParameteriv glGetFramebufferAttachmentParameteriv;
GlGenerateMipmap glGenerateMipmap;
GlBlitFramebuffer glBlitFramebuffer;
GlRenderbufferStorageMultisample glRenderbufferStorageMultisample;
GlFramebufferTextureLayer glFramebufferTextureLayer;
GlMapBufferRange glMapBufferRange;
GlFlushMappedBufferRange glFlushMappedBufferRange;
GlBindVertexArray glBindVertexArray;
GlDeleteVertexArrays glDeleteVertexArrays;
GlGenVertexArrays glGenVertexArrays;
GlIsVertexArray glIsVertexArray;
GlDrawArraysInstanced glDrawArraysInstanced;
GlDrawElementsInstanced glDrawElementsInstanced;
GlTexBuffer glTexBuffer;
GlPrimitiveRestartIndex glPrimitiveRestartIndex;
GlCopyBufferSubData glCopyBufferSubData;
GlGetUniformIndices glGetUniformIndices;
GlGetActiveUniformsiv glGetActiveUniformsiv;
GlGetActiveUniformName glGetActiveUniformName;
GlGetUniformBlockIndex glGetUniformBlockIndex;
GlGetActiveUniformBlockiv glGetActiveUniformBlockiv;
GlGetActiveUniformBlockName glGetActiveUniformBlockName;
GlUniformBlockBinding glUniformBlockBinding;
GlDrawElementsBaseVertex glDrawElementsBaseVertex;
GlDrawRangeElementsBaseVertex glDrawRangeElementsBaseVertex;
GlDrawElementsInstancedBaseVertex glDrawElementsInstancedBaseVertex;
GlMultiDrawElementsBaseVertex glMultiDrawElementsBaseVertex;
GlProvokingVertex glProvokingVertex;
GlFenceSync glFenceSync;
GlIsSync glIsSync;
GlDeleteSync glDeleteSync;
GlClientWaitSync glClientWaitSync;
GlWaitSync glWaitSync;
GlGetInteger64v glGetInteger64v;
GlGetSynciv glGetSynciv;
GlGetInteger64i_v glGetInteger64i_v;
GlGetBufferParameteri64v glGetBufferParameteri64v;
GlFramebufferTexture glFramebufferTexture;
GlTexImage2DMultisample glTexImage2DMultisample;
GlTexImage3DMultisample glTexImage3DMultisample;
GlGetMultisamplefv glGetMultisamplefv;
GlSampleMaski glSampleMaski;
GlBindFragDataLocationIndexed glBindFragDataLocationIndexed;
GlGetFragDataIndex glGetFragDataIndex;
GlGenSamplers glGenSamplers;
GlDeleteSamplers glDeleteSamplers;
GlIsSampler glIsSampler;
GlBindSampler glBindSampler;
GlSamplerParameteri glSamplerParameteri;
GlSamplerParameteriv glSamplerParameteriv;
GlSamplerParameterf glSamplerParameterf;
GlSamplerParameterfv glSamplerParameterfv;
GlSamplerParameterIiv glSamplerParameterIiv;
GlSamplerParameterIuiv glSamplerParameterIuiv;
GlGetSamplerParameteriv glGetSamplerParameteriv;
GlGetSamplerParameterIiv glGetSamplerParameterIiv;
GlGetSamplerParameterfv glGetSamplerParameterfv;
GlGetSamplerParameterIuiv glGetSamplerParameterIuiv;
GlQueryCounter glQueryCounter;
GlGetQueryObjecti64v glGetQueryObjecti64v;
GlGetQueryObjectui64v glGetQueryObjectui64v;
GlVertexAttribDivisor glVertexAttribDivisor;
GlVertexAttribP1ui glVertexAttribP1ui;
GlVertexAttribP1uiv glVertexAttribP1uiv;
GlVertexAttribP2ui glVertexAttribP2ui;
GlVertexAttribP2uiv glVertexAttribP2uiv;
GlVertexAttribP3ui glVertexAttribP3ui;
GlVertexAttribP3uiv glVertexAttribP3uiv;
GlVertexAttribP4ui glVertexAttribP4ui;
GlVertexAttribP4uiv glVertexAttribP4uiv;
GlMinSampleShading glMinSampleShading;
GlBlendEquationi glBlendEquationi;
GlBlendEquationSeparatei glBlendEquationSeparatei;
GlBlendFunci glBlendFunci;
GlBlendFuncSeparatei glBlendFuncSeparatei;
GlDrawArraysIndirect glDrawArraysIndirect;
GlDrawElementsIndirect glDrawElementsIndirect;
GlUniform1d glUniform1d;
GlUniform2d glUniform2d;
GlUniform3d glUniform3d;
GlUniform4d glUniform4d;
GlUniform1dv glUniform1dv;
GlUniform2dv glUniform2dv;
GlUniform3dv glUniform3dv;
GlUniform4dv glUniform4dv;
GlUniformMatrix2dv glUniformMatrix2dv;
GlUniformMatrix3dv glUniformMatrix3dv;
GlUniformMatrix4dv glUniformMatrix4dv;
GlUniformMatrix2x3dv glUniformMatrix2x3dv;
GlUniformMatrix2x4dv glUniformMatrix2x4dv;
GlUniformMatrix3x2dv glUniformMatrix3x2dv;
GlUniformMatrix3x4dv glUniformMatrix3x4dv;
GlUniformMatrix4x2dv glUniformMatrix4x2dv;
GlUniformMatrix4x3dv glUniformMatrix4x3dv;
GlGetUniformdv glGetUniformdv;
GlGetSubroutineUniformLocation glGetSubroutineUniformLocation;
GlGetSubroutineIndex glGetSubroutineIndex;
GlGetActiveSubroutineUniformiv glGetActiveSubroutineUniformiv;
GlGetActiveSubroutineUniformName glGetActiveSubroutineUniformName;
GlGetActiveSubroutineName glGetActiveSubroutineName;
GlUniformSubroutinesuiv glUniformSubroutinesuiv;
GlGetUniformSubroutineuiv glGetUniformSubroutineuiv;
GlGetProgramStageiv glGetProgramStageiv;
GlPatchParameteri glPatchParameteri;
GlPatchParameterfv glPatchParameterfv;
GlBindTransformFeedback glBindTransformFeedback;
GlDeleteTransformFeedbacks glDeleteTransformFeedbacks;
GlGenTransformFeedbacks glGenTransformFeedbacks;
GlIsTransformFeedback glIsTransformFeedback;
GlPauseTransformFeedback glPauseTransformFeedback;
GlResumeTransformFeedback glResumeTransformFeedback;
GlDrawTransformFeedback glDrawTransformFeedback;
GlDrawTransformFeedbackStream glDrawTransformFeedbackStream;
GlBeginQueryIndexed glBeginQueryIndexed;
GlEndQueryIndexed glEndQueryIndexed;
GlGetQueryIndexediv glGetQueryIndexediv;
GlReleaseShaderCompiler glReleaseShaderCompiler;
GlShaderBinary glShaderBinary;
GlGetShaderPrecisionFormat glGetShaderPrecisionFormat;
GlDepthRangef glDepthRangef;
GlClearDepthf glClearDepthf;
GlGetProgramBinary glGetProgramBinary;
GlProgramBinary glProgramBinary;
GlProgramParameteri glProgramParameteri;
GlUseProgramStages glUseProgramStages;
GlActiveShaderProgram glActiveShaderProgram;
GlCreateShaderProgramv glCreateShaderProgramv;
GlBindProgramPipeline glBindProgramPipeline;
GlDeleteProgramPipelines glDeleteProgramPipelines;
GlGenProgramPipelines glGenProgramPipelines;
GlIsProgramPipeline glIsProgramPipeline;
GlGetProgramPipelineiv glGetProgramPipelineiv;
GlProgramUniform1i glProgramUniform1i;
GlProgramUniform1iv glProgramUniform1iv;
GlProgramUniform1f glProgramUniform1f;
GlProgramUniform1fv glProgramUniform1fv;
GlProgramUniform1d glProgramUniform1d;
GlProgramUniform1dv glProgramUniform1dv;
GlProgramUniform1ui glProgramUniform1ui;
GlProgramUniform1uiv glProgramUniform1uiv;
GlProgramUniform2i glProgramUniform2i;
GlProgramUniform2iv glProgramUniform2iv;
GlProgramUniform2f glProgramUniform2f;
GlProgramUniform2fv glProgramUniform2fv;
GlProgramUniform2d glProgramUniform2d;
GlProgramUniform2dv glProgramUniform2dv;
GlProgramUniform2ui glProgramUniform2ui;
GlProgramUniform2uiv glProgramUniform2uiv;
GlProgramUniform3i glProgramUniform3i;
GlProgramUniform3iv glProgramUniform3iv;
GlProgramUniform3f glProgramUniform3f;
GlProgramUniform3fv glProgramUniform3fv;
GlProgramUniform3d glProgramUniform3d;
GlProgramUniform3dv glProgramUniform3dv;
GlProgramUniform3ui glProgramUniform3ui;
GlProgramUniform3uiv glProgramUniform3uiv;
GlProgramUniform4i glProgramUniform4i;
GlProgramUniform4iv glProgramUniform4iv;
GlProgramUniform4f glProgramUniform4f;
GlProgramUniform4fv glProgramUniform4fv;
GlProgramUniform4d glProgramUniform4d;
GlProgramUniform4dv glProgramUniform4dv;
GlProgramUniform4ui glProgramUniform4ui;
GlProgramUniform4uiv glProgramUniform4uiv;
GlProgramUniformMatrix2fv glProgramUniformMatrix2fv;
GlProgramUniformMatrix3fv glProgramUniformMatrix3fv;
GlProgramUniformMatrix4fv glProgramUniformMatrix4fv;
GlProgramUniformMatrix2dv glProgramUniformMatrix2dv;
GlProgramUniformMatrix3dv glProgramUniformMatrix3dv;
GlProgramUniformMatrix4dv glProgramUniformMatrix4dv;
GlProgramUniformMatrix2x3fv glProgramUniformMatrix2x3fv;
GlProgramUniformMatrix3x2fv glProgramUniformMatrix3x2fv;
GlProgramUniformMatrix2x4fv glProgramUniformMatrix2x4fv;
GlProgramUniformMatrix4x2fv glProgramUniformMatrix4x2fv;
GlProgramUniformMatrix3x4fv glProgramUniformMatrix3x4fv;
GlProgramUniformMatrix4x3fv glProgramUniformMatrix4x3fv;
GlProgramUniformMatrix2x3dv glProgramUniformMatrix2x3dv;
GlProgramUniformMatrix3x2dv glProgramUniformMatrix3x2dv;
GlProgramUniformMatrix2x4dv glProgramUniformMatrix2x4dv;
GlProgramUniformMatrix4x2dv glProgramUniformMatrix4x2dv;
GlProgramUniformMatrix3x4dv glProgramUniformMatrix3x4dv;
GlProgramUniformMatrix4x3dv glProgramUniformMatrix4x3dv;
GlValidateProgramPipeline glValidateProgramPipeline;
GlGetProgramPipelineInfoLog glGetProgramPipelineInfoLog;
GlVertexAttribL1d glVertexAttribL1d;
GlVertexAttribL2d glVertexAttribL2d;
GlVertexAttribL3d glVertexAttribL3d;
GlVertexAttribL4d glVertexAttribL4d;
GlVertexAttribL1dv glVertexAttribL1dv;
GlVertexAttribL2dv glVertexAttribL2dv;
GlVertexAttribL3dv glVertexAttribL3dv;
GlVertexAttribL4dv glVertexAttribL4dv;
GlVertexAttribLPointer glVertexAttribLPointer;
GlGetVertexAttribLdv glGetVertexAttribLdv;
GlViewportArrayv glViewportArrayv;
GlViewportIndexedf glViewportIndexedf;
GlViewportIndexedfv glViewportIndexedfv;
GlScissorArrayv glScissorArrayv;
GlScissorIndexed glScissorIndexed;
GlScissorIndexedv glScissorIndexedv;
GlDepthRangeArrayv glDepthRangeArrayv;
GlDepthRangeIndexed glDepthRangeIndexed;
GlGetFloati_v glGetFloati_v;
GlGetDoublei_v glGetDoublei_v;
GlDrawArraysInstancedBaseInstance glDrawArraysInstancedBaseInstance;
GlDrawElementsInstancedBaseInstance glDrawElementsInstancedBaseInstance;
GlDrawElementsInstancedBaseVertexBaseInstance glDrawElementsInstancedBaseVertexBaseInstance;
GlGetInternalformativ glGetInternalformativ;
GlGetActiveAtomicCounterBufferiv glGetActiveAtomicCounterBufferiv;
GlBindImageTexture glBindImageTexture;
GlMemoryBarrier glMemoryBarrier;
GlTexStorage1D glTexStorage1D;
GlTexStorage2D glTexStorage2D;
GlTexStorage3D glTexStorage3D;
GlDrawTransformFeedbackInstanced glDrawTransformFeedbackInstanced;
GlDrawTransformFeedbackStreamInstanced glDrawTransformFeedbackStreamInstanced;
GlClearBufferData glClearBufferData;
GlClearBufferSubData glClearBufferSubData;
GlDispatchCompute glDispatchCompute;
GlDispatchComputeIndirect glDispatchComputeIndirect;
GlCopyImageSubData glCopyImageSubData;
GlFramebufferParameteri glFramebufferParameteri;
GlGetFramebufferParameteriv glGetFramebufferParameteriv;
GlGetInternalformati64v glGetInternalformati64v;
GlInvalidateTexSubImage glInvalidateTexSubImage;
GlInvalidateTexImage glInvalidateTexImage;
GlInvalidateBufferSubData glInvalidateBufferSubData;
GlInvalidateBufferData glInvalidateBufferData;
GlInvalidateFramebuffer glInvalidateFramebuffer;
GlInvalidateSubFramebuffer glInvalidateSubFramebuffer;
GlMultiDrawArraysIndirect glMultiDrawArraysIndirect;
GlMultiDrawElementsIndirect glMultiDrawElementsIndirect;
GlGetProgramInterfaceiv glGetProgramInterfaceiv;
GlGetProgramResourceIndex glGetProgramResourceIndex;
GlGetProgramResourceName glGetProgramResourceName;
GlGetProgramResourceiv glGetProgramResourceiv;
GlGetProgramResourceLocation glGetProgramResourceLocation;
GlGetProgramResourceLocationIndex glGetProgramResourceLocationIndex;
GlShaderStorageBlockBinding glShaderStorageBlockBinding;
GlTexBufferRange glTexBufferRange;
GlTexStorage2DMultisample glTexStorage2DMultisample;
GlTexStorage3DMultisample glTexStorage3DMultisample;
GlTextureView glTextureView;
GlBindVertexBuffer glBindVertexBuffer;
GlVertexAttribFormat glVertexAttribFormat;
GlVertexAttribIFormat glVertexAttribIFormat;
GlVertexAttribLFormat glVertexAttribLFormat;
GlVertexAttribBinding glVertexAttribBinding;
GlVertexBindingDivisor glVertexBindingDivisor;
GlDebugMessageControl glDebugMessageControl;
GlDebugMessageInsert glDebugMessageInsert;
GlDebugMessageCallback glDebugMessageCallback;
GlGetDebugMessageLog glGetDebugMessageLog;
GlPushDebugGroup glPushDebugGroup;
GlPopDebugGroup glPopDebugGroup;
GlObjectLabel glObjectLabel;
GlGetObjectLabel glGetObjectLabel;
GlObjectPtrLabel glObjectPtrLabel;
GlGetObjectPtrLabel glGetObjectPtrLabel;
GlBufferStorage glBufferStorage;
GlClearTexImage glClearTexImage;
GlClearTexSubImage glClearTexSubImage;
GlBindBuffersBase glBindBuffersBase;
GlBindBuffersRange glBindBuffersRange;
GlBindTextures glBindTextures;
GlBindSamplers glBindSamplers;
GlBindImageTextures glBindImageTextures;
GlBindVertexBuffers glBindVertexBuffers;
GlClipControl glClipControl;
GlCreateTransformFeedbacks glCreateTransformFeedbacks;
GlTransformFeedbackBufferBase glTransformFeedbackBufferBase;
GlTransformFeedbackBufferRange glTransformFeedbackBufferRange;
GlGetTransformFeedbackiv glGetTransformFeedbackiv;
GlGetTransformFeedbacki_v glGetTransformFeedbacki_v;
GlGetTransformFeedbacki64_v glGetTransformFeedbacki64_v;
GlCreateBuffers glCreateBuffers;
GlNamedBufferStorage glNamedBufferStorage;
GlNamedBufferData glNamedBufferData;
GlNamedBufferSubData glNamedBufferSubData;
GlCopyNamedBufferSubData glCopyNamedBufferSubData;
GlClearNamedBufferData glClearNamedBufferData;
GlClearNamedBufferSubData glClearNamedBufferSubData;
GlMapNamedBuffer glMapNamedBuffer;
GlMapNamedBufferRange glMapNamedBufferRange;
GlUnmapNamedBuffer glUnmapNamedBuffer;
GlFlushMappedNamedBufferRange glFlushMappedNamedBufferRange;
GlGetNamedBufferParameteriv glGetNamedBufferParameteriv;
GlGetNamedBufferParameteri64v glGetNamedBufferParameteri64v;
GlGetNamedBufferPointerv glGetNamedBufferPointerv;
GlGetNamedBufferSubData glGetNamedBufferSubData;
GlCreateFramebuffers glCreateFramebuffers;
GlNamedFramebufferRenderbuffer glNamedFramebufferRenderbuffer;
GlNamedFramebufferParameteri glNamedFramebufferParameteri;
GlNamedFramebufferTexture glNamedFramebufferTexture;
GlNamedFramebufferTextureLayer glNamedFramebufferTextureLayer;
GlNamedFramebufferDrawBuffer glNamedFramebufferDrawBuffer;
GlNamedFramebufferDrawBuffers glNamedFramebufferDrawBuffers;
GlNamedFramebufferReadBuffer glNamedFramebufferReadBuffer;
GlInvalidateNamedFramebufferData glInvalidateNamedFramebufferData;
GlInvalidateNamedFramebufferSubData glInvalidateNamedFramebufferSubData;
GlClearNamedFramebufferiv glClearNamedFramebufferiv;
GlClearNamedFramebufferuiv glClearNamedFramebufferuiv;
GlClearNamedFramebufferfv glClearNamedFramebufferfv;
GlClearNamedFramebufferfi glClearNamedFramebufferfi;
GlBlitNamedFramebuffer glBlitNamedFramebuffer;
GlCheckNamedFramebufferStatus glCheckNamedFramebufferStatus;
GlGetNamedFramebufferParameteriv glGetNamedFramebufferParameteriv;
GlGetNamedFramebufferAttachmentParameteriv glGetNamedFramebufferAttachmentParameteriv;
GlCreateRenderbuffers glCreateRenderbuffers;
GlNamedRenderbufferStorage glNamedRenderbufferStorage;
GlNamedRenderbufferStorageMultisample glNamedRenderbufferStorageMultisample;
GlGetNamedRenderbufferParameteriv glGetNamedRenderbufferParameteriv;
GlCreateTextures glCreateTextures;
GlTextureBuffer glTextureBuffer;
GlTextureBufferRange glTextureBufferRange;
GlTextureStorage1D glTextureStorage1D;
GlTextureStorage2D glTextureStorage2D;
GlTextureStorage3D glTextureStorage3D;
GlTextureStorage2DMultisample glTextureStorage2DMultisample;
GlTextureStorage3DMultisample glTextureStorage3DMultisample;
GlTextureSubImage1D glTextureSubImage1D;
GlTextureSubImage2D glTextureSubImage2D;
GlTextureSubImage3D glTextureSubImage3D;
GlCompressedTextureSubImage1D glCompressedTextureSubImage1D;
GlCompressedTextureSubImage2D glCompressedTextureSubImage2D;
GlCompressedTextureSubImage3D glCompressedTextureSubImage3D;
GlCopyTextureSubImage1D glCopyTextureSubImage1D;
GlCopyTextureSubImage2D glCopyTextureSubImage2D;
GlCopyTextureSubImage3D glCopyTextureSubImage3D;
GlTextureParameterf glTextureParameterf;
GlTextureParameterfv glTextureParameterfv;
GlTextureParameteri glTextureParameteri;
GlTextureParameterIiv glTextureParameterIiv;
GlTextureParameterIuiv glTextureParameterIuiv;
GlTextureParameteriv glTextureParameteriv;
GlGenerateTextureMipmap glGenerateTextureMipmap;
GlBindTextureUnit glBindTextureUnit;
GlGetTextureImage glGetTextureImage;
GlGetCompressedTextureImage glGetCompressedTextureImage;
GlGetTextureLevelParameterfv glGetTextureLevelParameterfv;
GlGetTextureLevelParameteriv glGetTextureLevelParameteriv;
GlGetTextureParameterfv glGetTextureParameterfv;
GlGetTextureParameterIiv glGetTextureParameterIiv;
GlGetTextureParameterIuiv glGetTextureParameterIuiv;
GlGetTextureParameteriv glGetTextureParameteriv;
GlCreateVertexArrays glCreateVertexArrays;
GlDisableVertexArrayAttrib glDisableVertexArrayAttrib;
GlEnableVertexArrayAttrib glEnableVertexArrayAttrib;
GlVertexArrayElementBuffer glVertexArrayElementBuffer;
GlVertexArrayVertexBuffer glVertexArrayVertexBuffer;
GlVertexArrayVertexBuffers glVertexArrayVertexBuffers;
GlVertexArrayAttribBinding glVertexArrayAttribBinding;
GlVertexArrayAttribFormat glVertexArrayAttribFormat;
GlVertexArrayAttribIFormat glVertexArrayAttribIFormat;
GlVertexArrayAttribLFormat glVertexArrayAttribLFormat;
GlVertexArrayBindingDivisor glVertexArrayBindingDivisor;
GlGetVertexArrayiv glGetVertexArrayiv;
GlGetVertexArrayIndexediv glGetVertexArrayIndexediv;
GlGetVertexArrayIndexed64iv glGetVertexArrayIndexed64iv;
GlCreateSamplers glCreateSamplers;
GlCreateProgramPipelines glCreateProgramPipelines;
GlCreateQueries glCreateQueries;
GlGetQueryBufferObjecti64v glGetQueryBufferObjecti64v;
GlGetQueryBufferObjectiv glGetQueryBufferObjectiv;
GlGetQueryBufferObjectui64v glGetQueryBufferObjectui64v;
GlGetQueryBufferObjectuiv glGetQueryBufferObjectuiv;
GlMemoryBarrierByRegion glMemoryBarrierByRegion;
GlGetTextureSubImage glGetTextureSubImage;
GlGetCompressedTextureSubImage glGetCompressedTextureSubImage;
GlGetGraphicsResetStatus glGetGraphicsResetStatus;
GlGetnCompressedTexImage glGetnCompressedTexImage;
GlGetnTexImage glGetnTexImage;
GlGetnUniformdv glGetnUniformdv;
GlGetnUniformfv glGetnUniformfv;
GlGetnUniformiv glGetnUniformiv;
GlGetnUniformuiv glGetnUniformuiv;
GlReadnPixels glReadnPixels;
GlTextureBarrier glTextureBarrier;
GlSpecializeShader glSpecializeShader;
GlMultiDrawArraysIndirectCount glMultiDrawArraysIndirectCount;
GlMultiDrawElementsIndirectCount glMultiDrawElementsIndirectCount;
GlPolygonOffsetClamp glPolygonOffsetClamp;
GlPrimitiveBoundingBoxARB glPrimitiveBoundingBoxARB;
GlGetTextureHandleARB glGetTextureHandleARB;
GlGetTextureSamplerHandleARB glGetTextureSamplerHandleARB;
GlMakeTextureHandleResidentARB glMakeTextureHandleResidentARB;
GlMakeTextureHandleNonResidentARB glMakeTextureHandleNonResidentARB;
GlGetImageHandleARB glGetImageHandleARB;
GlMakeImageHandleResidentARB glMakeImageHandleResidentARB;
GlMakeImageHandleNonResidentARB glMakeImageHandleNonResidentARB;
GlUniformHandleui64ARB glUniformHandleui64ARB;
GlUniformHandleui64vARB glUniformHandleui64vARB;
GlProgramUniformHandleui64ARB glProgramUniformHandleui64ARB;
GlProgramUniformHandleui64vARB glProgramUniformHandleui64vARB;
GlIsTextureHandleResidentARB glIsTextureHandleResidentARB;
GlIsImageHandleResidentARB glIsImageHandleResidentARB;
GlVertexAttribL1ui64ARB glVertexAttribL1ui64ARB;
GlVertexAttribL1ui64vARB glVertexAttribL1ui64vARB;
GlGetVertexAttribLui64vARB glGetVertexAttribLui64vARB;
GlCreateSyncFromCLeventARB glCreateSyncFromCLeventARB;
GlDispatchComputeGroupSizeARB glDispatchComputeGroupSizeARB;
GlDebugMessageControlARB glDebugMessageControlARB;
GlDebugMessageInsertARB glDebugMessageInsertARB;
GlDebugMessageCallbackARB glDebugMessageCallbackARB;
GlGetDebugMessageLogARB glGetDebugMessageLogARB;
GlBlendEquationiARB glBlendEquationiARB;
GlBlendEquationSeparateiARB glBlendEquationSeparateiARB;
GlBlendFunciARB glBlendFunciARB;
GlBlendFuncSeparateiARB glBlendFuncSeparateiARB;
GlDrawArraysInstancedARB glDrawArraysInstancedARB;
GlDrawElementsInstancedARB glDrawElementsInstancedARB;
GlProgramParameteriARB glProgramParameteriARB;
GlFramebufferTextureARB glFramebufferTextureARB;
GlFramebufferTextureLayerARB glFramebufferTextureLayerARB;
GlFramebufferTextureFaceARB glFramebufferTextureFaceARB;
GlSpecializeShaderARB glSpecializeShaderARB;
GlUniform1i64ARB glUniform1i64ARB;
GlUniform2i64ARB glUniform2i64ARB;
GlUniform3i64ARB glUniform3i64ARB;
GlUniform4i64ARB glUniform4i64ARB;
GlUniform1i64vARB glUniform1i64vARB;
GlUniform2i64vARB glUniform2i64vARB;
GlUniform3i64vARB glUniform3i64vARB;
GlUniform4i64vARB glUniform4i64vARB;
GlUniform1ui64ARB glUniform1ui64ARB;
GlUniform2ui64ARB glUniform2ui64ARB;
GlUniform3ui64ARB glUniform3ui64ARB;
GlUniform4ui64ARB glUniform4ui64ARB;
GlUniform1ui64vARB glUniform1ui64vARB;
GlUniform2ui64vARB glUniform2ui64vARB;
GlUniform3ui64vARB glUniform3ui64vARB;
GlUniform4ui64vARB glUniform4ui64vARB;
GlGetUniformi64vARB glGetUniformi64vARB;
GlGetUniformui64vARB glGetUniformui64vARB;
GlGetnUniformi64vARB glGetnUniformi64vARB;
GlGetnUniformui64vARB glGetnUniformui64vARB;
GlProgramUniform1i64ARB glProgramUniform1i64ARB;
GlProgramUniform2i64ARB glProgramUniform2i64ARB;
GlProgramUniform3i64ARB glProgramUniform3i64ARB;
GlProgramUniform4i64ARB glProgramUniform4i64ARB;
GlProgramUniform1i64vARB glProgramUniform1i64vARB;
GlProgramUniform2i64vARB glProgramUniform2i64vARB;
GlProgramUniform3i64vARB glProgramUniform3i64vARB;
GlProgramUniform4i64vARB glProgramUniform4i64vARB;
GlProgramUniform1ui64ARB glProgramUniform1ui64ARB;
GlProgramUniform2ui64ARB glProgramUniform2ui64ARB;
GlProgramUniform3ui64ARB glProgramUniform3ui64ARB;
GlProgramUniform4ui64ARB glProgramUniform4ui64ARB;
GlProgramUniform1ui64vARB glProgramUniform1ui64vARB;
GlProgramUniform2ui64vARB glProgramUniform2ui64vARB;
GlProgramUniform3ui64vARB glProgramUniform3ui64vARB;
GlProgramUniform4ui64vARB glProgramUniform4ui64vARB;
GlMultiDrawArraysIndirectCountARB glMultiDrawArraysIndirectCountARB;
GlMultiDrawElementsIndirectCountARB glMultiDrawElementsIndirectCountARB;
GlVertexAttribDivisorARB glVertexAttribDivisorARB;
GlMaxShaderCompilerThreadsARB glMaxShaderCompilerThreadsARB;
GlGetGraphicsResetStatusARB glGetGraphicsResetStatusARB;
GlGetnTexImageARB glGetnTexImageARB;
GlReadnPixelsARB glReadnPixelsARB;
GlGetnCompressedTexImageARB glGetnCompressedTexImageARB;
GlGetnUniformfvARB glGetnUniformfvARB;
GlGetnUniformivARB glGetnUniformivARB;
GlGetnUniformuivARB glGetnUniformuivARB;
GlGetnUniformdvARB glGetnUniformdvARB;
GlFramebufferSampleLocationsfvARB glFramebufferSampleLocationsfvARB;
GlNamedFramebufferSampleLocationsfvARB glNamedFramebufferSampleLocationsfvARB;
GlEvaluateDepthValuesARB glEvaluateDepthValuesARB;
GlMinSampleShadingARB glMinSampleShadingARB;
GlNamedStringARB glNamedStringARB;
GlDeleteNamedStringARB glDeleteNamedStringARB;
GlCompileShaderIncludeARB glCompileShaderIncludeARB;
GlIsNamedStringARB glIsNamedStringARB;
GlGetNamedStringARB glGetNamedStringARB;
GlGetNamedStringivARB glGetNamedStringivARB;
GlBufferPageCommitmentARB glBufferPageCommitmentARB;
GlNamedBufferPageCommitmentEXT glNamedBufferPageCommitmentEXT;
GlNamedBufferPageCommitmentARB glNamedBufferPageCommitmentARB;
GlTexPageCommitmentARB glTexPageCommitmentARB;
GlTexBufferARB glTexBufferARB;
GlBlendBarrierKHR glBlendBarrierKHR;
GlMaxShaderCompilerThreadsKHR glMaxShaderCompilerThreadsKHR;
GlRenderbufferStorageMultisampleAdvancedAMD glRenderbufferStorageMultisampleAdvancedAMD;
GlNamedRenderbufferStorageMultisampleAdvancedAMD glNamedRenderbufferStorageMultisampleAdvancedAMD;
GlGetPerfMonitorGroupsAMD glGetPerfMonitorGroupsAMD;
GlGetPerfMonitorCountersAMD glGetPerfMonitorCountersAMD;
GlGetPerfMonitorGroupStringAMD glGetPerfMonitorGroupStringAMD;
GlGetPerfMonitorCounterStringAMD glGetPerfMonitorCounterStringAMD;
GlGetPerfMonitorCounterInfoAMD glGetPerfMonitorCounterInfoAMD;
GlGenPerfMonitorsAMD glGenPerfMonitorsAMD;
GlDeletePerfMonitorsAMD glDeletePerfMonitorsAMD;
GlSelectPerfMonitorCountersAMD glSelectPerfMonitorCountersAMD;
GlBeginPerfMonitorAMD glBeginPerfMonitorAMD;
GlEndPerfMonitorAMD glEndPerfMonitorAMD;
GlGetPerfMonitorCounterDataAMD glGetPerfMonitorCounterDataAMD;
GlEGLImageTargetTexStorageEXT glEGLImageTargetTexStorageEXT;
GlEGLImageTargetTextureStorageEXT glEGLImageTargetTextureStorageEXT;
GlLabelObjectEXT glLabelObjectEXT;
GlGetObjectLabelEXT glGetObjectLabelEXT;
GlInsertEventMarkerEXT glInsertEventMarkerEXT;
GlPushGroupMarkerEXT glPushGroupMarkerEXT;
GlPopGroupMarkerEXT glPopGroupMarkerEXT;
GlMatrixLoadfEXT glMatrixLoadfEXT;
GlMatrixLoaddEXT glMatrixLoaddEXT;
GlMatrixMultfEXT glMatrixMultfEXT;
GlMatrixMultdEXT glMatrixMultdEXT;
GlMatrixLoadIdentityEXT glMatrixLoadIdentityEXT;
GlMatrixRotatefEXT glMatrixRotatefEXT;
GlMatrixRotatedEXT glMatrixRotatedEXT;
GlMatrixScalefEXT glMatrixScalefEXT;
GlMatrixScaledEXT glMatrixScaledEXT;
GlMatrixTranslatefEXT glMatrixTranslatefEXT;
GlMatrixTranslatedEXT glMatrixTranslatedEXT;
GlMatrixFrustumEXT glMatrixFrustumEXT;
GlMatrixOrthoEXT glMatrixOrthoEXT;
GlMatrixPopEXT glMatrixPopEXT;
GlMatrixPushEXT glMatrixPushEXT;
GlClientAttribDefaultEXT glClientAttribDefaultEXT;
GlPushClientAttribDefaultEXT glPushClientAttribDefaultEXT;
GlTextureParameterfEXT glTextureParameterfEXT;
GlTextureParameterfvEXT glTextureParameterfvEXT;
GlTextureParameteriEXT glTextureParameteriEXT;
GlTextureParameterivEXT glTextureParameterivEXT;
GlTextureImage1DEXT glTextureImage1DEXT;
GlTextureImage2DEXT glTextureImage2DEXT;
GlTextureSubImage1DEXT glTextureSubImage1DEXT;
GlTextureSubImage2DEXT glTextureSubImage2DEXT;
GlCopyTextureImage1DEXT glCopyTextureImage1DEXT;
GlCopyTextureImage2DEXT glCopyTextureImage2DEXT;
GlCopyTextureSubImage1DEXT glCopyTextureSubImage1DEXT;
GlCopyTextureSubImage2DEXT glCopyTextureSubImage2DEXT;
GlGetTextureImageEXT glGetTextureImageEXT;
GlGetTextureParameterfvEXT glGetTextureParameterfvEXT;
GlGetTextureParameterivEXT glGetTextureParameterivEXT;
GlGetTextureLevelParameterfvEXT glGetTextureLevelParameterfvEXT;
GlGetTextureLevelParameterivEXT glGetTextureLevelParameterivEXT;
GlTextureImage3DEXT glTextureImage3DEXT;
GlTextureSubImage3DEXT glTextureSubImage3DEXT;
GlCopyTextureSubImage3DEXT glCopyTextureSubImage3DEXT;
GlBindMultiTextureEXT glBindMultiTextureEXT;
GlMultiTexCoordPointerEXT glMultiTexCoordPointerEXT;
GlMultiTexEnvfEXT glMultiTexEnvfEXT;
GlMultiTexEnvfvEXT glMultiTexEnvfvEXT;
GlMultiTexEnviEXT glMultiTexEnviEXT;
GlMultiTexEnvivEXT glMultiTexEnvivEXT;
GlMultiTexGendEXT glMultiTexGendEXT;
GlMultiTexGendvEXT glMultiTexGendvEXT;
GlMultiTexGenfEXT glMultiTexGenfEXT;
GlMultiTexGenfvEXT glMultiTexGenfvEXT;
GlMultiTexGeniEXT glMultiTexGeniEXT;
GlMultiTexGenivEXT glMultiTexGenivEXT;
GlGetMultiTexEnvfvEXT glGetMultiTexEnvfvEXT;
GlGetMultiTexEnvivEXT glGetMultiTexEnvivEXT;
GlGetMultiTexGendvEXT glGetMultiTexGendvEXT;
GlGetMultiTexGenfvEXT glGetMultiTexGenfvEXT;
GlGetMultiTexGenivEXT glGetMultiTexGenivEXT;
GlMultiTexParameteriEXT glMultiTexParameteriEXT;
GlMultiTexParameterivEXT glMultiTexParameterivEXT;
GlMultiTexParameterfEXT glMultiTexParameterfEXT;
GlMultiTexParameterfvEXT glMultiTexParameterfvEXT;
GlMultiTexImage1DEXT glMultiTexImage1DEXT;
GlMultiTexImage2DEXT glMultiTexImage2DEXT;
GlMultiTexSubImage1DEXT glMultiTexSubImage1DEXT;
GlMultiTexSubImage2DEXT glMultiTexSubImage2DEXT;
GlCopyMultiTexImage1DEXT glCopyMultiTexImage1DEXT;
GlCopyMultiTexImage2DEXT glCopyMultiTexImage2DEXT;
GlCopyMultiTexSubImage1DEXT glCopyMultiTexSubImage1DEXT;
GlCopyMultiTexSubImage2DEXT glCopyMultiTexSubImage2DEXT;
GlGetMultiTexImageEXT glGetMultiTexImageEXT;
GlGetMultiTexParameterfvEXT glGetMultiTexParameterfvEXT;
GlGetMultiTexParameterivEXT glGetMultiTexParameterivEXT;
GlGetMultiTexLevelParameterfvEXT glGetMultiTexLevelParameterfvEXT;
GlGetMultiTexLevelParameterivEXT glGetMultiTexLevelParameterivEXT;
GlMultiTexImage3DEXT glMultiTexImage3DEXT;
GlMultiTexSubImage3DEXT glMultiTexSubImage3DEXT;
GlCopyMultiTexSubImage3DEXT glCopyMultiTexSubImage3DEXT;
GlEnableClientStateIndexedEXT glEnableClientStateIndexedEXT;
GlDisableClientStateIndexedEXT glDisableClientStateIndexedEXT;
GlGetFloatIndexedvEXT glGetFloatIndexedvEXT;
GlGetDoubleIndexedvEXT glGetDoubleIndexedvEXT;
GlGetPointerIndexedvEXT glGetPointerIndexedvEXT;
GlEnableIndexedEXT glEnableIndexedEXT;
GlDisableIndexedEXT glDisableIndexedEXT;
GlIsEnabledIndexedEXT glIsEnabledIndexedEXT;
GlGetIntegerIndexedvEXT glGetIntegerIndexedvEXT;
GlGetBooleanIndexedvEXT glGetBooleanIndexedvEXT;
GlCompressedTextureImage3DEXT glCompressedTextureImage3DEXT;
GlCompressedTextureImage2DEXT glCompressedTextureImage2DEXT;
GlCompressedTextureImage1DEXT glCompressedTextureImage1DEXT;
GlCompressedTextureSubImage3DEXT glCompressedTextureSubImage3DEXT;
GlCompressedTextureSubImage2DEXT glCompressedTextureSubImage2DEXT;
GlCompressedTextureSubImage1DEXT glCompressedTextureSubImage1DEXT;
GlGetCompressedTextureImageEXT glGetCompressedTextureImageEXT;
GlCompressedMultiTexImage3DEXT glCompressedMultiTexImage3DEXT;
GlCompressedMultiTexImage2DEXT glCompressedMultiTexImage2DEXT;
GlCompressedMultiTexImage1DEXT glCompressedMultiTexImage1DEXT;
GlCompressedMultiTexSubImage3DEXT glCompressedMultiTexSubImage3DEXT;
GlCompressedMultiTexSubImage2DEXT glCompressedMultiTexSubImage2DEXT;
GlCompressedMultiTexSubImage1DEXT glCompressedMultiTexSubImage1DEXT;
GlGetCompressedMultiTexImageEXT glGetCompressedMultiTexImageEXT;
GlMatrixLoadTransposefEXT glMatrixLoadTransposefEXT;
GlMatrixLoadTransposedEXT glMatrixLoadTransposedEXT;
GlMatrixMultTransposefEXT glMatrixMultTransposefEXT;
GlMatrixMultTransposedEXT glMatrixMultTransposedEXT;
GlNamedBufferDataEXT glNamedBufferDataEXT;
GlNamedBufferSubDataEXT glNamedBufferSubDataEXT;
GlMapNamedBufferEXT glMapNamedBufferEXT;
GlUnmapNamedBufferEXT glUnmapNamedBufferEXT;
GlGetNamedBufferParameterivEXT glGetNamedBufferParameterivEXT;
GlGetNamedBufferPointervEXT glGetNamedBufferPointervEXT;
GlGetNamedBufferSubDataEXT glGetNamedBufferSubDataEXT;
GlProgramUniform1fEXT glProgramUniform1fEXT;
GlProgramUniform2fEXT glProgramUniform2fEXT;
GlProgramUniform3fEXT glProgramUniform3fEXT;
GlProgramUniform4fEXT glProgramUniform4fEXT;
GlProgramUniform1iEXT glProgramUniform1iEXT;
GlProgramUniform2iEXT glProgramUniform2iEXT;
GlProgramUniform3iEXT glProgramUniform3iEXT;
GlProgramUniform4iEXT glProgramUniform4iEXT;
GlProgramUniform1fvEXT glProgramUniform1fvEXT;
GlProgramUniform2fvEXT glProgramUniform2fvEXT;
GlProgramUniform3fvEXT glProgramUniform3fvEXT;
GlProgramUniform4fvEXT glProgramUniform4fvEXT;
GlProgramUniform1ivEXT glProgramUniform1ivEXT;
GlProgramUniform2ivEXT glProgramUniform2ivEXT;
GlProgramUniform3ivEXT glProgramUniform3ivEXT;
GlProgramUniform4ivEXT glProgramUniform4ivEXT;
GlProgramUniformMatrix2fvEXT glProgramUniformMatrix2fvEXT;
GlProgramUniformMatrix3fvEXT glProgramUniformMatrix3fvEXT;
GlProgramUniformMatrix4fvEXT glProgramUniformMatrix4fvEXT;
GlProgramUniformMatrix2x3fvEXT glProgramUniformMatrix2x3fvEXT;
GlProgramUniformMatrix3x2fvEXT glProgramUniformMatrix3x2fvEXT;
GlProgramUniformMatrix2x4fvEXT glProgramUniformMatrix2x4fvEXT;
GlProgramUniformMatrix4x2fvEXT glProgramUniformMatrix4x2fvEXT;
GlProgramUniformMatrix3x4fvEXT glProgramUniformMatrix3x4fvEXT;
GlProgramUniformMatrix4x3fvEXT glProgramUniformMatrix4x3fvEXT;
GlTextureBufferEXT glTextureBufferEXT;
GlMultiTexBufferEXT glMultiTexBufferEXT;
GlTextureParameterIivEXT glTextureParameterIivEXT;
GlTextureParameterIuivEXT glTextureParameterIuivEXT;
GlGetTextureParameterIivEXT glGetTextureParameterIivEXT;
GlGetTextureParameterIuivEXT glGetTextureParameterIuivEXT;
GlMultiTexParameterIivEXT glMultiTexParameterIivEXT;
GlMultiTexParameterIuivEXT glMultiTexParameterIuivEXT;
GlGetMultiTexParameterIivEXT glGetMultiTexParameterIivEXT;
GlGetMultiTexParameterIuivEXT glGetMultiTexParameterIuivEXT;
GlProgramUniform1uiEXT glProgramUniform1uiEXT;
GlProgramUniform2uiEXT glProgramUniform2uiEXT;
GlProgramUniform3uiEXT glProgramUniform3uiEXT;
GlProgramUniform4uiEXT glProgramUniform4uiEXT;
GlProgramUniform1uivEXT glProgramUniform1uivEXT;
GlProgramUniform2uivEXT glProgramUniform2uivEXT;
GlProgramUniform3uivEXT glProgramUniform3uivEXT;
GlProgramUniform4uivEXT glProgramUniform4uivEXT;
GlNamedProgramLocalParameters4fvEXT glNamedProgramLocalParameters4fvEXT;
GlNamedProgramLocalParameterI4iEXT glNamedProgramLocalParameterI4iEXT;
GlNamedProgramLocalParameterI4ivEXT glNamedProgramLocalParameterI4ivEXT;
GlNamedProgramLocalParametersI4ivEXT glNamedProgramLocalParametersI4ivEXT;
GlNamedProgramLocalParameterI4uiEXT glNamedProgramLocalParameterI4uiEXT;
GlNamedProgramLocalParameterI4uivEXT glNamedProgramLocalParameterI4uivEXT;
GlNamedProgramLocalParametersI4uivEXT glNamedProgramLocalParametersI4uivEXT;
GlGetNamedProgramLocalParameterIivEXT glGetNamedProgramLocalParameterIivEXT;
GlGetNamedProgramLocalParameterIuivEXT glGetNamedProgramLocalParameterIuivEXT;
GlEnableClientStateiEXT glEnableClientStateiEXT;
GlDisableClientStateiEXT glDisableClientStateiEXT;
GlGetFloati_vEXT glGetFloati_vEXT;
GlGetDoublei_vEXT glGetDoublei_vEXT;
GlGetPointeri_vEXT glGetPointeri_vEXT;
GlNamedProgramStringEXT glNamedProgramStringEXT;
GlNamedProgramLocalParameter4dEXT glNamedProgramLocalParameter4dEXT;
GlNamedProgramLocalParameter4dvEXT glNamedProgramLocalParameter4dvEXT;
GlNamedProgramLocalParameter4fEXT glNamedProgramLocalParameter4fEXT;
GlNamedProgramLocalParameter4fvEXT glNamedProgramLocalParameter4fvEXT;
GlGetNamedProgramLocalParameterdvEXT glGetNamedProgramLocalParameterdvEXT;
GlGetNamedProgramLocalParameterfvEXT glGetNamedProgramLocalParameterfvEXT;
GlGetNamedProgramivEXT glGetNamedProgramivEXT;
GlGetNamedProgramStringEXT glGetNamedProgramStringEXT;
GlNamedRenderbufferStorageEXT glNamedRenderbufferStorageEXT;
GlGetNamedRenderbufferParameterivEXT glGetNamedRenderbufferParameterivEXT;
GlNamedRenderbufferStorageMultisampleEXT glNamedRenderbufferStorageMultisampleEXT;
GlNamedRenderbufferStorageMultisampleCoverageEXT glNamedRenderbufferStorageMultisampleCoverageEXT;
GlCheckNamedFramebufferStatusEXT glCheckNamedFramebufferStatusEXT;
GlNamedFramebufferTexture1DEXT glNamedFramebufferTexture1DEXT;
GlNamedFramebufferTexture2DEXT glNamedFramebufferTexture2DEXT;
GlNamedFramebufferTexture3DEXT glNamedFramebufferTexture3DEXT;
GlNamedFramebufferRenderbufferEXT glNamedFramebufferRenderbufferEXT;
GlGetNamedFramebufferAttachmentParameterivEXT glGetNamedFramebufferAttachmentParameterivEXT;
GlGenerateTextureMipmapEXT glGenerateTextureMipmapEXT;
GlGenerateMultiTexMipmapEXT glGenerateMultiTexMipmapEXT;
GlFramebufferDrawBufferEXT glFramebufferDrawBufferEXT;
GlFramebufferDrawBuffersEXT glFramebufferDrawBuffersEXT;
GlFramebufferReadBufferEXT glFramebufferReadBufferEXT;
GlGetFramebufferParameterivEXT glGetFramebufferParameterivEXT;
GlNamedCopyBufferSubDataEXT glNamedCopyBufferSubDataEXT;
GlNamedFramebufferTextureEXT glNamedFramebufferTextureEXT;
GlNamedFramebufferTextureLayerEXT glNamedFramebufferTextureLayerEXT;
GlNamedFramebufferTextureFaceEXT glNamedFramebufferTextureFaceEXT;
GlTextureRenderbufferEXT glTextureRenderbufferEXT;
GlMultiTexRenderbufferEXT glMultiTexRenderbufferEXT;
GlVertexArrayVertexOffsetEXT glVertexArrayVertexOffsetEXT;
GlVertexArrayColorOffsetEXT glVertexArrayColorOffsetEXT;
GlVertexArrayEdgeFlagOffsetEXT glVertexArrayEdgeFlagOffsetEXT;
GlVertexArrayIndexOffsetEXT glVertexArrayIndexOffsetEXT;
GlVertexArrayNormalOffsetEXT glVertexArrayNormalOffsetEXT;
GlVertexArrayTexCoordOffsetEXT glVertexArrayTexCoordOffsetEXT;
GlVertexArrayMultiTexCoordOffsetEXT glVertexArrayMultiTexCoordOffsetEXT;
GlVertexArrayFogCoordOffsetEXT glVertexArrayFogCoordOffsetEXT;
GlVertexArraySecondaryColorOffsetEXT glVertexArraySecondaryColorOffsetEXT;
GlVertexArrayVertexAttribOffsetEXT glVertexArrayVertexAttribOffsetEXT;
GlVertexArrayVertexAttribIOffsetEXT glVertexArrayVertexAttribIOffsetEXT;
GlEnableVertexArrayEXT glEnableVertexArrayEXT;
GlDisableVertexArrayEXT glDisableVertexArrayEXT;
GlEnableVertexArrayAttribEXT glEnableVertexArrayAttribEXT;
GlDisableVertexArrayAttribEXT glDisableVertexArrayAttribEXT;
GlGetVertexArrayIntegervEXT glGetVertexArrayIntegervEXT;
GlGetVertexArrayPointervEXT glGetVertexArrayPointervEXT;
GlGetVertexArrayIntegeri_vEXT glGetVertexArrayIntegeri_vEXT;
GlGetVertexArrayPointeri_vEXT glGetVertexArrayPointeri_vEXT;
GlMapNamedBufferRangeEXT glMapNamedBufferRangeEXT;
GlFlushMappedNamedBufferRangeEXT glFlushMappedNamedBufferRangeEXT;
GlNamedBufferStorageEXT glNamedBufferStorageEXT;
GlClearNamedBufferDataEXT glClearNamedBufferDataEXT;
GlClearNamedBufferSubDataEXT glClearNamedBufferSubDataEXT;
GlNamedFramebufferParameteriEXT glNamedFramebufferParameteriEXT;
GlGetNamedFramebufferParameterivEXT glGetNamedFramebufferParameterivEXT;
GlProgramUniform1dEXT glProgramUniform1dEXT;
GlProgramUniform2dEXT glProgramUniform2dEXT;
GlProgramUniform3dEXT glProgramUniform3dEXT;
GlProgramUniform4dEXT glProgramUniform4dEXT;
GlProgramUniform1dvEXT glProgramUniform1dvEXT;
GlProgramUniform2dvEXT glProgramUniform2dvEXT;
GlProgramUniform3dvEXT glProgramUniform3dvEXT;
GlProgramUniform4dvEXT glProgramUniform4dvEXT;
GlProgramUniformMatrix2dvEXT glProgramUniformMatrix2dvEXT;
GlProgramUniformMatrix3dvEXT glProgramUniformMatrix3dvEXT;
GlProgramUniformMatrix4dvEXT glProgramUniformMatrix4dvEXT;
GlProgramUniformMatrix2x3dvEXT glProgramUniformMatrix2x3dvEXT;
GlProgramUniformMatrix2x4dvEXT glProgramUniformMatrix2x4dvEXT;
GlProgramUniformMatrix3x2dvEXT glProgramUniformMatrix3x2dvEXT;
GlProgramUniformMatrix3x4dvEXT glProgramUniformMatrix3x4dvEXT;
GlProgramUniformMatrix4x2dvEXT glProgramUniformMatrix4x2dvEXT;
GlProgramUniformMatrix4x3dvEXT glProgramUniformMatrix4x3dvEXT;
GlTextureBufferRangeEXT glTextureBufferRangeEXT;
GlTextureStorage1DEXT glTextureStorage1DEXT;
GlTextureStorage2DEXT glTextureStorage2DEXT;
GlTextureStorage3DEXT glTextureStorage3DEXT;
GlTextureStorage2DMultisampleEXT glTextureStorage2DMultisampleEXT;
GlTextureStorage3DMultisampleEXT glTextureStorage3DMultisampleEXT;
GlVertexArrayBindVertexBufferEXT glVertexArrayBindVertexBufferEXT;
GlVertexArrayVertexAttribFormatEXT glVertexArrayVertexAttribFormatEXT;
GlVertexArrayVertexAttribIFormatEXT glVertexArrayVertexAttribIFormatEXT;
GlVertexArrayVertexAttribLFormatEXT glVertexArrayVertexAttribLFormatEXT;
GlVertexArrayVertexAttribBindingEXT glVertexArrayVertexAttribBindingEXT;
GlVertexArrayVertexBindingDivisorEXT glVertexArrayVertexBindingDivisorEXT;
GlVertexArrayVertexAttribLOffsetEXT glVertexArrayVertexAttribLOffsetEXT;
GlTexturePageCommitmentEXT glTexturePageCommitmentEXT;
GlVertexArrayVertexAttribDivisorEXT glVertexArrayVertexAttribDivisorEXT;
GlDrawArraysInstancedEXT glDrawArraysInstancedEXT;
GlDrawElementsInstancedEXT glDrawElementsInstancedEXT;
GlPolygonOffsetClampEXT glPolygonOffsetClampEXT;
GlRasterSamplesEXT glRasterSamplesEXT;
GlUseShaderProgramEXT glUseShaderProgramEXT;
GlActiveProgramEXT glActiveProgramEXT;
GlCreateShaderProgramEXT glCreateShaderProgramEXT;
GlFramebufferFetchBarrierEXT glFramebufferFetchBarrierEXT;
GlWindowRectanglesEXT glWindowRectanglesEXT;
GlApplyFramebufferAttachmentCMAAINTEL glApplyFramebufferAttachmentCMAAINTEL;
GlBeginPerfQueryINTEL glBeginPerfQueryINTEL;
GlCreatePerfQueryINTEL glCreatePerfQueryINTEL;
GlDeletePerfQueryINTEL glDeletePerfQueryINTEL;
GlEndPerfQueryINTEL glEndPerfQueryINTEL;
GlGetFirstPerfQueryIdINTEL glGetFirstPerfQueryIdINTEL;
GlGetNextPerfQueryIdINTEL glGetNextPerfQueryIdINTEL;
GlGetPerfCounterInfoINTEL glGetPerfCounterInfoINTEL;
GlGetPerfQueryDataINTEL glGetPerfQueryDataINTEL;
GlGetPerfQueryIdByNameINTEL glGetPerfQueryIdByNameINTEL;
GlGetPerfQueryInfoINTEL glGetPerfQueryInfoINTEL;
GlMultiDrawArraysIndirectBindlessNV glMultiDrawArraysIndirectBindlessNV;
GlMultiDrawElementsIndirectBindlessNV glMultiDrawElementsIndirectBindlessNV;
GlMultiDrawArraysIndirectBindlessCountNV glMultiDrawArraysIndirectBindlessCountNV;
GlMultiDrawElementsIndirectBindlessCountNV glMultiDrawElementsIndirectBindlessCountNV;
GlGetTextureHandleNV glGetTextureHandleNV;
GlGetTextureSamplerHandleNV glGetTextureSamplerHandleNV;
GlMakeTextureHandleResidentNV glMakeTextureHandleResidentNV;
GlMakeTextureHandleNonResidentNV glMakeTextureHandleNonResidentNV;
GlGetImageHandleNV glGetImageHandleNV;
GlMakeImageHandleResidentNV glMakeImageHandleResidentNV;
GlMakeImageHandleNonResidentNV glMakeImageHandleNonResidentNV;
GlUniformHandleui64NV glUniformHandleui64NV;
GlUniformHandleui64vNV glUniformHandleui64vNV;
GlProgramUniformHandleui64NV glProgramUniformHandleui64NV;
GlProgramUniformHandleui64vNV glProgramUniformHandleui64vNV;
GlIsTextureHandleResidentNV glIsTextureHandleResidentNV;
GlIsImageHandleResidentNV glIsImageHandleResidentNV;
GlBlendParameteriNV glBlendParameteriNV;
GlBlendBarrierNV glBlendBarrierNV;
GlViewportPositionWScaleNV glViewportPositionWScaleNV;
GlCreateStatesNV glCreateStatesNV;
GlDeleteStatesNV glDeleteStatesNV;
GlIsStateNV glIsStateNV;
GlStateCaptureNV glStateCaptureNV;
GlGetCommandHeaderNV glGetCommandHeaderNV;
GlGetStageIndexNV glGetStageIndexNV;
GlDrawCommandsNV glDrawCommandsNV;
GlDrawCommandsAddressNV glDrawCommandsAddressNV;
GlDrawCommandsStatesNV glDrawCommandsStatesNV;
GlDrawCommandsStatesAddressNV glDrawCommandsStatesAddressNV;
GlCreateCommandListsNV glCreateCommandListsNV;
GlDeleteCommandListsNV glDeleteCommandListsNV;
GlIsCommandListNV glIsCommandListNV;
GlListDrawCommandsStatesClientNV glListDrawCommandsStatesClientNV;
GlCommandListSegmentsNV glCommandListSegmentsNV;
GlCompileCommandListNV glCompileCommandListNV;
GlCallCommandListNV glCallCommandListNV;
GlBeginConditionalRenderNV glBeginConditionalRenderNV;
GlEndConditionalRenderNV glEndConditionalRenderNV;
GlSubpixelPrecisionBiasNV glSubpixelPrecisionBiasNV;
GlConservativeRasterParameterfNV glConservativeRasterParameterfNV;
GlConservativeRasterParameteriNV glConservativeRasterParameteriNV;
GlDrawVkImageNV glDrawVkImageNV;
GlGetVkProcAddrNV glGetVkProcAddrNV;
GlWaitVkSemaphoreNV glWaitVkSemaphoreNV;
GlSignalVkSemaphoreNV glSignalVkSemaphoreNV;
GlSignalVkFenceNV glSignalVkFenceNV;
GlFragmentCoverageColorNV glFragmentCoverageColorNV;
GlCoverageModulationTableNV glCoverageModulationTableNV;
GlGetCoverageModulationTableNV glGetCoverageModulationTableNV;
GlCoverageModulationNV glCoverageModulationNV;
GlRenderbufferStorageMultisampleCoverageNV glRenderbufferStorageMultisampleCoverageNV;
GlUniform1i64NV glUniform1i64NV;
GlUniform2i64NV glUniform2i64NV;
GlUniform3i64NV glUniform3i64NV;
GlUniform4i64NV glUniform4i64NV;
GlUniform1i64vNV glUniform1i64vNV;
GlUniform2i64vNV glUniform2i64vNV;
GlUniform3i64vNV glUniform3i64vNV;
GlUniform4i64vNV glUniform4i64vNV;
GlUniform1ui64NV glUniform1ui64NV;
GlUniform2ui64NV glUniform2ui64NV;
GlUniform3ui64NV glUniform3ui64NV;
GlUniform4ui64NV glUniform4ui64NV;
GlUniform1ui64vNV glUniform1ui64vNV;
GlUniform2ui64vNV glUniform2ui64vNV;
GlUniform3ui64vNV glUniform3ui64vNV;
GlUniform4ui64vNV glUniform4ui64vNV;
GlGetUniformi64vNV glGetUniformi64vNV;
GlProgramUniform1i64NV glProgramUniform1i64NV;
GlProgramUniform2i64NV glProgramUniform2i64NV;
GlProgramUniform3i64NV glProgramUniform3i64NV;
GlProgramUniform4i64NV glProgramUniform4i64NV;
GlProgramUniform1i64vNV glProgramUniform1i64vNV;
GlProgramUniform2i64vNV glProgramUniform2i64vNV;
GlProgramUniform3i64vNV glProgramUniform3i64vNV;
GlProgramUniform4i64vNV glProgramUniform4i64vNV;
GlProgramUniform1ui64NV glProgramUniform1ui64NV;
GlProgramUniform2ui64NV glProgramUniform2ui64NV;
GlProgramUniform3ui64NV glProgramUniform3ui64NV;
GlProgramUniform4ui64NV glProgramUniform4ui64NV;
GlProgramUniform1ui64vNV glProgramUniform1ui64vNV;
GlProgramUniform2ui64vNV glProgramUniform2ui64vNV;
GlProgramUniform3ui64vNV glProgramUniform3ui64vNV;
GlProgramUniform4ui64vNV glProgramUniform4ui64vNV;
GlGetInternalformatSampleivNV glGetInternalformatSampleivNV;
GlGetMemoryObjectDetachedResourcesuivNV glGetMemoryObjectDetachedResourcesuivNV;
GlResetMemoryObjectParameterNV glResetMemoryObjectParameterNV;
GlTexAttachMemoryNV glTexAttachMemoryNV;
GlBufferAttachMemoryNV glBufferAttachMemoryNV;
GlTextureAttachMemoryNV glTextureAttachMemoryNV;
GlNamedBufferAttachMemoryNV glNamedBufferAttachMemoryNV;
GlDrawMeshTasksNV glDrawMeshTasksNV;
GlDrawMeshTasksIndirectNV glDrawMeshTasksIndirectNV;
GlMultiDrawMeshTasksIndirectNV glMultiDrawMeshTasksIndirectNV;
GlMultiDrawMeshTasksIndirectCountNV glMultiDrawMeshTasksIndirectCountNV;
GlGenPathsNV glGenPathsNV;
GlDeletePathsNV glDeletePathsNV;
GlIsPathNV glIsPathNV;
GlPathCommandsNV glPathCommandsNV;
GlPathCoordsNV glPathCoordsNV;
GlPathSubCommandsNV glPathSubCommandsNV;
GlPathSubCoordsNV glPathSubCoordsNV;
GlPathStringNV glPathStringNV;
GlPathGlyphsNV glPathGlyphsNV;
GlPathGlyphRangeNV glPathGlyphRangeNV;
GlWeightPathsNV glWeightPathsNV;
GlCopyPathNV glCopyPathNV;
GlInterpolatePathsNV glInterpolatePathsNV;
GlTransformPathNV glTransformPathNV;
GlPathParameterivNV glPathParameterivNV;
GlPathParameteriNV glPathParameteriNV;
GlPathParameterfvNV glPathParameterfvNV;
GlPathParameterfNV glPathParameterfNV;
GlPathDashArrayNV glPathDashArrayNV;
GlPathStencilFuncNV glPathStencilFuncNV;
GlPathStencilDepthOffsetNV glPathStencilDepthOffsetNV;
GlStencilFillPathNV glStencilFillPathNV;
GlStencilStrokePathNV glStencilStrokePathNV;
GlStencilFillPathInstancedNV glStencilFillPathInstancedNV;
GlStencilStrokePathInstancedNV glStencilStrokePathInstancedNV;
GlPathCoverDepthFuncNV glPathCoverDepthFuncNV;
GlCoverFillPathNV glCoverFillPathNV;
GlCoverStrokePathNV glCoverStrokePathNV;
GlCoverFillPathInstancedNV glCoverFillPathInstancedNV;
GlCoverStrokePathInstancedNV glCoverStrokePathInstancedNV;
GlGetPathParameterivNV glGetPathParameterivNV;
GlGetPathParameterfvNV glGetPathParameterfvNV;
GlGetPathCommandsNV glGetPathCommandsNV;
GlGetPathCoordsNV glGetPathCoordsNV;
GlGetPathDashArrayNV glGetPathDashArrayNV;
GlGetPathMetricsNV glGetPathMetricsNV;
GlGetPathMetricRangeNV glGetPathMetricRangeNV;
GlGetPathSpacingNV glGetPathSpacingNV;
GlIsPointInFillPathNV glIsPointInFillPathNV;
GlIsPointInStrokePathNV glIsPointInStrokePathNV;
GlGetPathLengthNV glGetPathLengthNV;
GlPointAlongPathNV glPointAlongPathNV;
GlMatrixLoad3x2fNV glMatrixLoad3x2fNV;
GlMatrixLoad3x3fNV glMatrixLoad3x3fNV;
GlMatrixLoadTranspose3x3fNV glMatrixLoadTranspose3x3fNV;
GlMatrixMult3x2fNV glMatrixMult3x2fNV;
GlMatrixMult3x3fNV glMatrixMult3x3fNV;
GlMatrixMultTranspose3x3fNV glMatrixMultTranspose3x3fNV;
GlStencilThenCoverFillPathNV glStencilThenCoverFillPathNV;
GlStencilThenCoverStrokePathNV glStencilThenCoverStrokePathNV;
GlStencilThenCoverFillPathInstancedNV glStencilThenCoverFillPathInstancedNV;
GlStencilThenCoverStrokePathInstancedNV glStencilThenCoverStrokePathInstancedNV;
GlPathGlyphIndexRangeNV glPathGlyphIndexRangeNV;
GlPathGlyphIndexArrayNV glPathGlyphIndexArrayNV;
GlPathMemoryGlyphIndexArrayNV glPathMemoryGlyphIndexArrayNV;
GlProgramPathFragmentInputGenNV glProgramPathFragmentInputGenNV;
GlGetProgramResourcefvNV glGetProgramResourcefvNV;
GlFramebufferSampleLocationsfvNV glFramebufferSampleLocationsfvNV;
GlNamedFramebufferSampleLocationsfvNV glNamedFramebufferSampleLocationsfvNV;
GlResolveDepthValuesNV glResolveDepthValuesNV;
GlScissorExclusiveNV glScissorExclusiveNV;
GlScissorExclusiveArrayvNV glScissorExclusiveArrayvNV;
GlMakeBufferResidentNV glMakeBufferResidentNV;
GlMakeBufferNonResidentNV glMakeBufferNonResidentNV;
GlIsBufferResidentNV glIsBufferResidentNV;
GlMakeNamedBufferResidentNV glMakeNamedBufferResidentNV;
GlMakeNamedBufferNonResidentNV glMakeNamedBufferNonResidentNV;
GlIsNamedBufferResidentNV glIsNamedBufferResidentNV;
GlGetBufferParameterui64vNV glGetBufferParameterui64vNV;
GlGetNamedBufferParameterui64vNV glGetNamedBufferParameterui64vNV;
GlGetIntegerui64vNV glGetIntegerui64vNV;
GlUniformui64NV glUniformui64NV;
GlUniformui64vNV glUniformui64vNV;
GlGetUniformui64vNV glGetUniformui64vNV;
GlProgramUniformui64NV glProgramUniformui64NV;
GlProgramUniformui64vNV glProgramUniformui64vNV;
GlBindShadingRateImageNV glBindShadingRateImageNV;
GlGetShadingRateImagePaletteNV glGetShadingRateImagePaletteNV;
GlGetShadingRateSampleLocationivNV glGetShadingRateSampleLocationivNV;
GlShadingRateImageBarrierNV glShadingRateImageBarrierNV;
GlShadingRateImagePaletteNV glShadingRateImagePaletteNV;
GlShadingRateSampleOrderNV glShadingRateSampleOrderNV;
GlShadingRateSampleOrderCustomNV glShadingRateSampleOrderCustomNV;
GlTextureBarrierNV glTextureBarrierNV;
GlVertexAttribL1i64NV glVertexAttribL1i64NV;
GlVertexAttribL2i64NV glVertexAttribL2i64NV;
GlVertexAttribL3i64NV glVertexAttribL3i64NV;
GlVertexAttribL4i64NV glVertexAttribL4i64NV;
GlVertexAttribL1i64vNV glVertexAttribL1i64vNV;
GlVertexAttribL2i64vNV glVertexAttribL2i64vNV;
GlVertexAttribL3i64vNV glVertexAttribL3i64vNV;
GlVertexAttribL4i64vNV glVertexAttribL4i64vNV;
GlVertexAttribL1ui64NV glVertexAttribL1ui64NV;
GlVertexAttribL2ui64NV glVertexAttribL2ui64NV;
GlVertexAttribL3ui64NV glVertexAttribL3ui64NV;
GlVertexAttribL4ui64NV glVertexAttribL4ui64NV;
GlVertexAttribL1ui64vNV glVertexAttribL1ui64vNV;
GlVertexAttribL2ui64vNV glVertexAttribL2ui64vNV;
GlVertexAttribL3ui64vNV glVertexAttribL3ui64vNV;
GlVertexAttribL4ui64vNV glVertexAttribL4ui64vNV;
GlGetVertexAttribLi64vNV glGetVertexAttribLi64vNV;
GlGetVertexAttribLui64vNV glGetVertexAttribLui64vNV;
GlVertexAttribLFormatNV glVertexAttribLFormatNV;
GlBufferAddressRangeNV glBufferAddressRangeNV;
GlVertexFormatNV glVertexFormatNV;
GlNormalFormatNV glNormalFormatNV;
GlColorFormatNV glColorFormatNV;
GlIndexFormatNV glIndexFormatNV;
GlTexCoordFormatNV glTexCoordFormatNV;
GlEdgeFlagFormatNV glEdgeFlagFormatNV;
GlSecondaryColorFormatNV glSecondaryColorFormatNV;
GlFogCoordFormatNV glFogCoordFormatNV;
GlVertexAttribFormatNV glVertexAttribFormatNV;
GlVertexAttribIFormatNV glVertexAttribIFormatNV;
GlGetIntegerui64i_vNV glGetIntegerui64i_vNV;
GlViewportSwizzleNV glViewportSwizzleNV;
GlFramebufferTextureMultiviewOVR glFramebufferTextureMultiviewOVR;

void initOpenGL() {
  var gl = loadLibrary();
  glCullFace = gl.lookupFunction<GlCullFaceNative, GlCullFace>('glCullFace');
  glFrontFace = gl.lookupFunction<GlFrontFaceNative, GlFrontFace>('glFrontFace');
  glHint = gl.lookupFunction<GlHintNative, GlHint>('glHint');
  glLineWidth = gl.lookupFunction<GlLineWidthNative, GlLineWidth>('glLineWidth');
  glPointSize = gl.lookupFunction<GlPointSizeNative, GlPointSize>('glPointSize');
  glPolygonMode = gl.lookupFunction<GlPolygonModeNative, GlPolygonMode>('glPolygonMode');
  glScissor = gl.lookupFunction<GlScissorNative, GlScissor>('glScissor');
  glTexParameterf = gl.lookupFunction<GlTexParameterfNative, GlTexParameterf>('glTexParameterf');
  glTexParameterfv = gl.lookupFunction<GlTexParameterfvNative, GlTexParameterfv>('glTexParameterfv');
  glTexParameteri = gl.lookupFunction<GlTexParameteriNative, GlTexParameteri>('glTexParameteri');
  glTexParameteriv = gl.lookupFunction<GlTexParameterivNative, GlTexParameteriv>('glTexParameteriv');
  glTexImage1D = gl.lookupFunction<GlTexImage1DNative, GlTexImage1D>('glTexImage1D');
  glTexImage2D = gl.lookupFunction<GlTexImage2DNative, GlTexImage2D>('glTexImage2D');
  glDrawBuffer = gl.lookupFunction<GlDrawBufferNative, GlDrawBuffer>('glDrawBuffer');
  glClear = gl.lookupFunction<GlClearNative, GlClear>('glClear');
  glClearColor = gl.lookupFunction<GlClearColorNative, GlClearColor>('glClearColor');
  glClearStencil = gl.lookupFunction<GlClearStencilNative, GlClearStencil>('glClearStencil');
  glClearDepth = gl.lookupFunction<GlClearDepthNative, GlClearDepth>('glClearDepth');
  glStencilMask = gl.lookupFunction<GlStencilMaskNative, GlStencilMask>('glStencilMask');
  glColorMask = gl.lookupFunction<GlColorMaskNative, GlColorMask>('glColorMask');
  glDepthMask = gl.lookupFunction<GlDepthMaskNative, GlDepthMask>('glDepthMask');
  glDisable = gl.lookupFunction<GlDisableNative, GlDisable>('glDisable');
  glEnable = gl.lookupFunction<GlEnableNative, GlEnable>('glEnable');
  glFinish = gl.lookupFunction<GlFinishNative, GlFinish>('glFinish');
  glFlush = gl.lookupFunction<GlFlushNative, GlFlush>('glFlush');
  glBlendFunc = gl.lookupFunction<GlBlendFuncNative, GlBlendFunc>('glBlendFunc');
  glLogicOp = gl.lookupFunction<GlLogicOpNative, GlLogicOp>('glLogicOp');
  glStencilFunc = gl.lookupFunction<GlStencilFuncNative, GlStencilFunc>('glStencilFunc');
  glStencilOp = gl.lookupFunction<GlStencilOpNative, GlStencilOp>('glStencilOp');
  glDepthFunc = gl.lookupFunction<GlDepthFuncNative, GlDepthFunc>('glDepthFunc');
  glPixelStoref = gl.lookupFunction<GlPixelStorefNative, GlPixelStoref>('glPixelStoref');
  glPixelStorei = gl.lookupFunction<GlPixelStoreiNative, GlPixelStorei>('glPixelStorei');
  glReadBuffer = gl.lookupFunction<GlReadBufferNative, GlReadBuffer>('glReadBuffer');
  glReadPixels = gl.lookupFunction<GlReadPixelsNative, GlReadPixels>('glReadPixels');
  glGetBooleanv = gl.lookupFunction<GlGetBooleanvNative, GlGetBooleanv>('glGetBooleanv');
  glGetDoublev = gl.lookupFunction<GlGetDoublevNative, GlGetDoublev>('glGetDoublev');
  glGetError = gl.lookupFunction<GlGetErrorNative, GlGetError>('glGetError');
  glGetFloatv = gl.lookupFunction<GlGetFloatvNative, GlGetFloatv>('glGetFloatv');
  glGetIntegerv = gl.lookupFunction<GlGetIntegervNative, GlGetIntegerv>('glGetIntegerv');
  glGetString = gl.lookupFunction<GlGetStringNative, GlGetString>('glGetString');
  glGetTexImage = gl.lookupFunction<GlGetTexImageNative, GlGetTexImage>('glGetTexImage');
  glGetTexParameterfv = gl.lookupFunction<GlGetTexParameterfvNative, GlGetTexParameterfv>('glGetTexParameterfv');
  glGetTexParameteriv = gl.lookupFunction<GlGetTexParameterivNative, GlGetTexParameteriv>('glGetTexParameteriv');
  glGetTexLevelParameterfv = gl.lookupFunction<GlGetTexLevelParameterfvNative, GlGetTexLevelParameterfv>('glGetTexLevelParameterfv');
  glGetTexLevelParameteriv = gl.lookupFunction<GlGetTexLevelParameterivNative, GlGetTexLevelParameteriv>('glGetTexLevelParameteriv');
  glIsEnabled = gl.lookupFunction<GlIsEnabledNative, GlIsEnabled>('glIsEnabled');
  glDepthRange = gl.lookupFunction<GlDepthRangeNative, GlDepthRange>('glDepthRange');
  glViewport = gl.lookupFunction<GlViewportNative, GlViewport>('glViewport');
  glDrawArrays = gl.lookupFunction<GlDrawArraysNative, GlDrawArrays>('glDrawArrays');
  glDrawElements = gl.lookupFunction<GlDrawElementsNative, GlDrawElements>('glDrawElements');
  glGetPointerv = gl.lookupFunction<GlGetPointervNative, GlGetPointerv>('glGetPointerv');
  glPolygonOffset = gl.lookupFunction<GlPolygonOffsetNative, GlPolygonOffset>('glPolygonOffset');
  glCopyTexImage1D = gl.lookupFunction<GlCopyTexImage1DNative, GlCopyTexImage1D>('glCopyTexImage1D');
  glCopyTexImage2D = gl.lookupFunction<GlCopyTexImage2DNative, GlCopyTexImage2D>('glCopyTexImage2D');
  glCopyTexSubImage1D = gl.lookupFunction<GlCopyTexSubImage1DNative, GlCopyTexSubImage1D>('glCopyTexSubImage1D');
  glCopyTexSubImage2D = gl.lookupFunction<GlCopyTexSubImage2DNative, GlCopyTexSubImage2D>('glCopyTexSubImage2D');
  glTexSubImage1D = gl.lookupFunction<GlTexSubImage1DNative, GlTexSubImage1D>('glTexSubImage1D');
  glTexSubImage2D = gl.lookupFunction<GlTexSubImage2DNative, GlTexSubImage2D>('glTexSubImage2D');
  glBindTexture = gl.lookupFunction<GlBindTextureNative, GlBindTexture>('glBindTexture');
  glDeleteTextures = gl.lookupFunction<GlDeleteTexturesNative, GlDeleteTextures>('glDeleteTextures');
  glGenTextures = gl.lookupFunction<GlGenTexturesNative, GlGenTextures>('glGenTextures');
  glIsTexture = gl.lookupFunction<GlIsTextureNative, GlIsTexture>('glIsTexture');
  glDrawRangeElements = Pointer<NativeFunction<GlDrawRangeElementsNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glDrawRangeElements'))).asFunction<GlDrawRangeElements>();
  glTexImage3D = Pointer<NativeFunction<GlTexImage3DNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glTexImage3D'))).asFunction<GlTexImage3D>();
  glTexSubImage3D = Pointer<NativeFunction<GlTexSubImage3DNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glTexSubImage3D'))).asFunction<GlTexSubImage3D>();
  glCopyTexSubImage3D = Pointer<NativeFunction<GlCopyTexSubImage3DNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glCopyTexSubImage3D'))).asFunction<GlCopyTexSubImage3D>();
  glActiveTexture = Pointer<NativeFunction<GlActiveTextureNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glActiveTexture'))).asFunction<GlActiveTexture>();
  glSampleCoverage = Pointer<NativeFunction<GlSampleCoverageNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glSampleCoverage'))).asFunction<GlSampleCoverage>();
  glCompressedTexImage3D = Pointer<NativeFunction<GlCompressedTexImage3DNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glCompressedTexImage3D'))).asFunction<GlCompressedTexImage3D>();
  glCompressedTexImage2D = Pointer<NativeFunction<GlCompressedTexImage2DNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glCompressedTexImage2D'))).asFunction<GlCompressedTexImage2D>();
  glCompressedTexImage1D = Pointer<NativeFunction<GlCompressedTexImage1DNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glCompressedTexImage1D'))).asFunction<GlCompressedTexImage1D>();
  glCompressedTexSubImage3D = Pointer<NativeFunction<GlCompressedTexSubImage3DNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glCompressedTexSubImage3D'))).asFunction<GlCompressedTexSubImage3D>();
  glCompressedTexSubImage2D = Pointer<NativeFunction<GlCompressedTexSubImage2DNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glCompressedTexSubImage2D'))).asFunction<GlCompressedTexSubImage2D>();
  glCompressedTexSubImage1D = Pointer<NativeFunction<GlCompressedTexSubImage1DNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glCompressedTexSubImage1D'))).asFunction<GlCompressedTexSubImage1D>();
  glGetCompressedTexImage = Pointer<NativeFunction<GlGetCompressedTexImageNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetCompressedTexImage'))).asFunction<GlGetCompressedTexImage>();
  glBlendFuncSeparate = Pointer<NativeFunction<GlBlendFuncSeparateNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glBlendFuncSeparate'))).asFunction<GlBlendFuncSeparate>();
  glMultiDrawArrays = Pointer<NativeFunction<GlMultiDrawArraysNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMultiDrawArrays'))).asFunction<GlMultiDrawArrays>();
  glMultiDrawElements = Pointer<NativeFunction<GlMultiDrawElementsNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMultiDrawElements'))).asFunction<GlMultiDrawElements>();
  glPointParameterf = Pointer<NativeFunction<GlPointParameterfNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glPointParameterf'))).asFunction<GlPointParameterf>();
  glPointParameterfv = Pointer<NativeFunction<GlPointParameterfvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glPointParameterfv'))).asFunction<GlPointParameterfv>();
  glPointParameteri = Pointer<NativeFunction<GlPointParameteriNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glPointParameteri'))).asFunction<GlPointParameteri>();
  glPointParameteriv = Pointer<NativeFunction<GlPointParameterivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glPointParameteriv'))).asFunction<GlPointParameteriv>();
  glBlendColor = Pointer<NativeFunction<GlBlendColorNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glBlendColor'))).asFunction<GlBlendColor>();
  glBlendEquation = Pointer<NativeFunction<GlBlendEquationNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glBlendEquation'))).asFunction<GlBlendEquation>();
  glGenQueries = Pointer<NativeFunction<GlGenQueriesNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGenQueries'))).asFunction<GlGenQueries>();
  glDeleteQueries = Pointer<NativeFunction<GlDeleteQueriesNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glDeleteQueries'))).asFunction<GlDeleteQueries>();
  glIsQuery = Pointer<NativeFunction<GlIsQueryNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glIsQuery'))).asFunction<GlIsQuery>();
  glBeginQuery = Pointer<NativeFunction<GlBeginQueryNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glBeginQuery'))).asFunction<GlBeginQuery>();
  glEndQuery = Pointer<NativeFunction<GlEndQueryNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glEndQuery'))).asFunction<GlEndQuery>();
  glGetQueryiv = Pointer<NativeFunction<GlGetQueryivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetQueryiv'))).asFunction<GlGetQueryiv>();
  glGetQueryObjectiv = Pointer<NativeFunction<GlGetQueryObjectivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetQueryObjectiv'))).asFunction<GlGetQueryObjectiv>();
  glGetQueryObjectuiv = Pointer<NativeFunction<GlGetQueryObjectuivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetQueryObjectuiv'))).asFunction<GlGetQueryObjectuiv>();
  glBindBuffer = Pointer<NativeFunction<GlBindBufferNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glBindBuffer'))).asFunction<GlBindBuffer>();
  glDeleteBuffers = Pointer<NativeFunction<GlDeleteBuffersNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glDeleteBuffers'))).asFunction<GlDeleteBuffers>();
  glGenBuffers = Pointer<NativeFunction<GlGenBuffersNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGenBuffers'))).asFunction<GlGenBuffers>();
  glIsBuffer = Pointer<NativeFunction<GlIsBufferNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glIsBuffer'))).asFunction<GlIsBuffer>();
  glBufferData = Pointer<NativeFunction<GlBufferDataNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glBufferData'))).asFunction<GlBufferData>();
  glBufferSubData = Pointer<NativeFunction<GlBufferSubDataNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glBufferSubData'))).asFunction<GlBufferSubData>();
  glGetBufferSubData = Pointer<NativeFunction<GlGetBufferSubDataNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetBufferSubData'))).asFunction<GlGetBufferSubData>();
  glMapBuffer = Pointer<NativeFunction<GlMapBufferNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMapBuffer'))).asFunction<GlMapBuffer>();
  glUnmapBuffer = Pointer<NativeFunction<GlUnmapBufferNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUnmapBuffer'))).asFunction<GlUnmapBuffer>();
  glGetBufferParameteriv = Pointer<NativeFunction<GlGetBufferParameterivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetBufferParameteriv'))).asFunction<GlGetBufferParameteriv>();
  glGetBufferPointerv = Pointer<NativeFunction<GlGetBufferPointervNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetBufferPointerv'))).asFunction<GlGetBufferPointerv>();
  glBlendEquationSeparate = Pointer<NativeFunction<GlBlendEquationSeparateNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glBlendEquationSeparate'))).asFunction<GlBlendEquationSeparate>();
  glDrawBuffers = Pointer<NativeFunction<GlDrawBuffersNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glDrawBuffers'))).asFunction<GlDrawBuffers>();
  glStencilOpSeparate = Pointer<NativeFunction<GlStencilOpSeparateNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glStencilOpSeparate'))).asFunction<GlStencilOpSeparate>();
  glStencilFuncSeparate = Pointer<NativeFunction<GlStencilFuncSeparateNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glStencilFuncSeparate'))).asFunction<GlStencilFuncSeparate>();
  glStencilMaskSeparate = Pointer<NativeFunction<GlStencilMaskSeparateNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glStencilMaskSeparate'))).asFunction<GlStencilMaskSeparate>();
  glAttachShader = Pointer<NativeFunction<GlAttachShaderNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glAttachShader'))).asFunction<GlAttachShader>();
  glBindAttribLocation = Pointer<NativeFunction<GlBindAttribLocationNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glBindAttribLocation'))).asFunction<GlBindAttribLocation>();
  glCompileShader = Pointer<NativeFunction<GlCompileShaderNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glCompileShader'))).asFunction<GlCompileShader>();
  glCreateProgram = Pointer<NativeFunction<GlCreateProgramNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glCreateProgram'))).asFunction<GlCreateProgram>();
  glCreateShader = Pointer<NativeFunction<GlCreateShaderNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glCreateShader'))).asFunction<GlCreateShader>();
  glDeleteProgram = Pointer<NativeFunction<GlDeleteProgramNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glDeleteProgram'))).asFunction<GlDeleteProgram>();
  glDeleteShader = Pointer<NativeFunction<GlDeleteShaderNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glDeleteShader'))).asFunction<GlDeleteShader>();
  glDetachShader = Pointer<NativeFunction<GlDetachShaderNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glDetachShader'))).asFunction<GlDetachShader>();
  glDisableVertexAttribArray = Pointer<NativeFunction<GlDisableVertexAttribArrayNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glDisableVertexAttribArray'))).asFunction<GlDisableVertexAttribArray>();
  glEnableVertexAttribArray = Pointer<NativeFunction<GlEnableVertexAttribArrayNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glEnableVertexAttribArray'))).asFunction<GlEnableVertexAttribArray>();
  glGetActiveAttrib = Pointer<NativeFunction<GlGetActiveAttribNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetActiveAttrib'))).asFunction<GlGetActiveAttrib>();
  glGetActiveUniform = Pointer<NativeFunction<GlGetActiveUniformNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetActiveUniform'))).asFunction<GlGetActiveUniform>();
  glGetAttachedShaders = Pointer<NativeFunction<GlGetAttachedShadersNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetAttachedShaders'))).asFunction<GlGetAttachedShaders>();
  glGetAttribLocation = Pointer<NativeFunction<GlGetAttribLocationNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetAttribLocation'))).asFunction<GlGetAttribLocation>();
  glGetProgramiv = Pointer<NativeFunction<GlGetProgramivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetProgramiv'))).asFunction<GlGetProgramiv>();
  glGetProgramInfoLog = Pointer<NativeFunction<GlGetProgramInfoLogNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetProgramInfoLog'))).asFunction<GlGetProgramInfoLog>();
  glGetShaderiv = Pointer<NativeFunction<GlGetShaderivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetShaderiv'))).asFunction<GlGetShaderiv>();
  glGetShaderInfoLog = Pointer<NativeFunction<GlGetShaderInfoLogNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetShaderInfoLog'))).asFunction<GlGetShaderInfoLog>();
  glGetShaderSource = Pointer<NativeFunction<GlGetShaderSourceNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetShaderSource'))).asFunction<GlGetShaderSource>();
  glGetUniformLocation = Pointer<NativeFunction<GlGetUniformLocationNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetUniformLocation'))).asFunction<GlGetUniformLocation>();
  glGetUniformfv = Pointer<NativeFunction<GlGetUniformfvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetUniformfv'))).asFunction<GlGetUniformfv>();
  glGetUniformiv = Pointer<NativeFunction<GlGetUniformivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetUniformiv'))).asFunction<GlGetUniformiv>();
  glGetVertexAttribdv = Pointer<NativeFunction<GlGetVertexAttribdvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetVertexAttribdv'))).asFunction<GlGetVertexAttribdv>();
  glGetVertexAttribfv = Pointer<NativeFunction<GlGetVertexAttribfvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetVertexAttribfv'))).asFunction<GlGetVertexAttribfv>();
  glGetVertexAttribiv = Pointer<NativeFunction<GlGetVertexAttribivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetVertexAttribiv'))).asFunction<GlGetVertexAttribiv>();
  glGetVertexAttribPointerv = Pointer<NativeFunction<GlGetVertexAttribPointervNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetVertexAttribPointerv'))).asFunction<GlGetVertexAttribPointerv>();
  glIsProgram = Pointer<NativeFunction<GlIsProgramNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glIsProgram'))).asFunction<GlIsProgram>();
  glIsShader = Pointer<NativeFunction<GlIsShaderNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glIsShader'))).asFunction<GlIsShader>();
  glLinkProgram = Pointer<NativeFunction<GlLinkProgramNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glLinkProgram'))).asFunction<GlLinkProgram>();
  glShaderSource = Pointer<NativeFunction<GlShaderSourceNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glShaderSource'))).asFunction<GlShaderSource>();
  glUseProgram = Pointer<NativeFunction<GlUseProgramNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUseProgram'))).asFunction<GlUseProgram>();
  glUniform1f = Pointer<NativeFunction<GlUniform1fNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniform1f'))).asFunction<GlUniform1f>();
  glUniform2f = Pointer<NativeFunction<GlUniform2fNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniform2f'))).asFunction<GlUniform2f>();
  glUniform3f = Pointer<NativeFunction<GlUniform3fNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniform3f'))).asFunction<GlUniform3f>();
  glUniform4f = Pointer<NativeFunction<GlUniform4fNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniform4f'))).asFunction<GlUniform4f>();
  glUniform1i = Pointer<NativeFunction<GlUniform1iNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniform1i'))).asFunction<GlUniform1i>();
  glUniform2i = Pointer<NativeFunction<GlUniform2iNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniform2i'))).asFunction<GlUniform2i>();
  glUniform3i = Pointer<NativeFunction<GlUniform3iNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniform3i'))).asFunction<GlUniform3i>();
  glUniform4i = Pointer<NativeFunction<GlUniform4iNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniform4i'))).asFunction<GlUniform4i>();
  glUniform1fv = Pointer<NativeFunction<GlUniform1fvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniform1fv'))).asFunction<GlUniform1fv>();
  glUniform2fv = Pointer<NativeFunction<GlUniform2fvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniform2fv'))).asFunction<GlUniform2fv>();
  glUniform3fv = Pointer<NativeFunction<GlUniform3fvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniform3fv'))).asFunction<GlUniform3fv>();
  glUniform4fv = Pointer<NativeFunction<GlUniform4fvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniform4fv'))).asFunction<GlUniform4fv>();
  glUniform1iv = Pointer<NativeFunction<GlUniform1ivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniform1iv'))).asFunction<GlUniform1iv>();
  glUniform2iv = Pointer<NativeFunction<GlUniform2ivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniform2iv'))).asFunction<GlUniform2iv>();
  glUniform3iv = Pointer<NativeFunction<GlUniform3ivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniform3iv'))).asFunction<GlUniform3iv>();
  glUniform4iv = Pointer<NativeFunction<GlUniform4ivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniform4iv'))).asFunction<GlUniform4iv>();
  glUniformMatrix2fv = Pointer<NativeFunction<GlUniformMatrix2fvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniformMatrix2fv'))).asFunction<GlUniformMatrix2fv>();
  glUniformMatrix3fv = Pointer<NativeFunction<GlUniformMatrix3fvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniformMatrix3fv'))).asFunction<GlUniformMatrix3fv>();
  glUniformMatrix4fv = Pointer<NativeFunction<GlUniformMatrix4fvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniformMatrix4fv'))).asFunction<GlUniformMatrix4fv>();
  glValidateProgram = Pointer<NativeFunction<GlValidateProgramNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glValidateProgram'))).asFunction<GlValidateProgram>();
  glVertexAttrib1d = Pointer<NativeFunction<GlVertexAttrib1dNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttrib1d'))).asFunction<GlVertexAttrib1d>();
  glVertexAttrib1dv = Pointer<NativeFunction<GlVertexAttrib1dvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttrib1dv'))).asFunction<GlVertexAttrib1dv>();
  glVertexAttrib1f = Pointer<NativeFunction<GlVertexAttrib1fNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttrib1f'))).asFunction<GlVertexAttrib1f>();
  glVertexAttrib1fv = Pointer<NativeFunction<GlVertexAttrib1fvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttrib1fv'))).asFunction<GlVertexAttrib1fv>();
  glVertexAttrib1s = Pointer<NativeFunction<GlVertexAttrib1sNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttrib1s'))).asFunction<GlVertexAttrib1s>();
  glVertexAttrib1sv = Pointer<NativeFunction<GlVertexAttrib1svNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttrib1sv'))).asFunction<GlVertexAttrib1sv>();
  glVertexAttrib2d = Pointer<NativeFunction<GlVertexAttrib2dNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttrib2d'))).asFunction<GlVertexAttrib2d>();
  glVertexAttrib2dv = Pointer<NativeFunction<GlVertexAttrib2dvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttrib2dv'))).asFunction<GlVertexAttrib2dv>();
  glVertexAttrib2f = Pointer<NativeFunction<GlVertexAttrib2fNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttrib2f'))).asFunction<GlVertexAttrib2f>();
  glVertexAttrib2fv = Pointer<NativeFunction<GlVertexAttrib2fvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttrib2fv'))).asFunction<GlVertexAttrib2fv>();
  glVertexAttrib2s = Pointer<NativeFunction<GlVertexAttrib2sNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttrib2s'))).asFunction<GlVertexAttrib2s>();
  glVertexAttrib2sv = Pointer<NativeFunction<GlVertexAttrib2svNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttrib2sv'))).asFunction<GlVertexAttrib2sv>();
  glVertexAttrib3d = Pointer<NativeFunction<GlVertexAttrib3dNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttrib3d'))).asFunction<GlVertexAttrib3d>();
  glVertexAttrib3dv = Pointer<NativeFunction<GlVertexAttrib3dvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttrib3dv'))).asFunction<GlVertexAttrib3dv>();
  glVertexAttrib3f = Pointer<NativeFunction<GlVertexAttrib3fNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttrib3f'))).asFunction<GlVertexAttrib3f>();
  glVertexAttrib3fv = Pointer<NativeFunction<GlVertexAttrib3fvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttrib3fv'))).asFunction<GlVertexAttrib3fv>();
  glVertexAttrib3s = Pointer<NativeFunction<GlVertexAttrib3sNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttrib3s'))).asFunction<GlVertexAttrib3s>();
  glVertexAttrib3sv = Pointer<NativeFunction<GlVertexAttrib3svNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttrib3sv'))).asFunction<GlVertexAttrib3sv>();
  glVertexAttrib4Nbv = Pointer<NativeFunction<GlVertexAttrib4NbvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttrib4Nbv'))).asFunction<GlVertexAttrib4Nbv>();
  glVertexAttrib4Niv = Pointer<NativeFunction<GlVertexAttrib4NivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttrib4Niv'))).asFunction<GlVertexAttrib4Niv>();
  glVertexAttrib4Nsv = Pointer<NativeFunction<GlVertexAttrib4NsvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttrib4Nsv'))).asFunction<GlVertexAttrib4Nsv>();
  glVertexAttrib4Nub = Pointer<NativeFunction<GlVertexAttrib4NubNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttrib4Nub'))).asFunction<GlVertexAttrib4Nub>();
  glVertexAttrib4Nubv = Pointer<NativeFunction<GlVertexAttrib4NubvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttrib4Nubv'))).asFunction<GlVertexAttrib4Nubv>();
  glVertexAttrib4Nuiv = Pointer<NativeFunction<GlVertexAttrib4NuivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttrib4Nuiv'))).asFunction<GlVertexAttrib4Nuiv>();
  glVertexAttrib4Nusv = Pointer<NativeFunction<GlVertexAttrib4NusvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttrib4Nusv'))).asFunction<GlVertexAttrib4Nusv>();
  glVertexAttrib4bv = Pointer<NativeFunction<GlVertexAttrib4bvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttrib4bv'))).asFunction<GlVertexAttrib4bv>();
  glVertexAttrib4d = Pointer<NativeFunction<GlVertexAttrib4dNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttrib4d'))).asFunction<GlVertexAttrib4d>();
  glVertexAttrib4dv = Pointer<NativeFunction<GlVertexAttrib4dvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttrib4dv'))).asFunction<GlVertexAttrib4dv>();
  glVertexAttrib4f = Pointer<NativeFunction<GlVertexAttrib4fNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttrib4f'))).asFunction<GlVertexAttrib4f>();
  glVertexAttrib4fv = Pointer<NativeFunction<GlVertexAttrib4fvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttrib4fv'))).asFunction<GlVertexAttrib4fv>();
  glVertexAttrib4iv = Pointer<NativeFunction<GlVertexAttrib4ivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttrib4iv'))).asFunction<GlVertexAttrib4iv>();
  glVertexAttrib4s = Pointer<NativeFunction<GlVertexAttrib4sNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttrib4s'))).asFunction<GlVertexAttrib4s>();
  glVertexAttrib4sv = Pointer<NativeFunction<GlVertexAttrib4svNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttrib4sv'))).asFunction<GlVertexAttrib4sv>();
  glVertexAttrib4ubv = Pointer<NativeFunction<GlVertexAttrib4ubvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttrib4ubv'))).asFunction<GlVertexAttrib4ubv>();
  glVertexAttrib4uiv = Pointer<NativeFunction<GlVertexAttrib4uivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttrib4uiv'))).asFunction<GlVertexAttrib4uiv>();
  glVertexAttrib4usv = Pointer<NativeFunction<GlVertexAttrib4usvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttrib4usv'))).asFunction<GlVertexAttrib4usv>();
  glVertexAttribPointer = Pointer<NativeFunction<GlVertexAttribPointerNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttribPointer'))).asFunction<GlVertexAttribPointer>();
  glUniformMatrix2x3fv = Pointer<NativeFunction<GlUniformMatrix2x3fvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniformMatrix2x3fv'))).asFunction<GlUniformMatrix2x3fv>();
  glUniformMatrix3x2fv = Pointer<NativeFunction<GlUniformMatrix3x2fvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniformMatrix3x2fv'))).asFunction<GlUniformMatrix3x2fv>();
  glUniformMatrix2x4fv = Pointer<NativeFunction<GlUniformMatrix2x4fvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniformMatrix2x4fv'))).asFunction<GlUniformMatrix2x4fv>();
  glUniformMatrix4x2fv = Pointer<NativeFunction<GlUniformMatrix4x2fvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniformMatrix4x2fv'))).asFunction<GlUniformMatrix4x2fv>();
  glUniformMatrix3x4fv = Pointer<NativeFunction<GlUniformMatrix3x4fvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniformMatrix3x4fv'))).asFunction<GlUniformMatrix3x4fv>();
  glUniformMatrix4x3fv = Pointer<NativeFunction<GlUniformMatrix4x3fvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniformMatrix4x3fv'))).asFunction<GlUniformMatrix4x3fv>();
  glColorMaski = Pointer<NativeFunction<GlColorMaskiNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glColorMaski'))).asFunction<GlColorMaski>();
  glGetBooleani_v = Pointer<NativeFunction<GlGetBooleani_vNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetBooleani_v'))).asFunction<GlGetBooleani_v>();
  glGetIntegeri_v = Pointer<NativeFunction<GlGetIntegeri_vNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetIntegeri_v'))).asFunction<GlGetIntegeri_v>();
  glEnablei = Pointer<NativeFunction<GlEnableiNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glEnablei'))).asFunction<GlEnablei>();
  glDisablei = Pointer<NativeFunction<GlDisableiNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glDisablei'))).asFunction<GlDisablei>();
  glIsEnabledi = Pointer<NativeFunction<GlIsEnablediNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glIsEnabledi'))).asFunction<GlIsEnabledi>();
  glBeginTransformFeedback = Pointer<NativeFunction<GlBeginTransformFeedbackNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glBeginTransformFeedback'))).asFunction<GlBeginTransformFeedback>();
  glEndTransformFeedback = Pointer<NativeFunction<GlEndTransformFeedbackNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glEndTransformFeedback'))).asFunction<GlEndTransformFeedback>();
  glBindBufferRange = Pointer<NativeFunction<GlBindBufferRangeNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glBindBufferRange'))).asFunction<GlBindBufferRange>();
  glBindBufferBase = Pointer<NativeFunction<GlBindBufferBaseNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glBindBufferBase'))).asFunction<GlBindBufferBase>();
  glTransformFeedbackVaryings = Pointer<NativeFunction<GlTransformFeedbackVaryingsNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glTransformFeedbackVaryings'))).asFunction<GlTransformFeedbackVaryings>();
  glGetTransformFeedbackVarying = Pointer<NativeFunction<GlGetTransformFeedbackVaryingNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetTransformFeedbackVarying'))).asFunction<GlGetTransformFeedbackVarying>();
  glClampColor = Pointer<NativeFunction<GlClampColorNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glClampColor'))).asFunction<GlClampColor>();
  glBeginConditionalRender = Pointer<NativeFunction<GlBeginConditionalRenderNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glBeginConditionalRender'))).asFunction<GlBeginConditionalRender>();
  glEndConditionalRender = Pointer<NativeFunction<GlEndConditionalRenderNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glEndConditionalRender'))).asFunction<GlEndConditionalRender>();
  glVertexAttribIPointer = Pointer<NativeFunction<GlVertexAttribIPointerNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttribIPointer'))).asFunction<GlVertexAttribIPointer>();
  glGetVertexAttribIiv = Pointer<NativeFunction<GlGetVertexAttribIivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetVertexAttribIiv'))).asFunction<GlGetVertexAttribIiv>();
  glGetVertexAttribIuiv = Pointer<NativeFunction<GlGetVertexAttribIuivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetVertexAttribIuiv'))).asFunction<GlGetVertexAttribIuiv>();
  glVertexAttribI1i = Pointer<NativeFunction<GlVertexAttribI1iNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttribI1i'))).asFunction<GlVertexAttribI1i>();
  glVertexAttribI2i = Pointer<NativeFunction<GlVertexAttribI2iNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttribI2i'))).asFunction<GlVertexAttribI2i>();
  glVertexAttribI3i = Pointer<NativeFunction<GlVertexAttribI3iNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttribI3i'))).asFunction<GlVertexAttribI3i>();
  glVertexAttribI4i = Pointer<NativeFunction<GlVertexAttribI4iNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttribI4i'))).asFunction<GlVertexAttribI4i>();
  glVertexAttribI1ui = Pointer<NativeFunction<GlVertexAttribI1uiNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttribI1ui'))).asFunction<GlVertexAttribI1ui>();
  glVertexAttribI2ui = Pointer<NativeFunction<GlVertexAttribI2uiNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttribI2ui'))).asFunction<GlVertexAttribI2ui>();
  glVertexAttribI3ui = Pointer<NativeFunction<GlVertexAttribI3uiNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttribI3ui'))).asFunction<GlVertexAttribI3ui>();
  glVertexAttribI4ui = Pointer<NativeFunction<GlVertexAttribI4uiNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttribI4ui'))).asFunction<GlVertexAttribI4ui>();
  glVertexAttribI1iv = Pointer<NativeFunction<GlVertexAttribI1ivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttribI1iv'))).asFunction<GlVertexAttribI1iv>();
  glVertexAttribI2iv = Pointer<NativeFunction<GlVertexAttribI2ivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttribI2iv'))).asFunction<GlVertexAttribI2iv>();
  glVertexAttribI3iv = Pointer<NativeFunction<GlVertexAttribI3ivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttribI3iv'))).asFunction<GlVertexAttribI3iv>();
  glVertexAttribI4iv = Pointer<NativeFunction<GlVertexAttribI4ivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttribI4iv'))).asFunction<GlVertexAttribI4iv>();
  glVertexAttribI1uiv = Pointer<NativeFunction<GlVertexAttribI1uivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttribI1uiv'))).asFunction<GlVertexAttribI1uiv>();
  glVertexAttribI2uiv = Pointer<NativeFunction<GlVertexAttribI2uivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttribI2uiv'))).asFunction<GlVertexAttribI2uiv>();
  glVertexAttribI3uiv = Pointer<NativeFunction<GlVertexAttribI3uivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttribI3uiv'))).asFunction<GlVertexAttribI3uiv>();
  glVertexAttribI4uiv = Pointer<NativeFunction<GlVertexAttribI4uivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttribI4uiv'))).asFunction<GlVertexAttribI4uiv>();
  glVertexAttribI4bv = Pointer<NativeFunction<GlVertexAttribI4bvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttribI4bv'))).asFunction<GlVertexAttribI4bv>();
  glVertexAttribI4sv = Pointer<NativeFunction<GlVertexAttribI4svNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttribI4sv'))).asFunction<GlVertexAttribI4sv>();
  glVertexAttribI4ubv = Pointer<NativeFunction<GlVertexAttribI4ubvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttribI4ubv'))).asFunction<GlVertexAttribI4ubv>();
  glVertexAttribI4usv = Pointer<NativeFunction<GlVertexAttribI4usvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttribI4usv'))).asFunction<GlVertexAttribI4usv>();
  glGetUniformuiv = Pointer<NativeFunction<GlGetUniformuivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetUniformuiv'))).asFunction<GlGetUniformuiv>();
  glBindFragDataLocation = Pointer<NativeFunction<GlBindFragDataLocationNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glBindFragDataLocation'))).asFunction<GlBindFragDataLocation>();
  glGetFragDataLocation = Pointer<NativeFunction<GlGetFragDataLocationNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetFragDataLocation'))).asFunction<GlGetFragDataLocation>();
  glUniform1ui = Pointer<NativeFunction<GlUniform1uiNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniform1ui'))).asFunction<GlUniform1ui>();
  glUniform2ui = Pointer<NativeFunction<GlUniform2uiNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniform2ui'))).asFunction<GlUniform2ui>();
  glUniform3ui = Pointer<NativeFunction<GlUniform3uiNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniform3ui'))).asFunction<GlUniform3ui>();
  glUniform4ui = Pointer<NativeFunction<GlUniform4uiNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniform4ui'))).asFunction<GlUniform4ui>();
  glUniform1uiv = Pointer<NativeFunction<GlUniform1uivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniform1uiv'))).asFunction<GlUniform1uiv>();
  glUniform2uiv = Pointer<NativeFunction<GlUniform2uivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniform2uiv'))).asFunction<GlUniform2uiv>();
  glUniform3uiv = Pointer<NativeFunction<GlUniform3uivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniform3uiv'))).asFunction<GlUniform3uiv>();
  glUniform4uiv = Pointer<NativeFunction<GlUniform4uivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniform4uiv'))).asFunction<GlUniform4uiv>();
  glTexParameterIiv = Pointer<NativeFunction<GlTexParameterIivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glTexParameterIiv'))).asFunction<GlTexParameterIiv>();
  glTexParameterIuiv = Pointer<NativeFunction<GlTexParameterIuivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glTexParameterIuiv'))).asFunction<GlTexParameterIuiv>();
  glGetTexParameterIiv = Pointer<NativeFunction<GlGetTexParameterIivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetTexParameterIiv'))).asFunction<GlGetTexParameterIiv>();
  glGetTexParameterIuiv = Pointer<NativeFunction<GlGetTexParameterIuivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetTexParameterIuiv'))).asFunction<GlGetTexParameterIuiv>();
  glClearBufferiv = Pointer<NativeFunction<GlClearBufferivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glClearBufferiv'))).asFunction<GlClearBufferiv>();
  glClearBufferuiv = Pointer<NativeFunction<GlClearBufferuivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glClearBufferuiv'))).asFunction<GlClearBufferuiv>();
  glClearBufferfv = Pointer<NativeFunction<GlClearBufferfvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glClearBufferfv'))).asFunction<GlClearBufferfv>();
  glClearBufferfi = Pointer<NativeFunction<GlClearBufferfiNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glClearBufferfi'))).asFunction<GlClearBufferfi>();
  glGetStringi = Pointer<NativeFunction<GlGetStringiNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetStringi'))).asFunction<GlGetStringi>();
  glIsRenderbuffer = Pointer<NativeFunction<GlIsRenderbufferNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glIsRenderbuffer'))).asFunction<GlIsRenderbuffer>();
  glBindRenderbuffer = Pointer<NativeFunction<GlBindRenderbufferNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glBindRenderbuffer'))).asFunction<GlBindRenderbuffer>();
  glDeleteRenderbuffers = Pointer<NativeFunction<GlDeleteRenderbuffersNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glDeleteRenderbuffers'))).asFunction<GlDeleteRenderbuffers>();
  glGenRenderbuffers = Pointer<NativeFunction<GlGenRenderbuffersNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGenRenderbuffers'))).asFunction<GlGenRenderbuffers>();
  glRenderbufferStorage = Pointer<NativeFunction<GlRenderbufferStorageNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glRenderbufferStorage'))).asFunction<GlRenderbufferStorage>();
  glGetRenderbufferParameteriv = Pointer<NativeFunction<GlGetRenderbufferParameterivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetRenderbufferParameteriv'))).asFunction<GlGetRenderbufferParameteriv>();
  glIsFramebuffer = Pointer<NativeFunction<GlIsFramebufferNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glIsFramebuffer'))).asFunction<GlIsFramebuffer>();
  glBindFramebuffer = Pointer<NativeFunction<GlBindFramebufferNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glBindFramebuffer'))).asFunction<GlBindFramebuffer>();
  glDeleteFramebuffers = Pointer<NativeFunction<GlDeleteFramebuffersNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glDeleteFramebuffers'))).asFunction<GlDeleteFramebuffers>();
  glGenFramebuffers = Pointer<NativeFunction<GlGenFramebuffersNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGenFramebuffers'))).asFunction<GlGenFramebuffers>();
  glCheckFramebufferStatus = Pointer<NativeFunction<GlCheckFramebufferStatusNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glCheckFramebufferStatus'))).asFunction<GlCheckFramebufferStatus>();
  glFramebufferTexture1D = Pointer<NativeFunction<GlFramebufferTexture1DNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glFramebufferTexture1D'))).asFunction<GlFramebufferTexture1D>();
  glFramebufferTexture2D = Pointer<NativeFunction<GlFramebufferTexture2DNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glFramebufferTexture2D'))).asFunction<GlFramebufferTexture2D>();
  glFramebufferTexture3D = Pointer<NativeFunction<GlFramebufferTexture3DNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glFramebufferTexture3D'))).asFunction<GlFramebufferTexture3D>();
  glFramebufferRenderbuffer = Pointer<NativeFunction<GlFramebufferRenderbufferNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glFramebufferRenderbuffer'))).asFunction<GlFramebufferRenderbuffer>();
  glGetFramebufferAttachmentParameteriv = Pointer<NativeFunction<GlGetFramebufferAttachmentParameterivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetFramebufferAttachmentParameteriv'))).asFunction<GlGetFramebufferAttachmentParameteriv>();
  glGenerateMipmap = Pointer<NativeFunction<GlGenerateMipmapNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGenerateMipmap'))).asFunction<GlGenerateMipmap>();
  glBlitFramebuffer = Pointer<NativeFunction<GlBlitFramebufferNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glBlitFramebuffer'))).asFunction<GlBlitFramebuffer>();
  glRenderbufferStorageMultisample = Pointer<NativeFunction<GlRenderbufferStorageMultisampleNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glRenderbufferStorageMultisample'))).asFunction<GlRenderbufferStorageMultisample>();
  glFramebufferTextureLayer = Pointer<NativeFunction<GlFramebufferTextureLayerNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glFramebufferTextureLayer'))).asFunction<GlFramebufferTextureLayer>();
  glMapBufferRange = Pointer<NativeFunction<GlMapBufferRangeNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMapBufferRange'))).asFunction<GlMapBufferRange>();
  glFlushMappedBufferRange = Pointer<NativeFunction<GlFlushMappedBufferRangeNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glFlushMappedBufferRange'))).asFunction<GlFlushMappedBufferRange>();
  glBindVertexArray = Pointer<NativeFunction<GlBindVertexArrayNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glBindVertexArray'))).asFunction<GlBindVertexArray>();
  glDeleteVertexArrays = Pointer<NativeFunction<GlDeleteVertexArraysNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glDeleteVertexArrays'))).asFunction<GlDeleteVertexArrays>();
  glGenVertexArrays = Pointer<NativeFunction<GlGenVertexArraysNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGenVertexArrays'))).asFunction<GlGenVertexArrays>();
  glIsVertexArray = Pointer<NativeFunction<GlIsVertexArrayNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glIsVertexArray'))).asFunction<GlIsVertexArray>();
  glDrawArraysInstanced = Pointer<NativeFunction<GlDrawArraysInstancedNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glDrawArraysInstanced'))).asFunction<GlDrawArraysInstanced>();
  glDrawElementsInstanced = Pointer<NativeFunction<GlDrawElementsInstancedNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glDrawElementsInstanced'))).asFunction<GlDrawElementsInstanced>();
  glTexBuffer = Pointer<NativeFunction<GlTexBufferNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glTexBuffer'))).asFunction<GlTexBuffer>();
  glPrimitiveRestartIndex = Pointer<NativeFunction<GlPrimitiveRestartIndexNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glPrimitiveRestartIndex'))).asFunction<GlPrimitiveRestartIndex>();
  glCopyBufferSubData = Pointer<NativeFunction<GlCopyBufferSubDataNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glCopyBufferSubData'))).asFunction<GlCopyBufferSubData>();
  glGetUniformIndices = Pointer<NativeFunction<GlGetUniformIndicesNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetUniformIndices'))).asFunction<GlGetUniformIndices>();
  glGetActiveUniformsiv = Pointer<NativeFunction<GlGetActiveUniformsivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetActiveUniformsiv'))).asFunction<GlGetActiveUniformsiv>();
  glGetActiveUniformName = Pointer<NativeFunction<GlGetActiveUniformNameNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetActiveUniformName'))).asFunction<GlGetActiveUniformName>();
  glGetUniformBlockIndex = Pointer<NativeFunction<GlGetUniformBlockIndexNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetUniformBlockIndex'))).asFunction<GlGetUniformBlockIndex>();
  glGetActiveUniformBlockiv = Pointer<NativeFunction<GlGetActiveUniformBlockivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetActiveUniformBlockiv'))).asFunction<GlGetActiveUniformBlockiv>();
  glGetActiveUniformBlockName = Pointer<NativeFunction<GlGetActiveUniformBlockNameNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetActiveUniformBlockName'))).asFunction<GlGetActiveUniformBlockName>();
  glUniformBlockBinding = Pointer<NativeFunction<GlUniformBlockBindingNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniformBlockBinding'))).asFunction<GlUniformBlockBinding>();
  glDrawElementsBaseVertex = Pointer<NativeFunction<GlDrawElementsBaseVertexNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glDrawElementsBaseVertex'))).asFunction<GlDrawElementsBaseVertex>();
  glDrawRangeElementsBaseVertex = Pointer<NativeFunction<GlDrawRangeElementsBaseVertexNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glDrawRangeElementsBaseVertex'))).asFunction<GlDrawRangeElementsBaseVertex>();
  glDrawElementsInstancedBaseVertex = Pointer<NativeFunction<GlDrawElementsInstancedBaseVertexNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glDrawElementsInstancedBaseVertex'))).asFunction<GlDrawElementsInstancedBaseVertex>();
  glMultiDrawElementsBaseVertex = Pointer<NativeFunction<GlMultiDrawElementsBaseVertexNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMultiDrawElementsBaseVertex'))).asFunction<GlMultiDrawElementsBaseVertex>();
  glProvokingVertex = Pointer<NativeFunction<GlProvokingVertexNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProvokingVertex'))).asFunction<GlProvokingVertex>();
  glFenceSync = Pointer<NativeFunction<GlFenceSyncNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glFenceSync'))).asFunction<GlFenceSync>();
  glIsSync = Pointer<NativeFunction<GlIsSyncNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glIsSync'))).asFunction<GlIsSync>();
  glDeleteSync = Pointer<NativeFunction<GlDeleteSyncNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glDeleteSync'))).asFunction<GlDeleteSync>();
  glClientWaitSync = Pointer<NativeFunction<GlClientWaitSyncNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glClientWaitSync'))).asFunction<GlClientWaitSync>();
  glWaitSync = Pointer<NativeFunction<GlWaitSyncNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glWaitSync'))).asFunction<GlWaitSync>();
  glGetInteger64v = Pointer<NativeFunction<GlGetInteger64vNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetInteger64v'))).asFunction<GlGetInteger64v>();
  glGetSynciv = Pointer<NativeFunction<GlGetSyncivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetSynciv'))).asFunction<GlGetSynciv>();
  glGetInteger64i_v = Pointer<NativeFunction<GlGetInteger64i_vNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetInteger64i_v'))).asFunction<GlGetInteger64i_v>();
  glGetBufferParameteri64v = Pointer<NativeFunction<GlGetBufferParameteri64vNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetBufferParameteri64v'))).asFunction<GlGetBufferParameteri64v>();
  glFramebufferTexture = Pointer<NativeFunction<GlFramebufferTextureNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glFramebufferTexture'))).asFunction<GlFramebufferTexture>();
  glTexImage2DMultisample = Pointer<NativeFunction<GlTexImage2DMultisampleNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glTexImage2DMultisample'))).asFunction<GlTexImage2DMultisample>();
  glTexImage3DMultisample = Pointer<NativeFunction<GlTexImage3DMultisampleNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glTexImage3DMultisample'))).asFunction<GlTexImage3DMultisample>();
  glGetMultisamplefv = Pointer<NativeFunction<GlGetMultisamplefvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetMultisamplefv'))).asFunction<GlGetMultisamplefv>();
  glSampleMaski = Pointer<NativeFunction<GlSampleMaskiNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glSampleMaski'))).asFunction<GlSampleMaski>();
  glBindFragDataLocationIndexed = Pointer<NativeFunction<GlBindFragDataLocationIndexedNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glBindFragDataLocationIndexed'))).asFunction<GlBindFragDataLocationIndexed>();
  glGetFragDataIndex = Pointer<NativeFunction<GlGetFragDataIndexNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetFragDataIndex'))).asFunction<GlGetFragDataIndex>();
  glGenSamplers = Pointer<NativeFunction<GlGenSamplersNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGenSamplers'))).asFunction<GlGenSamplers>();
  glDeleteSamplers = Pointer<NativeFunction<GlDeleteSamplersNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glDeleteSamplers'))).asFunction<GlDeleteSamplers>();
  glIsSampler = Pointer<NativeFunction<GlIsSamplerNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glIsSampler'))).asFunction<GlIsSampler>();
  glBindSampler = Pointer<NativeFunction<GlBindSamplerNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glBindSampler'))).asFunction<GlBindSampler>();
  glSamplerParameteri = Pointer<NativeFunction<GlSamplerParameteriNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glSamplerParameteri'))).asFunction<GlSamplerParameteri>();
  glSamplerParameteriv = Pointer<NativeFunction<GlSamplerParameterivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glSamplerParameteriv'))).asFunction<GlSamplerParameteriv>();
  glSamplerParameterf = Pointer<NativeFunction<GlSamplerParameterfNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glSamplerParameterf'))).asFunction<GlSamplerParameterf>();
  glSamplerParameterfv = Pointer<NativeFunction<GlSamplerParameterfvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glSamplerParameterfv'))).asFunction<GlSamplerParameterfv>();
  glSamplerParameterIiv = Pointer<NativeFunction<GlSamplerParameterIivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glSamplerParameterIiv'))).asFunction<GlSamplerParameterIiv>();
  glSamplerParameterIuiv = Pointer<NativeFunction<GlSamplerParameterIuivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glSamplerParameterIuiv'))).asFunction<GlSamplerParameterIuiv>();
  glGetSamplerParameteriv = Pointer<NativeFunction<GlGetSamplerParameterivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetSamplerParameteriv'))).asFunction<GlGetSamplerParameteriv>();
  glGetSamplerParameterIiv = Pointer<NativeFunction<GlGetSamplerParameterIivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetSamplerParameterIiv'))).asFunction<GlGetSamplerParameterIiv>();
  glGetSamplerParameterfv = Pointer<NativeFunction<GlGetSamplerParameterfvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetSamplerParameterfv'))).asFunction<GlGetSamplerParameterfv>();
  glGetSamplerParameterIuiv = Pointer<NativeFunction<GlGetSamplerParameterIuivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetSamplerParameterIuiv'))).asFunction<GlGetSamplerParameterIuiv>();
  glQueryCounter = Pointer<NativeFunction<GlQueryCounterNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glQueryCounter'))).asFunction<GlQueryCounter>();
  glGetQueryObjecti64v = Pointer<NativeFunction<GlGetQueryObjecti64vNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetQueryObjecti64v'))).asFunction<GlGetQueryObjecti64v>();
  glGetQueryObjectui64v = Pointer<NativeFunction<GlGetQueryObjectui64vNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetQueryObjectui64v'))).asFunction<GlGetQueryObjectui64v>();
  glVertexAttribDivisor = Pointer<NativeFunction<GlVertexAttribDivisorNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttribDivisor'))).asFunction<GlVertexAttribDivisor>();
  glVertexAttribP1ui = Pointer<NativeFunction<GlVertexAttribP1uiNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttribP1ui'))).asFunction<GlVertexAttribP1ui>();
  glVertexAttribP1uiv = Pointer<NativeFunction<GlVertexAttribP1uivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttribP1uiv'))).asFunction<GlVertexAttribP1uiv>();
  glVertexAttribP2ui = Pointer<NativeFunction<GlVertexAttribP2uiNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttribP2ui'))).asFunction<GlVertexAttribP2ui>();
  glVertexAttribP2uiv = Pointer<NativeFunction<GlVertexAttribP2uivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttribP2uiv'))).asFunction<GlVertexAttribP2uiv>();
  glVertexAttribP3ui = Pointer<NativeFunction<GlVertexAttribP3uiNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttribP3ui'))).asFunction<GlVertexAttribP3ui>();
  glVertexAttribP3uiv = Pointer<NativeFunction<GlVertexAttribP3uivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttribP3uiv'))).asFunction<GlVertexAttribP3uiv>();
  glVertexAttribP4ui = Pointer<NativeFunction<GlVertexAttribP4uiNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttribP4ui'))).asFunction<GlVertexAttribP4ui>();
  glVertexAttribP4uiv = Pointer<NativeFunction<GlVertexAttribP4uivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttribP4uiv'))).asFunction<GlVertexAttribP4uiv>();
  glMinSampleShading = Pointer<NativeFunction<GlMinSampleShadingNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMinSampleShading'))).asFunction<GlMinSampleShading>();
  glBlendEquationi = Pointer<NativeFunction<GlBlendEquationiNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glBlendEquationi'))).asFunction<GlBlendEquationi>();
  glBlendEquationSeparatei = Pointer<NativeFunction<GlBlendEquationSeparateiNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glBlendEquationSeparatei'))).asFunction<GlBlendEquationSeparatei>();
  glBlendFunci = Pointer<NativeFunction<GlBlendFunciNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glBlendFunci'))).asFunction<GlBlendFunci>();
  glBlendFuncSeparatei = Pointer<NativeFunction<GlBlendFuncSeparateiNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glBlendFuncSeparatei'))).asFunction<GlBlendFuncSeparatei>();
  glDrawArraysIndirect = Pointer<NativeFunction<GlDrawArraysIndirectNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glDrawArraysIndirect'))).asFunction<GlDrawArraysIndirect>();
  glDrawElementsIndirect = Pointer<NativeFunction<GlDrawElementsIndirectNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glDrawElementsIndirect'))).asFunction<GlDrawElementsIndirect>();
  glUniform1d = Pointer<NativeFunction<GlUniform1dNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniform1d'))).asFunction<GlUniform1d>();
  glUniform2d = Pointer<NativeFunction<GlUniform2dNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniform2d'))).asFunction<GlUniform2d>();
  glUniform3d = Pointer<NativeFunction<GlUniform3dNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniform3d'))).asFunction<GlUniform3d>();
  glUniform4d = Pointer<NativeFunction<GlUniform4dNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniform4d'))).asFunction<GlUniform4d>();
  glUniform1dv = Pointer<NativeFunction<GlUniform1dvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniform1dv'))).asFunction<GlUniform1dv>();
  glUniform2dv = Pointer<NativeFunction<GlUniform2dvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniform2dv'))).asFunction<GlUniform2dv>();
  glUniform3dv = Pointer<NativeFunction<GlUniform3dvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniform3dv'))).asFunction<GlUniform3dv>();
  glUniform4dv = Pointer<NativeFunction<GlUniform4dvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniform4dv'))).asFunction<GlUniform4dv>();
  glUniformMatrix2dv = Pointer<NativeFunction<GlUniformMatrix2dvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniformMatrix2dv'))).asFunction<GlUniformMatrix2dv>();
  glUniformMatrix3dv = Pointer<NativeFunction<GlUniformMatrix3dvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniformMatrix3dv'))).asFunction<GlUniformMatrix3dv>();
  glUniformMatrix4dv = Pointer<NativeFunction<GlUniformMatrix4dvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniformMatrix4dv'))).asFunction<GlUniformMatrix4dv>();
  glUniformMatrix2x3dv = Pointer<NativeFunction<GlUniformMatrix2x3dvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniformMatrix2x3dv'))).asFunction<GlUniformMatrix2x3dv>();
  glUniformMatrix2x4dv = Pointer<NativeFunction<GlUniformMatrix2x4dvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniformMatrix2x4dv'))).asFunction<GlUniformMatrix2x4dv>();
  glUniformMatrix3x2dv = Pointer<NativeFunction<GlUniformMatrix3x2dvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniformMatrix3x2dv'))).asFunction<GlUniformMatrix3x2dv>();
  glUniformMatrix3x4dv = Pointer<NativeFunction<GlUniformMatrix3x4dvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniformMatrix3x4dv'))).asFunction<GlUniformMatrix3x4dv>();
  glUniformMatrix4x2dv = Pointer<NativeFunction<GlUniformMatrix4x2dvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniformMatrix4x2dv'))).asFunction<GlUniformMatrix4x2dv>();
  glUniformMatrix4x3dv = Pointer<NativeFunction<GlUniformMatrix4x3dvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniformMatrix4x3dv'))).asFunction<GlUniformMatrix4x3dv>();
  glGetUniformdv = Pointer<NativeFunction<GlGetUniformdvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetUniformdv'))).asFunction<GlGetUniformdv>();
  glGetSubroutineUniformLocation = Pointer<NativeFunction<GlGetSubroutineUniformLocationNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetSubroutineUniformLocation'))).asFunction<GlGetSubroutineUniformLocation>();
  glGetSubroutineIndex = Pointer<NativeFunction<GlGetSubroutineIndexNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetSubroutineIndex'))).asFunction<GlGetSubroutineIndex>();
  glGetActiveSubroutineUniformiv = Pointer<NativeFunction<GlGetActiveSubroutineUniformivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetActiveSubroutineUniformiv'))).asFunction<GlGetActiveSubroutineUniformiv>();
  glGetActiveSubroutineUniformName = Pointer<NativeFunction<GlGetActiveSubroutineUniformNameNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetActiveSubroutineUniformName'))).asFunction<GlGetActiveSubroutineUniformName>();
  glGetActiveSubroutineName = Pointer<NativeFunction<GlGetActiveSubroutineNameNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetActiveSubroutineName'))).asFunction<GlGetActiveSubroutineName>();
  glUniformSubroutinesuiv = Pointer<NativeFunction<GlUniformSubroutinesuivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniformSubroutinesuiv'))).asFunction<GlUniformSubroutinesuiv>();
  glGetUniformSubroutineuiv = Pointer<NativeFunction<GlGetUniformSubroutineuivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetUniformSubroutineuiv'))).asFunction<GlGetUniformSubroutineuiv>();
  glGetProgramStageiv = Pointer<NativeFunction<GlGetProgramStageivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetProgramStageiv'))).asFunction<GlGetProgramStageiv>();
  glPatchParameteri = Pointer<NativeFunction<GlPatchParameteriNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glPatchParameteri'))).asFunction<GlPatchParameteri>();
  glPatchParameterfv = Pointer<NativeFunction<GlPatchParameterfvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glPatchParameterfv'))).asFunction<GlPatchParameterfv>();
  glBindTransformFeedback = Pointer<NativeFunction<GlBindTransformFeedbackNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glBindTransformFeedback'))).asFunction<GlBindTransformFeedback>();
  glDeleteTransformFeedbacks = Pointer<NativeFunction<GlDeleteTransformFeedbacksNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glDeleteTransformFeedbacks'))).asFunction<GlDeleteTransformFeedbacks>();
  glGenTransformFeedbacks = Pointer<NativeFunction<GlGenTransformFeedbacksNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGenTransformFeedbacks'))).asFunction<GlGenTransformFeedbacks>();
  glIsTransformFeedback = Pointer<NativeFunction<GlIsTransformFeedbackNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glIsTransformFeedback'))).asFunction<GlIsTransformFeedback>();
  glPauseTransformFeedback = Pointer<NativeFunction<GlPauseTransformFeedbackNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glPauseTransformFeedback'))).asFunction<GlPauseTransformFeedback>();
  glResumeTransformFeedback = Pointer<NativeFunction<GlResumeTransformFeedbackNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glResumeTransformFeedback'))).asFunction<GlResumeTransformFeedback>();
  glDrawTransformFeedback = Pointer<NativeFunction<GlDrawTransformFeedbackNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glDrawTransformFeedback'))).asFunction<GlDrawTransformFeedback>();
  glDrawTransformFeedbackStream = Pointer<NativeFunction<GlDrawTransformFeedbackStreamNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glDrawTransformFeedbackStream'))).asFunction<GlDrawTransformFeedbackStream>();
  glBeginQueryIndexed = Pointer<NativeFunction<GlBeginQueryIndexedNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glBeginQueryIndexed'))).asFunction<GlBeginQueryIndexed>();
  glEndQueryIndexed = Pointer<NativeFunction<GlEndQueryIndexedNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glEndQueryIndexed'))).asFunction<GlEndQueryIndexed>();
  glGetQueryIndexediv = Pointer<NativeFunction<GlGetQueryIndexedivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetQueryIndexediv'))).asFunction<GlGetQueryIndexediv>();
  glReleaseShaderCompiler = Pointer<NativeFunction<GlReleaseShaderCompilerNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glReleaseShaderCompiler'))).asFunction<GlReleaseShaderCompiler>();
  glShaderBinary = Pointer<NativeFunction<GlShaderBinaryNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glShaderBinary'))).asFunction<GlShaderBinary>();
  glGetShaderPrecisionFormat = Pointer<NativeFunction<GlGetShaderPrecisionFormatNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetShaderPrecisionFormat'))).asFunction<GlGetShaderPrecisionFormat>();
  glDepthRangef = Pointer<NativeFunction<GlDepthRangefNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glDepthRangef'))).asFunction<GlDepthRangef>();
  glClearDepthf = Pointer<NativeFunction<GlClearDepthfNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glClearDepthf'))).asFunction<GlClearDepthf>();
  glGetProgramBinary = Pointer<NativeFunction<GlGetProgramBinaryNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetProgramBinary'))).asFunction<GlGetProgramBinary>();
  glProgramBinary = Pointer<NativeFunction<GlProgramBinaryNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramBinary'))).asFunction<GlProgramBinary>();
  glProgramParameteri = Pointer<NativeFunction<GlProgramParameteriNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramParameteri'))).asFunction<GlProgramParameteri>();
  glUseProgramStages = Pointer<NativeFunction<GlUseProgramStagesNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUseProgramStages'))).asFunction<GlUseProgramStages>();
  glActiveShaderProgram = Pointer<NativeFunction<GlActiveShaderProgramNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glActiveShaderProgram'))).asFunction<GlActiveShaderProgram>();
  glCreateShaderProgramv = Pointer<NativeFunction<GlCreateShaderProgramvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glCreateShaderProgramv'))).asFunction<GlCreateShaderProgramv>();
  glBindProgramPipeline = Pointer<NativeFunction<GlBindProgramPipelineNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glBindProgramPipeline'))).asFunction<GlBindProgramPipeline>();
  glDeleteProgramPipelines = Pointer<NativeFunction<GlDeleteProgramPipelinesNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glDeleteProgramPipelines'))).asFunction<GlDeleteProgramPipelines>();
  glGenProgramPipelines = Pointer<NativeFunction<GlGenProgramPipelinesNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGenProgramPipelines'))).asFunction<GlGenProgramPipelines>();
  glIsProgramPipeline = Pointer<NativeFunction<GlIsProgramPipelineNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glIsProgramPipeline'))).asFunction<GlIsProgramPipeline>();
  glGetProgramPipelineiv = Pointer<NativeFunction<GlGetProgramPipelineivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetProgramPipelineiv'))).asFunction<GlGetProgramPipelineiv>();
  glProgramUniform1i = Pointer<NativeFunction<GlProgramUniform1iNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform1i'))).asFunction<GlProgramUniform1i>();
  glProgramUniform1iv = Pointer<NativeFunction<GlProgramUniform1ivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform1iv'))).asFunction<GlProgramUniform1iv>();
  glProgramUniform1f = Pointer<NativeFunction<GlProgramUniform1fNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform1f'))).asFunction<GlProgramUniform1f>();
  glProgramUniform1fv = Pointer<NativeFunction<GlProgramUniform1fvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform1fv'))).asFunction<GlProgramUniform1fv>();
  glProgramUniform1d = Pointer<NativeFunction<GlProgramUniform1dNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform1d'))).asFunction<GlProgramUniform1d>();
  glProgramUniform1dv = Pointer<NativeFunction<GlProgramUniform1dvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform1dv'))).asFunction<GlProgramUniform1dv>();
  glProgramUniform1ui = Pointer<NativeFunction<GlProgramUniform1uiNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform1ui'))).asFunction<GlProgramUniform1ui>();
  glProgramUniform1uiv = Pointer<NativeFunction<GlProgramUniform1uivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform1uiv'))).asFunction<GlProgramUniform1uiv>();
  glProgramUniform2i = Pointer<NativeFunction<GlProgramUniform2iNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform2i'))).asFunction<GlProgramUniform2i>();
  glProgramUniform2iv = Pointer<NativeFunction<GlProgramUniform2ivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform2iv'))).asFunction<GlProgramUniform2iv>();
  glProgramUniform2f = Pointer<NativeFunction<GlProgramUniform2fNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform2f'))).asFunction<GlProgramUniform2f>();
  glProgramUniform2fv = Pointer<NativeFunction<GlProgramUniform2fvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform2fv'))).asFunction<GlProgramUniform2fv>();
  glProgramUniform2d = Pointer<NativeFunction<GlProgramUniform2dNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform2d'))).asFunction<GlProgramUniform2d>();
  glProgramUniform2dv = Pointer<NativeFunction<GlProgramUniform2dvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform2dv'))).asFunction<GlProgramUniform2dv>();
  glProgramUniform2ui = Pointer<NativeFunction<GlProgramUniform2uiNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform2ui'))).asFunction<GlProgramUniform2ui>();
  glProgramUniform2uiv = Pointer<NativeFunction<GlProgramUniform2uivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform2uiv'))).asFunction<GlProgramUniform2uiv>();
  glProgramUniform3i = Pointer<NativeFunction<GlProgramUniform3iNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform3i'))).asFunction<GlProgramUniform3i>();
  glProgramUniform3iv = Pointer<NativeFunction<GlProgramUniform3ivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform3iv'))).asFunction<GlProgramUniform3iv>();
  glProgramUniform3f = Pointer<NativeFunction<GlProgramUniform3fNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform3f'))).asFunction<GlProgramUniform3f>();
  glProgramUniform3fv = Pointer<NativeFunction<GlProgramUniform3fvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform3fv'))).asFunction<GlProgramUniform3fv>();
  glProgramUniform3d = Pointer<NativeFunction<GlProgramUniform3dNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform3d'))).asFunction<GlProgramUniform3d>();
  glProgramUniform3dv = Pointer<NativeFunction<GlProgramUniform3dvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform3dv'))).asFunction<GlProgramUniform3dv>();
  glProgramUniform3ui = Pointer<NativeFunction<GlProgramUniform3uiNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform3ui'))).asFunction<GlProgramUniform3ui>();
  glProgramUniform3uiv = Pointer<NativeFunction<GlProgramUniform3uivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform3uiv'))).asFunction<GlProgramUniform3uiv>();
  glProgramUniform4i = Pointer<NativeFunction<GlProgramUniform4iNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform4i'))).asFunction<GlProgramUniform4i>();
  glProgramUniform4iv = Pointer<NativeFunction<GlProgramUniform4ivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform4iv'))).asFunction<GlProgramUniform4iv>();
  glProgramUniform4f = Pointer<NativeFunction<GlProgramUniform4fNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform4f'))).asFunction<GlProgramUniform4f>();
  glProgramUniform4fv = Pointer<NativeFunction<GlProgramUniform4fvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform4fv'))).asFunction<GlProgramUniform4fv>();
  glProgramUniform4d = Pointer<NativeFunction<GlProgramUniform4dNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform4d'))).asFunction<GlProgramUniform4d>();
  glProgramUniform4dv = Pointer<NativeFunction<GlProgramUniform4dvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform4dv'))).asFunction<GlProgramUniform4dv>();
  glProgramUniform4ui = Pointer<NativeFunction<GlProgramUniform4uiNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform4ui'))).asFunction<GlProgramUniform4ui>();
  glProgramUniform4uiv = Pointer<NativeFunction<GlProgramUniform4uivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform4uiv'))).asFunction<GlProgramUniform4uiv>();
  glProgramUniformMatrix2fv = Pointer<NativeFunction<GlProgramUniformMatrix2fvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniformMatrix2fv'))).asFunction<GlProgramUniformMatrix2fv>();
  glProgramUniformMatrix3fv = Pointer<NativeFunction<GlProgramUniformMatrix3fvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniformMatrix3fv'))).asFunction<GlProgramUniformMatrix3fv>();
  glProgramUniformMatrix4fv = Pointer<NativeFunction<GlProgramUniformMatrix4fvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniformMatrix4fv'))).asFunction<GlProgramUniformMatrix4fv>();
  glProgramUniformMatrix2dv = Pointer<NativeFunction<GlProgramUniformMatrix2dvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniformMatrix2dv'))).asFunction<GlProgramUniformMatrix2dv>();
  glProgramUniformMatrix3dv = Pointer<NativeFunction<GlProgramUniformMatrix3dvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniformMatrix3dv'))).asFunction<GlProgramUniformMatrix3dv>();
  glProgramUniformMatrix4dv = Pointer<NativeFunction<GlProgramUniformMatrix4dvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniformMatrix4dv'))).asFunction<GlProgramUniformMatrix4dv>();
  glProgramUniformMatrix2x3fv = Pointer<NativeFunction<GlProgramUniformMatrix2x3fvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniformMatrix2x3fv'))).asFunction<GlProgramUniformMatrix2x3fv>();
  glProgramUniformMatrix3x2fv = Pointer<NativeFunction<GlProgramUniformMatrix3x2fvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniformMatrix3x2fv'))).asFunction<GlProgramUniformMatrix3x2fv>();
  glProgramUniformMatrix2x4fv = Pointer<NativeFunction<GlProgramUniformMatrix2x4fvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniformMatrix2x4fv'))).asFunction<GlProgramUniformMatrix2x4fv>();
  glProgramUniformMatrix4x2fv = Pointer<NativeFunction<GlProgramUniformMatrix4x2fvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniformMatrix4x2fv'))).asFunction<GlProgramUniformMatrix4x2fv>();
  glProgramUniformMatrix3x4fv = Pointer<NativeFunction<GlProgramUniformMatrix3x4fvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniformMatrix3x4fv'))).asFunction<GlProgramUniformMatrix3x4fv>();
  glProgramUniformMatrix4x3fv = Pointer<NativeFunction<GlProgramUniformMatrix4x3fvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniformMatrix4x3fv'))).asFunction<GlProgramUniformMatrix4x3fv>();
  glProgramUniformMatrix2x3dv = Pointer<NativeFunction<GlProgramUniformMatrix2x3dvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniformMatrix2x3dv'))).asFunction<GlProgramUniformMatrix2x3dv>();
  glProgramUniformMatrix3x2dv = Pointer<NativeFunction<GlProgramUniformMatrix3x2dvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniformMatrix3x2dv'))).asFunction<GlProgramUniformMatrix3x2dv>();
  glProgramUniformMatrix2x4dv = Pointer<NativeFunction<GlProgramUniformMatrix2x4dvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniformMatrix2x4dv'))).asFunction<GlProgramUniformMatrix2x4dv>();
  glProgramUniformMatrix4x2dv = Pointer<NativeFunction<GlProgramUniformMatrix4x2dvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniformMatrix4x2dv'))).asFunction<GlProgramUniformMatrix4x2dv>();
  glProgramUniformMatrix3x4dv = Pointer<NativeFunction<GlProgramUniformMatrix3x4dvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniformMatrix3x4dv'))).asFunction<GlProgramUniformMatrix3x4dv>();
  glProgramUniformMatrix4x3dv = Pointer<NativeFunction<GlProgramUniformMatrix4x3dvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniformMatrix4x3dv'))).asFunction<GlProgramUniformMatrix4x3dv>();
  glValidateProgramPipeline = Pointer<NativeFunction<GlValidateProgramPipelineNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glValidateProgramPipeline'))).asFunction<GlValidateProgramPipeline>();
  glGetProgramPipelineInfoLog = Pointer<NativeFunction<GlGetProgramPipelineInfoLogNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetProgramPipelineInfoLog'))).asFunction<GlGetProgramPipelineInfoLog>();
  glVertexAttribL1d = Pointer<NativeFunction<GlVertexAttribL1dNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttribL1d'))).asFunction<GlVertexAttribL1d>();
  glVertexAttribL2d = Pointer<NativeFunction<GlVertexAttribL2dNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttribL2d'))).asFunction<GlVertexAttribL2d>();
  glVertexAttribL3d = Pointer<NativeFunction<GlVertexAttribL3dNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttribL3d'))).asFunction<GlVertexAttribL3d>();
  glVertexAttribL4d = Pointer<NativeFunction<GlVertexAttribL4dNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttribL4d'))).asFunction<GlVertexAttribL4d>();
  glVertexAttribL1dv = Pointer<NativeFunction<GlVertexAttribL1dvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttribL1dv'))).asFunction<GlVertexAttribL1dv>();
  glVertexAttribL2dv = Pointer<NativeFunction<GlVertexAttribL2dvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttribL2dv'))).asFunction<GlVertexAttribL2dv>();
  glVertexAttribL3dv = Pointer<NativeFunction<GlVertexAttribL3dvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttribL3dv'))).asFunction<GlVertexAttribL3dv>();
  glVertexAttribL4dv = Pointer<NativeFunction<GlVertexAttribL4dvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttribL4dv'))).asFunction<GlVertexAttribL4dv>();
  glVertexAttribLPointer = Pointer<NativeFunction<GlVertexAttribLPointerNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttribLPointer'))).asFunction<GlVertexAttribLPointer>();
  glGetVertexAttribLdv = Pointer<NativeFunction<GlGetVertexAttribLdvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetVertexAttribLdv'))).asFunction<GlGetVertexAttribLdv>();
  glViewportArrayv = Pointer<NativeFunction<GlViewportArrayvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glViewportArrayv'))).asFunction<GlViewportArrayv>();
  glViewportIndexedf = Pointer<NativeFunction<GlViewportIndexedfNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glViewportIndexedf'))).asFunction<GlViewportIndexedf>();
  glViewportIndexedfv = Pointer<NativeFunction<GlViewportIndexedfvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glViewportIndexedfv'))).asFunction<GlViewportIndexedfv>();
  glScissorArrayv = Pointer<NativeFunction<GlScissorArrayvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glScissorArrayv'))).asFunction<GlScissorArrayv>();
  glScissorIndexed = Pointer<NativeFunction<GlScissorIndexedNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glScissorIndexed'))).asFunction<GlScissorIndexed>();
  glScissorIndexedv = Pointer<NativeFunction<GlScissorIndexedvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glScissorIndexedv'))).asFunction<GlScissorIndexedv>();
  glDepthRangeArrayv = Pointer<NativeFunction<GlDepthRangeArrayvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glDepthRangeArrayv'))).asFunction<GlDepthRangeArrayv>();
  glDepthRangeIndexed = Pointer<NativeFunction<GlDepthRangeIndexedNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glDepthRangeIndexed'))).asFunction<GlDepthRangeIndexed>();
  glGetFloati_v = Pointer<NativeFunction<GlGetFloati_vNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetFloati_v'))).asFunction<GlGetFloati_v>();
  glGetDoublei_v = Pointer<NativeFunction<GlGetDoublei_vNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetDoublei_v'))).asFunction<GlGetDoublei_v>();
  glDrawArraysInstancedBaseInstance = Pointer<NativeFunction<GlDrawArraysInstancedBaseInstanceNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glDrawArraysInstancedBaseInstance'))).asFunction<GlDrawArraysInstancedBaseInstance>();
  glDrawElementsInstancedBaseInstance = Pointer<NativeFunction<GlDrawElementsInstancedBaseInstanceNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glDrawElementsInstancedBaseInstance'))).asFunction<GlDrawElementsInstancedBaseInstance>();
  glDrawElementsInstancedBaseVertexBaseInstance = Pointer<NativeFunction<GlDrawElementsInstancedBaseVertexBaseInstanceNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glDrawElementsInstancedBaseVertexBaseInstance'))).asFunction<GlDrawElementsInstancedBaseVertexBaseInstance>();
  glGetInternalformativ = Pointer<NativeFunction<GlGetInternalformativNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetInternalformativ'))).asFunction<GlGetInternalformativ>();
  glGetActiveAtomicCounterBufferiv = Pointer<NativeFunction<GlGetActiveAtomicCounterBufferivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetActiveAtomicCounterBufferiv'))).asFunction<GlGetActiveAtomicCounterBufferiv>();
  glBindImageTexture = Pointer<NativeFunction<GlBindImageTextureNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glBindImageTexture'))).asFunction<GlBindImageTexture>();
  glMemoryBarrier = Pointer<NativeFunction<GlMemoryBarrierNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMemoryBarrier'))).asFunction<GlMemoryBarrier>();
  glTexStorage1D = Pointer<NativeFunction<GlTexStorage1DNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glTexStorage1D'))).asFunction<GlTexStorage1D>();
  glTexStorage2D = Pointer<NativeFunction<GlTexStorage2DNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glTexStorage2D'))).asFunction<GlTexStorage2D>();
  glTexStorage3D = Pointer<NativeFunction<GlTexStorage3DNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glTexStorage3D'))).asFunction<GlTexStorage3D>();
  glDrawTransformFeedbackInstanced = Pointer<NativeFunction<GlDrawTransformFeedbackInstancedNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glDrawTransformFeedbackInstanced'))).asFunction<GlDrawTransformFeedbackInstanced>();
  glDrawTransformFeedbackStreamInstanced = Pointer<NativeFunction<GlDrawTransformFeedbackStreamInstancedNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glDrawTransformFeedbackStreamInstanced'))).asFunction<GlDrawTransformFeedbackStreamInstanced>();
  glClearBufferData = Pointer<NativeFunction<GlClearBufferDataNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glClearBufferData'))).asFunction<GlClearBufferData>();
  glClearBufferSubData = Pointer<NativeFunction<GlClearBufferSubDataNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glClearBufferSubData'))).asFunction<GlClearBufferSubData>();
  glDispatchCompute = Pointer<NativeFunction<GlDispatchComputeNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glDispatchCompute'))).asFunction<GlDispatchCompute>();
  glDispatchComputeIndirect = Pointer<NativeFunction<GlDispatchComputeIndirectNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glDispatchComputeIndirect'))).asFunction<GlDispatchComputeIndirect>();
  glCopyImageSubData = Pointer<NativeFunction<GlCopyImageSubDataNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glCopyImageSubData'))).asFunction<GlCopyImageSubData>();
  glFramebufferParameteri = Pointer<NativeFunction<GlFramebufferParameteriNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glFramebufferParameteri'))).asFunction<GlFramebufferParameteri>();
  glGetFramebufferParameteriv = Pointer<NativeFunction<GlGetFramebufferParameterivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetFramebufferParameteriv'))).asFunction<GlGetFramebufferParameteriv>();
  glGetInternalformati64v = Pointer<NativeFunction<GlGetInternalformati64vNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetInternalformati64v'))).asFunction<GlGetInternalformati64v>();
  glInvalidateTexSubImage = Pointer<NativeFunction<GlInvalidateTexSubImageNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glInvalidateTexSubImage'))).asFunction<GlInvalidateTexSubImage>();
  glInvalidateTexImage = Pointer<NativeFunction<GlInvalidateTexImageNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glInvalidateTexImage'))).asFunction<GlInvalidateTexImage>();
  glInvalidateBufferSubData = Pointer<NativeFunction<GlInvalidateBufferSubDataNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glInvalidateBufferSubData'))).asFunction<GlInvalidateBufferSubData>();
  glInvalidateBufferData = Pointer<NativeFunction<GlInvalidateBufferDataNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glInvalidateBufferData'))).asFunction<GlInvalidateBufferData>();
  glInvalidateFramebuffer = Pointer<NativeFunction<GlInvalidateFramebufferNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glInvalidateFramebuffer'))).asFunction<GlInvalidateFramebuffer>();
  glInvalidateSubFramebuffer = Pointer<NativeFunction<GlInvalidateSubFramebufferNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glInvalidateSubFramebuffer'))).asFunction<GlInvalidateSubFramebuffer>();
  glMultiDrawArraysIndirect = Pointer<NativeFunction<GlMultiDrawArraysIndirectNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMultiDrawArraysIndirect'))).asFunction<GlMultiDrawArraysIndirect>();
  glMultiDrawElementsIndirect = Pointer<NativeFunction<GlMultiDrawElementsIndirectNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMultiDrawElementsIndirect'))).asFunction<GlMultiDrawElementsIndirect>();
  glGetProgramInterfaceiv = Pointer<NativeFunction<GlGetProgramInterfaceivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetProgramInterfaceiv'))).asFunction<GlGetProgramInterfaceiv>();
  glGetProgramResourceIndex = Pointer<NativeFunction<GlGetProgramResourceIndexNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetProgramResourceIndex'))).asFunction<GlGetProgramResourceIndex>();
  glGetProgramResourceName = Pointer<NativeFunction<GlGetProgramResourceNameNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetProgramResourceName'))).asFunction<GlGetProgramResourceName>();
  glGetProgramResourceiv = Pointer<NativeFunction<GlGetProgramResourceivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetProgramResourceiv'))).asFunction<GlGetProgramResourceiv>();
  glGetProgramResourceLocation = Pointer<NativeFunction<GlGetProgramResourceLocationNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetProgramResourceLocation'))).asFunction<GlGetProgramResourceLocation>();
  glGetProgramResourceLocationIndex = Pointer<NativeFunction<GlGetProgramResourceLocationIndexNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetProgramResourceLocationIndex'))).asFunction<GlGetProgramResourceLocationIndex>();
  glShaderStorageBlockBinding = Pointer<NativeFunction<GlShaderStorageBlockBindingNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glShaderStorageBlockBinding'))).asFunction<GlShaderStorageBlockBinding>();
  glTexBufferRange = Pointer<NativeFunction<GlTexBufferRangeNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glTexBufferRange'))).asFunction<GlTexBufferRange>();
  glTexStorage2DMultisample = Pointer<NativeFunction<GlTexStorage2DMultisampleNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glTexStorage2DMultisample'))).asFunction<GlTexStorage2DMultisample>();
  glTexStorage3DMultisample = Pointer<NativeFunction<GlTexStorage3DMultisampleNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glTexStorage3DMultisample'))).asFunction<GlTexStorage3DMultisample>();
  glTextureView = Pointer<NativeFunction<GlTextureViewNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glTextureView'))).asFunction<GlTextureView>();
  glBindVertexBuffer = Pointer<NativeFunction<GlBindVertexBufferNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glBindVertexBuffer'))).asFunction<GlBindVertexBuffer>();
  glVertexAttribFormat = Pointer<NativeFunction<GlVertexAttribFormatNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttribFormat'))).asFunction<GlVertexAttribFormat>();
  glVertexAttribIFormat = Pointer<NativeFunction<GlVertexAttribIFormatNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttribIFormat'))).asFunction<GlVertexAttribIFormat>();
  glVertexAttribLFormat = Pointer<NativeFunction<GlVertexAttribLFormatNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttribLFormat'))).asFunction<GlVertexAttribLFormat>();
  glVertexAttribBinding = Pointer<NativeFunction<GlVertexAttribBindingNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttribBinding'))).asFunction<GlVertexAttribBinding>();
  glVertexBindingDivisor = Pointer<NativeFunction<GlVertexBindingDivisorNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexBindingDivisor'))).asFunction<GlVertexBindingDivisor>();
  glDebugMessageControl = Pointer<NativeFunction<GlDebugMessageControlNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glDebugMessageControl'))).asFunction<GlDebugMessageControl>();
  glDebugMessageInsert = Pointer<NativeFunction<GlDebugMessageInsertNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glDebugMessageInsert'))).asFunction<GlDebugMessageInsert>();
  glDebugMessageCallback = Pointer<NativeFunction<GlDebugMessageCallbackNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glDebugMessageCallback'))).asFunction<GlDebugMessageCallback>();
  glGetDebugMessageLog = Pointer<NativeFunction<GlGetDebugMessageLogNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetDebugMessageLog'))).asFunction<GlGetDebugMessageLog>();
  glPushDebugGroup = Pointer<NativeFunction<GlPushDebugGroupNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glPushDebugGroup'))).asFunction<GlPushDebugGroup>();
  glPopDebugGroup = Pointer<NativeFunction<GlPopDebugGroupNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glPopDebugGroup'))).asFunction<GlPopDebugGroup>();
  glObjectLabel = Pointer<NativeFunction<GlObjectLabelNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glObjectLabel'))).asFunction<GlObjectLabel>();
  glGetObjectLabel = Pointer<NativeFunction<GlGetObjectLabelNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetObjectLabel'))).asFunction<GlGetObjectLabel>();
  glObjectPtrLabel = Pointer<NativeFunction<GlObjectPtrLabelNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glObjectPtrLabel'))).asFunction<GlObjectPtrLabel>();
  glGetObjectPtrLabel = Pointer<NativeFunction<GlGetObjectPtrLabelNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetObjectPtrLabel'))).asFunction<GlGetObjectPtrLabel>();
  glBufferStorage = Pointer<NativeFunction<GlBufferStorageNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glBufferStorage'))).asFunction<GlBufferStorage>();
  glClearTexImage = Pointer<NativeFunction<GlClearTexImageNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glClearTexImage'))).asFunction<GlClearTexImage>();
  glClearTexSubImage = Pointer<NativeFunction<GlClearTexSubImageNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glClearTexSubImage'))).asFunction<GlClearTexSubImage>();
  glBindBuffersBase = Pointer<NativeFunction<GlBindBuffersBaseNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glBindBuffersBase'))).asFunction<GlBindBuffersBase>();
  glBindBuffersRange = Pointer<NativeFunction<GlBindBuffersRangeNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glBindBuffersRange'))).asFunction<GlBindBuffersRange>();
  glBindTextures = Pointer<NativeFunction<GlBindTexturesNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glBindTextures'))).asFunction<GlBindTextures>();
  glBindSamplers = Pointer<NativeFunction<GlBindSamplersNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glBindSamplers'))).asFunction<GlBindSamplers>();
  glBindImageTextures = Pointer<NativeFunction<GlBindImageTexturesNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glBindImageTextures'))).asFunction<GlBindImageTextures>();
  glBindVertexBuffers = Pointer<NativeFunction<GlBindVertexBuffersNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glBindVertexBuffers'))).asFunction<GlBindVertexBuffers>();
  glClipControl = Pointer<NativeFunction<GlClipControlNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glClipControl'))).asFunction<GlClipControl>();
  glCreateTransformFeedbacks = Pointer<NativeFunction<GlCreateTransformFeedbacksNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glCreateTransformFeedbacks'))).asFunction<GlCreateTransformFeedbacks>();
  glTransformFeedbackBufferBase = Pointer<NativeFunction<GlTransformFeedbackBufferBaseNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glTransformFeedbackBufferBase'))).asFunction<GlTransformFeedbackBufferBase>();
  glTransformFeedbackBufferRange = Pointer<NativeFunction<GlTransformFeedbackBufferRangeNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glTransformFeedbackBufferRange'))).asFunction<GlTransformFeedbackBufferRange>();
  glGetTransformFeedbackiv = Pointer<NativeFunction<GlGetTransformFeedbackivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetTransformFeedbackiv'))).asFunction<GlGetTransformFeedbackiv>();
  glGetTransformFeedbacki_v = Pointer<NativeFunction<GlGetTransformFeedbacki_vNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetTransformFeedbacki_v'))).asFunction<GlGetTransformFeedbacki_v>();
  glGetTransformFeedbacki64_v = Pointer<NativeFunction<GlGetTransformFeedbacki64_vNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetTransformFeedbacki64_v'))).asFunction<GlGetTransformFeedbacki64_v>();
  glCreateBuffers = Pointer<NativeFunction<GlCreateBuffersNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glCreateBuffers'))).asFunction<GlCreateBuffers>();
  glNamedBufferStorage = Pointer<NativeFunction<GlNamedBufferStorageNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glNamedBufferStorage'))).asFunction<GlNamedBufferStorage>();
  glNamedBufferData = Pointer<NativeFunction<GlNamedBufferDataNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glNamedBufferData'))).asFunction<GlNamedBufferData>();
  glNamedBufferSubData = Pointer<NativeFunction<GlNamedBufferSubDataNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glNamedBufferSubData'))).asFunction<GlNamedBufferSubData>();
  glCopyNamedBufferSubData = Pointer<NativeFunction<GlCopyNamedBufferSubDataNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glCopyNamedBufferSubData'))).asFunction<GlCopyNamedBufferSubData>();
  glClearNamedBufferData = Pointer<NativeFunction<GlClearNamedBufferDataNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glClearNamedBufferData'))).asFunction<GlClearNamedBufferData>();
  glClearNamedBufferSubData = Pointer<NativeFunction<GlClearNamedBufferSubDataNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glClearNamedBufferSubData'))).asFunction<GlClearNamedBufferSubData>();
  glMapNamedBuffer = Pointer<NativeFunction<GlMapNamedBufferNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMapNamedBuffer'))).asFunction<GlMapNamedBuffer>();
  glMapNamedBufferRange = Pointer<NativeFunction<GlMapNamedBufferRangeNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMapNamedBufferRange'))).asFunction<GlMapNamedBufferRange>();
  glUnmapNamedBuffer = Pointer<NativeFunction<GlUnmapNamedBufferNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUnmapNamedBuffer'))).asFunction<GlUnmapNamedBuffer>();
  glFlushMappedNamedBufferRange = Pointer<NativeFunction<GlFlushMappedNamedBufferRangeNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glFlushMappedNamedBufferRange'))).asFunction<GlFlushMappedNamedBufferRange>();
  glGetNamedBufferParameteriv = Pointer<NativeFunction<GlGetNamedBufferParameterivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetNamedBufferParameteriv'))).asFunction<GlGetNamedBufferParameteriv>();
  glGetNamedBufferParameteri64v = Pointer<NativeFunction<GlGetNamedBufferParameteri64vNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetNamedBufferParameteri64v'))).asFunction<GlGetNamedBufferParameteri64v>();
  glGetNamedBufferPointerv = Pointer<NativeFunction<GlGetNamedBufferPointervNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetNamedBufferPointerv'))).asFunction<GlGetNamedBufferPointerv>();
  glGetNamedBufferSubData = Pointer<NativeFunction<GlGetNamedBufferSubDataNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetNamedBufferSubData'))).asFunction<GlGetNamedBufferSubData>();
  glCreateFramebuffers = Pointer<NativeFunction<GlCreateFramebuffersNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glCreateFramebuffers'))).asFunction<GlCreateFramebuffers>();
  glNamedFramebufferRenderbuffer = Pointer<NativeFunction<GlNamedFramebufferRenderbufferNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glNamedFramebufferRenderbuffer'))).asFunction<GlNamedFramebufferRenderbuffer>();
  glNamedFramebufferParameteri = Pointer<NativeFunction<GlNamedFramebufferParameteriNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glNamedFramebufferParameteri'))).asFunction<GlNamedFramebufferParameteri>();
  glNamedFramebufferTexture = Pointer<NativeFunction<GlNamedFramebufferTextureNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glNamedFramebufferTexture'))).asFunction<GlNamedFramebufferTexture>();
  glNamedFramebufferTextureLayer = Pointer<NativeFunction<GlNamedFramebufferTextureLayerNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glNamedFramebufferTextureLayer'))).asFunction<GlNamedFramebufferTextureLayer>();
  glNamedFramebufferDrawBuffer = Pointer<NativeFunction<GlNamedFramebufferDrawBufferNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glNamedFramebufferDrawBuffer'))).asFunction<GlNamedFramebufferDrawBuffer>();
  glNamedFramebufferDrawBuffers = Pointer<NativeFunction<GlNamedFramebufferDrawBuffersNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glNamedFramebufferDrawBuffers'))).asFunction<GlNamedFramebufferDrawBuffers>();
  glNamedFramebufferReadBuffer = Pointer<NativeFunction<GlNamedFramebufferReadBufferNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glNamedFramebufferReadBuffer'))).asFunction<GlNamedFramebufferReadBuffer>();
  glInvalidateNamedFramebufferData = Pointer<NativeFunction<GlInvalidateNamedFramebufferDataNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glInvalidateNamedFramebufferData'))).asFunction<GlInvalidateNamedFramebufferData>();
  glInvalidateNamedFramebufferSubData = Pointer<NativeFunction<GlInvalidateNamedFramebufferSubDataNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glInvalidateNamedFramebufferSubData'))).asFunction<GlInvalidateNamedFramebufferSubData>();
  glClearNamedFramebufferiv = Pointer<NativeFunction<GlClearNamedFramebufferivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glClearNamedFramebufferiv'))).asFunction<GlClearNamedFramebufferiv>();
  glClearNamedFramebufferuiv = Pointer<NativeFunction<GlClearNamedFramebufferuivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glClearNamedFramebufferuiv'))).asFunction<GlClearNamedFramebufferuiv>();
  glClearNamedFramebufferfv = Pointer<NativeFunction<GlClearNamedFramebufferfvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glClearNamedFramebufferfv'))).asFunction<GlClearNamedFramebufferfv>();
  glClearNamedFramebufferfi = Pointer<NativeFunction<GlClearNamedFramebufferfiNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glClearNamedFramebufferfi'))).asFunction<GlClearNamedFramebufferfi>();
  glBlitNamedFramebuffer = Pointer<NativeFunction<GlBlitNamedFramebufferNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glBlitNamedFramebuffer'))).asFunction<GlBlitNamedFramebuffer>();
  glCheckNamedFramebufferStatus = Pointer<NativeFunction<GlCheckNamedFramebufferStatusNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glCheckNamedFramebufferStatus'))).asFunction<GlCheckNamedFramebufferStatus>();
  glGetNamedFramebufferParameteriv = Pointer<NativeFunction<GlGetNamedFramebufferParameterivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetNamedFramebufferParameteriv'))).asFunction<GlGetNamedFramebufferParameteriv>();
  glGetNamedFramebufferAttachmentParameteriv = Pointer<NativeFunction<GlGetNamedFramebufferAttachmentParameterivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetNamedFramebufferAttachmentParameteriv'))).asFunction<GlGetNamedFramebufferAttachmentParameteriv>();
  glCreateRenderbuffers = Pointer<NativeFunction<GlCreateRenderbuffersNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glCreateRenderbuffers'))).asFunction<GlCreateRenderbuffers>();
  glNamedRenderbufferStorage = Pointer<NativeFunction<GlNamedRenderbufferStorageNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glNamedRenderbufferStorage'))).asFunction<GlNamedRenderbufferStorage>();
  glNamedRenderbufferStorageMultisample = Pointer<NativeFunction<GlNamedRenderbufferStorageMultisampleNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glNamedRenderbufferStorageMultisample'))).asFunction<GlNamedRenderbufferStorageMultisample>();
  glGetNamedRenderbufferParameteriv = Pointer<NativeFunction<GlGetNamedRenderbufferParameterivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetNamedRenderbufferParameteriv'))).asFunction<GlGetNamedRenderbufferParameteriv>();
  glCreateTextures = Pointer<NativeFunction<GlCreateTexturesNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glCreateTextures'))).asFunction<GlCreateTextures>();
  glTextureBuffer = Pointer<NativeFunction<GlTextureBufferNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glTextureBuffer'))).asFunction<GlTextureBuffer>();
  glTextureBufferRange = Pointer<NativeFunction<GlTextureBufferRangeNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glTextureBufferRange'))).asFunction<GlTextureBufferRange>();
  glTextureStorage1D = Pointer<NativeFunction<GlTextureStorage1DNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glTextureStorage1D'))).asFunction<GlTextureStorage1D>();
  glTextureStorage2D = Pointer<NativeFunction<GlTextureStorage2DNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glTextureStorage2D'))).asFunction<GlTextureStorage2D>();
  glTextureStorage3D = Pointer<NativeFunction<GlTextureStorage3DNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glTextureStorage3D'))).asFunction<GlTextureStorage3D>();
  glTextureStorage2DMultisample = Pointer<NativeFunction<GlTextureStorage2DMultisampleNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glTextureStorage2DMultisample'))).asFunction<GlTextureStorage2DMultisample>();
  glTextureStorage3DMultisample = Pointer<NativeFunction<GlTextureStorage3DMultisampleNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glTextureStorage3DMultisample'))).asFunction<GlTextureStorage3DMultisample>();
  glTextureSubImage1D = Pointer<NativeFunction<GlTextureSubImage1DNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glTextureSubImage1D'))).asFunction<GlTextureSubImage1D>();
  glTextureSubImage2D = Pointer<NativeFunction<GlTextureSubImage2DNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glTextureSubImage2D'))).asFunction<GlTextureSubImage2D>();
  glTextureSubImage3D = Pointer<NativeFunction<GlTextureSubImage3DNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glTextureSubImage3D'))).asFunction<GlTextureSubImage3D>();
  glCompressedTextureSubImage1D = Pointer<NativeFunction<GlCompressedTextureSubImage1DNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glCompressedTextureSubImage1D'))).asFunction<GlCompressedTextureSubImage1D>();
  glCompressedTextureSubImage2D = Pointer<NativeFunction<GlCompressedTextureSubImage2DNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glCompressedTextureSubImage2D'))).asFunction<GlCompressedTextureSubImage2D>();
  glCompressedTextureSubImage3D = Pointer<NativeFunction<GlCompressedTextureSubImage3DNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glCompressedTextureSubImage3D'))).asFunction<GlCompressedTextureSubImage3D>();
  glCopyTextureSubImage1D = Pointer<NativeFunction<GlCopyTextureSubImage1DNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glCopyTextureSubImage1D'))).asFunction<GlCopyTextureSubImage1D>();
  glCopyTextureSubImage2D = Pointer<NativeFunction<GlCopyTextureSubImage2DNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glCopyTextureSubImage2D'))).asFunction<GlCopyTextureSubImage2D>();
  glCopyTextureSubImage3D = Pointer<NativeFunction<GlCopyTextureSubImage3DNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glCopyTextureSubImage3D'))).asFunction<GlCopyTextureSubImage3D>();
  glTextureParameterf = Pointer<NativeFunction<GlTextureParameterfNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glTextureParameterf'))).asFunction<GlTextureParameterf>();
  glTextureParameterfv = Pointer<NativeFunction<GlTextureParameterfvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glTextureParameterfv'))).asFunction<GlTextureParameterfv>();
  glTextureParameteri = Pointer<NativeFunction<GlTextureParameteriNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glTextureParameteri'))).asFunction<GlTextureParameteri>();
  glTextureParameterIiv = Pointer<NativeFunction<GlTextureParameterIivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glTextureParameterIiv'))).asFunction<GlTextureParameterIiv>();
  glTextureParameterIuiv = Pointer<NativeFunction<GlTextureParameterIuivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glTextureParameterIuiv'))).asFunction<GlTextureParameterIuiv>();
  glTextureParameteriv = Pointer<NativeFunction<GlTextureParameterivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glTextureParameteriv'))).asFunction<GlTextureParameteriv>();
  glGenerateTextureMipmap = Pointer<NativeFunction<GlGenerateTextureMipmapNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGenerateTextureMipmap'))).asFunction<GlGenerateTextureMipmap>();
  glBindTextureUnit = Pointer<NativeFunction<GlBindTextureUnitNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glBindTextureUnit'))).asFunction<GlBindTextureUnit>();
  glGetTextureImage = Pointer<NativeFunction<GlGetTextureImageNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetTextureImage'))).asFunction<GlGetTextureImage>();
  glGetCompressedTextureImage = Pointer<NativeFunction<GlGetCompressedTextureImageNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetCompressedTextureImage'))).asFunction<GlGetCompressedTextureImage>();
  glGetTextureLevelParameterfv = Pointer<NativeFunction<GlGetTextureLevelParameterfvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetTextureLevelParameterfv'))).asFunction<GlGetTextureLevelParameterfv>();
  glGetTextureLevelParameteriv = Pointer<NativeFunction<GlGetTextureLevelParameterivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetTextureLevelParameteriv'))).asFunction<GlGetTextureLevelParameteriv>();
  glGetTextureParameterfv = Pointer<NativeFunction<GlGetTextureParameterfvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetTextureParameterfv'))).asFunction<GlGetTextureParameterfv>();
  glGetTextureParameterIiv = Pointer<NativeFunction<GlGetTextureParameterIivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetTextureParameterIiv'))).asFunction<GlGetTextureParameterIiv>();
  glGetTextureParameterIuiv = Pointer<NativeFunction<GlGetTextureParameterIuivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetTextureParameterIuiv'))).asFunction<GlGetTextureParameterIuiv>();
  glGetTextureParameteriv = Pointer<NativeFunction<GlGetTextureParameterivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetTextureParameteriv'))).asFunction<GlGetTextureParameteriv>();
  glCreateVertexArrays = Pointer<NativeFunction<GlCreateVertexArraysNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glCreateVertexArrays'))).asFunction<GlCreateVertexArrays>();
  glDisableVertexArrayAttrib = Pointer<NativeFunction<GlDisableVertexArrayAttribNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glDisableVertexArrayAttrib'))).asFunction<GlDisableVertexArrayAttrib>();
  glEnableVertexArrayAttrib = Pointer<NativeFunction<GlEnableVertexArrayAttribNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glEnableVertexArrayAttrib'))).asFunction<GlEnableVertexArrayAttrib>();
  glVertexArrayElementBuffer = Pointer<NativeFunction<GlVertexArrayElementBufferNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexArrayElementBuffer'))).asFunction<GlVertexArrayElementBuffer>();
  glVertexArrayVertexBuffer = Pointer<NativeFunction<GlVertexArrayVertexBufferNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexArrayVertexBuffer'))).asFunction<GlVertexArrayVertexBuffer>();
  glVertexArrayVertexBuffers = Pointer<NativeFunction<GlVertexArrayVertexBuffersNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexArrayVertexBuffers'))).asFunction<GlVertexArrayVertexBuffers>();
  glVertexArrayAttribBinding = Pointer<NativeFunction<GlVertexArrayAttribBindingNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexArrayAttribBinding'))).asFunction<GlVertexArrayAttribBinding>();
  glVertexArrayAttribFormat = Pointer<NativeFunction<GlVertexArrayAttribFormatNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexArrayAttribFormat'))).asFunction<GlVertexArrayAttribFormat>();
  glVertexArrayAttribIFormat = Pointer<NativeFunction<GlVertexArrayAttribIFormatNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexArrayAttribIFormat'))).asFunction<GlVertexArrayAttribIFormat>();
  glVertexArrayAttribLFormat = Pointer<NativeFunction<GlVertexArrayAttribLFormatNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexArrayAttribLFormat'))).asFunction<GlVertexArrayAttribLFormat>();
  glVertexArrayBindingDivisor = Pointer<NativeFunction<GlVertexArrayBindingDivisorNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexArrayBindingDivisor'))).asFunction<GlVertexArrayBindingDivisor>();
  glGetVertexArrayiv = Pointer<NativeFunction<GlGetVertexArrayivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetVertexArrayiv'))).asFunction<GlGetVertexArrayiv>();
  glGetVertexArrayIndexediv = Pointer<NativeFunction<GlGetVertexArrayIndexedivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetVertexArrayIndexediv'))).asFunction<GlGetVertexArrayIndexediv>();
  glGetVertexArrayIndexed64iv = Pointer<NativeFunction<GlGetVertexArrayIndexed64ivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetVertexArrayIndexed64iv'))).asFunction<GlGetVertexArrayIndexed64iv>();
  glCreateSamplers = Pointer<NativeFunction<GlCreateSamplersNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glCreateSamplers'))).asFunction<GlCreateSamplers>();
  glCreateProgramPipelines = Pointer<NativeFunction<GlCreateProgramPipelinesNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glCreateProgramPipelines'))).asFunction<GlCreateProgramPipelines>();
  glCreateQueries = Pointer<NativeFunction<GlCreateQueriesNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glCreateQueries'))).asFunction<GlCreateQueries>();
  glGetQueryBufferObjecti64v = Pointer<NativeFunction<GlGetQueryBufferObjecti64vNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetQueryBufferObjecti64v'))).asFunction<GlGetQueryBufferObjecti64v>();
  glGetQueryBufferObjectiv = Pointer<NativeFunction<GlGetQueryBufferObjectivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetQueryBufferObjectiv'))).asFunction<GlGetQueryBufferObjectiv>();
  glGetQueryBufferObjectui64v = Pointer<NativeFunction<GlGetQueryBufferObjectui64vNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetQueryBufferObjectui64v'))).asFunction<GlGetQueryBufferObjectui64v>();
  glGetQueryBufferObjectuiv = Pointer<NativeFunction<GlGetQueryBufferObjectuivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetQueryBufferObjectuiv'))).asFunction<GlGetQueryBufferObjectuiv>();
  glMemoryBarrierByRegion = Pointer<NativeFunction<GlMemoryBarrierByRegionNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMemoryBarrierByRegion'))).asFunction<GlMemoryBarrierByRegion>();
  glGetTextureSubImage = Pointer<NativeFunction<GlGetTextureSubImageNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetTextureSubImage'))).asFunction<GlGetTextureSubImage>();
  glGetCompressedTextureSubImage = Pointer<NativeFunction<GlGetCompressedTextureSubImageNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetCompressedTextureSubImage'))).asFunction<GlGetCompressedTextureSubImage>();
  glGetGraphicsResetStatus = Pointer<NativeFunction<GlGetGraphicsResetStatusNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetGraphicsResetStatus'))).asFunction<GlGetGraphicsResetStatus>();
  glGetnCompressedTexImage = Pointer<NativeFunction<GlGetnCompressedTexImageNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetnCompressedTexImage'))).asFunction<GlGetnCompressedTexImage>();
  glGetnTexImage = Pointer<NativeFunction<GlGetnTexImageNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetnTexImage'))).asFunction<GlGetnTexImage>();
  glGetnUniformdv = Pointer<NativeFunction<GlGetnUniformdvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetnUniformdv'))).asFunction<GlGetnUniformdv>();
  glGetnUniformfv = Pointer<NativeFunction<GlGetnUniformfvNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetnUniformfv'))).asFunction<GlGetnUniformfv>();
  glGetnUniformiv = Pointer<NativeFunction<GlGetnUniformivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetnUniformiv'))).asFunction<GlGetnUniformiv>();
  glGetnUniformuiv = Pointer<NativeFunction<GlGetnUniformuivNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetnUniformuiv'))).asFunction<GlGetnUniformuiv>();
  glReadnPixels = Pointer<NativeFunction<GlReadnPixelsNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glReadnPixels'))).asFunction<GlReadnPixels>();
  glTextureBarrier = Pointer<NativeFunction<GlTextureBarrierNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glTextureBarrier'))).asFunction<GlTextureBarrier>();
  glSpecializeShader = Pointer<NativeFunction<GlSpecializeShaderNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glSpecializeShader'))).asFunction<GlSpecializeShader>();
  glMultiDrawArraysIndirectCount = Pointer<NativeFunction<GlMultiDrawArraysIndirectCountNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMultiDrawArraysIndirectCount'))).asFunction<GlMultiDrawArraysIndirectCount>();
  glMultiDrawElementsIndirectCount = Pointer<NativeFunction<GlMultiDrawElementsIndirectCountNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMultiDrawElementsIndirectCount'))).asFunction<GlMultiDrawElementsIndirectCount>();
  glPolygonOffsetClamp = Pointer<NativeFunction<GlPolygonOffsetClampNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glPolygonOffsetClamp'))).asFunction<GlPolygonOffsetClamp>();
  glPrimitiveBoundingBoxARB = Pointer<NativeFunction<GlPrimitiveBoundingBoxARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glPrimitiveBoundingBoxARB'))).asFunction<GlPrimitiveBoundingBoxARB>();
  glGetTextureHandleARB = Pointer<NativeFunction<GlGetTextureHandleARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetTextureHandleARB'))).asFunction<GlGetTextureHandleARB>();
  glGetTextureSamplerHandleARB = Pointer<NativeFunction<GlGetTextureSamplerHandleARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetTextureSamplerHandleARB'))).asFunction<GlGetTextureSamplerHandleARB>();
  glMakeTextureHandleResidentARB = Pointer<NativeFunction<GlMakeTextureHandleResidentARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMakeTextureHandleResidentARB'))).asFunction<GlMakeTextureHandleResidentARB>();
  glMakeTextureHandleNonResidentARB = Pointer<NativeFunction<GlMakeTextureHandleNonResidentARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMakeTextureHandleNonResidentARB'))).asFunction<GlMakeTextureHandleNonResidentARB>();
  glGetImageHandleARB = Pointer<NativeFunction<GlGetImageHandleARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetImageHandleARB'))).asFunction<GlGetImageHandleARB>();
  glMakeImageHandleResidentARB = Pointer<NativeFunction<GlMakeImageHandleResidentARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMakeImageHandleResidentARB'))).asFunction<GlMakeImageHandleResidentARB>();
  glMakeImageHandleNonResidentARB = Pointer<NativeFunction<GlMakeImageHandleNonResidentARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMakeImageHandleNonResidentARB'))).asFunction<GlMakeImageHandleNonResidentARB>();
  glUniformHandleui64ARB = Pointer<NativeFunction<GlUniformHandleui64ARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniformHandleui64ARB'))).asFunction<GlUniformHandleui64ARB>();
  glUniformHandleui64vARB = Pointer<NativeFunction<GlUniformHandleui64vARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniformHandleui64vARB'))).asFunction<GlUniformHandleui64vARB>();
  glProgramUniformHandleui64ARB = Pointer<NativeFunction<GlProgramUniformHandleui64ARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniformHandleui64ARB'))).asFunction<GlProgramUniformHandleui64ARB>();
  glProgramUniformHandleui64vARB = Pointer<NativeFunction<GlProgramUniformHandleui64vARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniformHandleui64vARB'))).asFunction<GlProgramUniformHandleui64vARB>();
  glIsTextureHandleResidentARB = Pointer<NativeFunction<GlIsTextureHandleResidentARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glIsTextureHandleResidentARB'))).asFunction<GlIsTextureHandleResidentARB>();
  glIsImageHandleResidentARB = Pointer<NativeFunction<GlIsImageHandleResidentARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glIsImageHandleResidentARB'))).asFunction<GlIsImageHandleResidentARB>();
  glVertexAttribL1ui64ARB = Pointer<NativeFunction<GlVertexAttribL1ui64ARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttribL1ui64ARB'))).asFunction<GlVertexAttribL1ui64ARB>();
  glVertexAttribL1ui64vARB = Pointer<NativeFunction<GlVertexAttribL1ui64vARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttribL1ui64vARB'))).asFunction<GlVertexAttribL1ui64vARB>();
  glGetVertexAttribLui64vARB = Pointer<NativeFunction<GlGetVertexAttribLui64vARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetVertexAttribLui64vARB'))).asFunction<GlGetVertexAttribLui64vARB>();
  glCreateSyncFromCLeventARB = Pointer<NativeFunction<GlCreateSyncFromCLeventARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glCreateSyncFromCLeventARB'))).asFunction<GlCreateSyncFromCLeventARB>();
  glDispatchComputeGroupSizeARB = Pointer<NativeFunction<GlDispatchComputeGroupSizeARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glDispatchComputeGroupSizeARB'))).asFunction<GlDispatchComputeGroupSizeARB>();
  glDebugMessageControlARB = Pointer<NativeFunction<GlDebugMessageControlARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glDebugMessageControlARB'))).asFunction<GlDebugMessageControlARB>();
  glDebugMessageInsertARB = Pointer<NativeFunction<GlDebugMessageInsertARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glDebugMessageInsertARB'))).asFunction<GlDebugMessageInsertARB>();
  glDebugMessageCallbackARB = Pointer<NativeFunction<GlDebugMessageCallbackARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glDebugMessageCallbackARB'))).asFunction<GlDebugMessageCallbackARB>();
  glGetDebugMessageLogARB = Pointer<NativeFunction<GlGetDebugMessageLogARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetDebugMessageLogARB'))).asFunction<GlGetDebugMessageLogARB>();
  glBlendEquationiARB = Pointer<NativeFunction<GlBlendEquationiARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glBlendEquationiARB'))).asFunction<GlBlendEquationiARB>();
  glBlendEquationSeparateiARB = Pointer<NativeFunction<GlBlendEquationSeparateiARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glBlendEquationSeparateiARB'))).asFunction<GlBlendEquationSeparateiARB>();
  glBlendFunciARB = Pointer<NativeFunction<GlBlendFunciARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glBlendFunciARB'))).asFunction<GlBlendFunciARB>();
  glBlendFuncSeparateiARB = Pointer<NativeFunction<GlBlendFuncSeparateiARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glBlendFuncSeparateiARB'))).asFunction<GlBlendFuncSeparateiARB>();
  glDrawArraysInstancedARB = Pointer<NativeFunction<GlDrawArraysInstancedARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glDrawArraysInstancedARB'))).asFunction<GlDrawArraysInstancedARB>();
  glDrawElementsInstancedARB = Pointer<NativeFunction<GlDrawElementsInstancedARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glDrawElementsInstancedARB'))).asFunction<GlDrawElementsInstancedARB>();
  glProgramParameteriARB = Pointer<NativeFunction<GlProgramParameteriARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramParameteriARB'))).asFunction<GlProgramParameteriARB>();
  glFramebufferTextureARB = Pointer<NativeFunction<GlFramebufferTextureARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glFramebufferTextureARB'))).asFunction<GlFramebufferTextureARB>();
  glFramebufferTextureLayerARB = Pointer<NativeFunction<GlFramebufferTextureLayerARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glFramebufferTextureLayerARB'))).asFunction<GlFramebufferTextureLayerARB>();
  glFramebufferTextureFaceARB = Pointer<NativeFunction<GlFramebufferTextureFaceARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glFramebufferTextureFaceARB'))).asFunction<GlFramebufferTextureFaceARB>();
  glSpecializeShaderARB = Pointer<NativeFunction<GlSpecializeShaderARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glSpecializeShaderARB'))).asFunction<GlSpecializeShaderARB>();
  glUniform1i64ARB = Pointer<NativeFunction<GlUniform1i64ARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniform1i64ARB'))).asFunction<GlUniform1i64ARB>();
  glUniform2i64ARB = Pointer<NativeFunction<GlUniform2i64ARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniform2i64ARB'))).asFunction<GlUniform2i64ARB>();
  glUniform3i64ARB = Pointer<NativeFunction<GlUniform3i64ARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniform3i64ARB'))).asFunction<GlUniform3i64ARB>();
  glUniform4i64ARB = Pointer<NativeFunction<GlUniform4i64ARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniform4i64ARB'))).asFunction<GlUniform4i64ARB>();
  glUniform1i64vARB = Pointer<NativeFunction<GlUniform1i64vARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniform1i64vARB'))).asFunction<GlUniform1i64vARB>();
  glUniform2i64vARB = Pointer<NativeFunction<GlUniform2i64vARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniform2i64vARB'))).asFunction<GlUniform2i64vARB>();
  glUniform3i64vARB = Pointer<NativeFunction<GlUniform3i64vARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniform3i64vARB'))).asFunction<GlUniform3i64vARB>();
  glUniform4i64vARB = Pointer<NativeFunction<GlUniform4i64vARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniform4i64vARB'))).asFunction<GlUniform4i64vARB>();
  glUniform1ui64ARB = Pointer<NativeFunction<GlUniform1ui64ARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniform1ui64ARB'))).asFunction<GlUniform1ui64ARB>();
  glUniform2ui64ARB = Pointer<NativeFunction<GlUniform2ui64ARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniform2ui64ARB'))).asFunction<GlUniform2ui64ARB>();
  glUniform3ui64ARB = Pointer<NativeFunction<GlUniform3ui64ARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniform3ui64ARB'))).asFunction<GlUniform3ui64ARB>();
  glUniform4ui64ARB = Pointer<NativeFunction<GlUniform4ui64ARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniform4ui64ARB'))).asFunction<GlUniform4ui64ARB>();
  glUniform1ui64vARB = Pointer<NativeFunction<GlUniform1ui64vARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniform1ui64vARB'))).asFunction<GlUniform1ui64vARB>();
  glUniform2ui64vARB = Pointer<NativeFunction<GlUniform2ui64vARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniform2ui64vARB'))).asFunction<GlUniform2ui64vARB>();
  glUniform3ui64vARB = Pointer<NativeFunction<GlUniform3ui64vARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniform3ui64vARB'))).asFunction<GlUniform3ui64vARB>();
  glUniform4ui64vARB = Pointer<NativeFunction<GlUniform4ui64vARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniform4ui64vARB'))).asFunction<GlUniform4ui64vARB>();
  glGetUniformi64vARB = Pointer<NativeFunction<GlGetUniformi64vARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetUniformi64vARB'))).asFunction<GlGetUniformi64vARB>();
  glGetUniformui64vARB = Pointer<NativeFunction<GlGetUniformui64vARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetUniformui64vARB'))).asFunction<GlGetUniformui64vARB>();
  glGetnUniformi64vARB = Pointer<NativeFunction<GlGetnUniformi64vARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetnUniformi64vARB'))).asFunction<GlGetnUniformi64vARB>();
  glGetnUniformui64vARB = Pointer<NativeFunction<GlGetnUniformui64vARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetnUniformui64vARB'))).asFunction<GlGetnUniformui64vARB>();
  glProgramUniform1i64ARB = Pointer<NativeFunction<GlProgramUniform1i64ARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform1i64ARB'))).asFunction<GlProgramUniform1i64ARB>();
  glProgramUniform2i64ARB = Pointer<NativeFunction<GlProgramUniform2i64ARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform2i64ARB'))).asFunction<GlProgramUniform2i64ARB>();
  glProgramUniform3i64ARB = Pointer<NativeFunction<GlProgramUniform3i64ARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform3i64ARB'))).asFunction<GlProgramUniform3i64ARB>();
  glProgramUniform4i64ARB = Pointer<NativeFunction<GlProgramUniform4i64ARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform4i64ARB'))).asFunction<GlProgramUniform4i64ARB>();
  glProgramUniform1i64vARB = Pointer<NativeFunction<GlProgramUniform1i64vARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform1i64vARB'))).asFunction<GlProgramUniform1i64vARB>();
  glProgramUniform2i64vARB = Pointer<NativeFunction<GlProgramUniform2i64vARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform2i64vARB'))).asFunction<GlProgramUniform2i64vARB>();
  glProgramUniform3i64vARB = Pointer<NativeFunction<GlProgramUniform3i64vARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform3i64vARB'))).asFunction<GlProgramUniform3i64vARB>();
  glProgramUniform4i64vARB = Pointer<NativeFunction<GlProgramUniform4i64vARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform4i64vARB'))).asFunction<GlProgramUniform4i64vARB>();
  glProgramUniform1ui64ARB = Pointer<NativeFunction<GlProgramUniform1ui64ARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform1ui64ARB'))).asFunction<GlProgramUniform1ui64ARB>();
  glProgramUniform2ui64ARB = Pointer<NativeFunction<GlProgramUniform2ui64ARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform2ui64ARB'))).asFunction<GlProgramUniform2ui64ARB>();
  glProgramUniform3ui64ARB = Pointer<NativeFunction<GlProgramUniform3ui64ARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform3ui64ARB'))).asFunction<GlProgramUniform3ui64ARB>();
  glProgramUniform4ui64ARB = Pointer<NativeFunction<GlProgramUniform4ui64ARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform4ui64ARB'))).asFunction<GlProgramUniform4ui64ARB>();
  glProgramUniform1ui64vARB = Pointer<NativeFunction<GlProgramUniform1ui64vARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform1ui64vARB'))).asFunction<GlProgramUniform1ui64vARB>();
  glProgramUniform2ui64vARB = Pointer<NativeFunction<GlProgramUniform2ui64vARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform2ui64vARB'))).asFunction<GlProgramUniform2ui64vARB>();
  glProgramUniform3ui64vARB = Pointer<NativeFunction<GlProgramUniform3ui64vARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform3ui64vARB'))).asFunction<GlProgramUniform3ui64vARB>();
  glProgramUniform4ui64vARB = Pointer<NativeFunction<GlProgramUniform4ui64vARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform4ui64vARB'))).asFunction<GlProgramUniform4ui64vARB>();
  glMultiDrawArraysIndirectCountARB = Pointer<NativeFunction<GlMultiDrawArraysIndirectCountARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMultiDrawArraysIndirectCountARB'))).asFunction<GlMultiDrawArraysIndirectCountARB>();
  glMultiDrawElementsIndirectCountARB = Pointer<NativeFunction<GlMultiDrawElementsIndirectCountARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMultiDrawElementsIndirectCountARB'))).asFunction<GlMultiDrawElementsIndirectCountARB>();
  glVertexAttribDivisorARB = Pointer<NativeFunction<GlVertexAttribDivisorARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttribDivisorARB'))).asFunction<GlVertexAttribDivisorARB>();
  glMaxShaderCompilerThreadsARB = Pointer<NativeFunction<GlMaxShaderCompilerThreadsARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMaxShaderCompilerThreadsARB'))).asFunction<GlMaxShaderCompilerThreadsARB>();
  glGetGraphicsResetStatusARB = Pointer<NativeFunction<GlGetGraphicsResetStatusARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetGraphicsResetStatusARB'))).asFunction<GlGetGraphicsResetStatusARB>();
  glGetnTexImageARB = Pointer<NativeFunction<GlGetnTexImageARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetnTexImageARB'))).asFunction<GlGetnTexImageARB>();
  glReadnPixelsARB = Pointer<NativeFunction<GlReadnPixelsARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glReadnPixelsARB'))).asFunction<GlReadnPixelsARB>();
  glGetnCompressedTexImageARB = Pointer<NativeFunction<GlGetnCompressedTexImageARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetnCompressedTexImageARB'))).asFunction<GlGetnCompressedTexImageARB>();
  glGetnUniformfvARB = Pointer<NativeFunction<GlGetnUniformfvARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetnUniformfvARB'))).asFunction<GlGetnUniformfvARB>();
  glGetnUniformivARB = Pointer<NativeFunction<GlGetnUniformivARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetnUniformivARB'))).asFunction<GlGetnUniformivARB>();
  glGetnUniformuivARB = Pointer<NativeFunction<GlGetnUniformuivARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetnUniformuivARB'))).asFunction<GlGetnUniformuivARB>();
  glGetnUniformdvARB = Pointer<NativeFunction<GlGetnUniformdvARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetnUniformdvARB'))).asFunction<GlGetnUniformdvARB>();
  glFramebufferSampleLocationsfvARB = Pointer<NativeFunction<GlFramebufferSampleLocationsfvARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glFramebufferSampleLocationsfvARB'))).asFunction<GlFramebufferSampleLocationsfvARB>();
  glNamedFramebufferSampleLocationsfvARB = Pointer<NativeFunction<GlNamedFramebufferSampleLocationsfvARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glNamedFramebufferSampleLocationsfvARB'))).asFunction<GlNamedFramebufferSampleLocationsfvARB>();
  glEvaluateDepthValuesARB = Pointer<NativeFunction<GlEvaluateDepthValuesARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glEvaluateDepthValuesARB'))).asFunction<GlEvaluateDepthValuesARB>();
  glMinSampleShadingARB = Pointer<NativeFunction<GlMinSampleShadingARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMinSampleShadingARB'))).asFunction<GlMinSampleShadingARB>();
  glNamedStringARB = Pointer<NativeFunction<GlNamedStringARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glNamedStringARB'))).asFunction<GlNamedStringARB>();
  glDeleteNamedStringARB = Pointer<NativeFunction<GlDeleteNamedStringARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glDeleteNamedStringARB'))).asFunction<GlDeleteNamedStringARB>();
  glCompileShaderIncludeARB = Pointer<NativeFunction<GlCompileShaderIncludeARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glCompileShaderIncludeARB'))).asFunction<GlCompileShaderIncludeARB>();
  glIsNamedStringARB = Pointer<NativeFunction<GlIsNamedStringARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glIsNamedStringARB'))).asFunction<GlIsNamedStringARB>();
  glGetNamedStringARB = Pointer<NativeFunction<GlGetNamedStringARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetNamedStringARB'))).asFunction<GlGetNamedStringARB>();
  glGetNamedStringivARB = Pointer<NativeFunction<GlGetNamedStringivARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetNamedStringivARB'))).asFunction<GlGetNamedStringivARB>();
  glBufferPageCommitmentARB = Pointer<NativeFunction<GlBufferPageCommitmentARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glBufferPageCommitmentARB'))).asFunction<GlBufferPageCommitmentARB>();
  glNamedBufferPageCommitmentEXT = Pointer<NativeFunction<GlNamedBufferPageCommitmentEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glNamedBufferPageCommitmentEXT'))).asFunction<GlNamedBufferPageCommitmentEXT>();
  glNamedBufferPageCommitmentARB = Pointer<NativeFunction<GlNamedBufferPageCommitmentARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glNamedBufferPageCommitmentARB'))).asFunction<GlNamedBufferPageCommitmentARB>();
  glTexPageCommitmentARB = Pointer<NativeFunction<GlTexPageCommitmentARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glTexPageCommitmentARB'))).asFunction<GlTexPageCommitmentARB>();
  glTexBufferARB = Pointer<NativeFunction<GlTexBufferARBNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glTexBufferARB'))).asFunction<GlTexBufferARB>();
  glBlendBarrierKHR = Pointer<NativeFunction<GlBlendBarrierKHRNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glBlendBarrierKHR'))).asFunction<GlBlendBarrierKHR>();
  glMaxShaderCompilerThreadsKHR = Pointer<NativeFunction<GlMaxShaderCompilerThreadsKHRNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMaxShaderCompilerThreadsKHR'))).asFunction<GlMaxShaderCompilerThreadsKHR>();
  glRenderbufferStorageMultisampleAdvancedAMD = Pointer<NativeFunction<GlRenderbufferStorageMultisampleAdvancedAMDNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glRenderbufferStorageMultisampleAdvancedAMD'))).asFunction<GlRenderbufferStorageMultisampleAdvancedAMD>();
  glNamedRenderbufferStorageMultisampleAdvancedAMD = Pointer<NativeFunction<GlNamedRenderbufferStorageMultisampleAdvancedAMDNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glNamedRenderbufferStorageMultisampleAdvancedAMD'))).asFunction<GlNamedRenderbufferStorageMultisampleAdvancedAMD>();
  glGetPerfMonitorGroupsAMD = Pointer<NativeFunction<GlGetPerfMonitorGroupsAMDNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetPerfMonitorGroupsAMD'))).asFunction<GlGetPerfMonitorGroupsAMD>();
  glGetPerfMonitorCountersAMD = Pointer<NativeFunction<GlGetPerfMonitorCountersAMDNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetPerfMonitorCountersAMD'))).asFunction<GlGetPerfMonitorCountersAMD>();
  glGetPerfMonitorGroupStringAMD = Pointer<NativeFunction<GlGetPerfMonitorGroupStringAMDNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetPerfMonitorGroupStringAMD'))).asFunction<GlGetPerfMonitorGroupStringAMD>();
  glGetPerfMonitorCounterStringAMD = Pointer<NativeFunction<GlGetPerfMonitorCounterStringAMDNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetPerfMonitorCounterStringAMD'))).asFunction<GlGetPerfMonitorCounterStringAMD>();
  glGetPerfMonitorCounterInfoAMD = Pointer<NativeFunction<GlGetPerfMonitorCounterInfoAMDNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetPerfMonitorCounterInfoAMD'))).asFunction<GlGetPerfMonitorCounterInfoAMD>();
  glGenPerfMonitorsAMD = Pointer<NativeFunction<GlGenPerfMonitorsAMDNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGenPerfMonitorsAMD'))).asFunction<GlGenPerfMonitorsAMD>();
  glDeletePerfMonitorsAMD = Pointer<NativeFunction<GlDeletePerfMonitorsAMDNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glDeletePerfMonitorsAMD'))).asFunction<GlDeletePerfMonitorsAMD>();
  glSelectPerfMonitorCountersAMD = Pointer<NativeFunction<GlSelectPerfMonitorCountersAMDNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glSelectPerfMonitorCountersAMD'))).asFunction<GlSelectPerfMonitorCountersAMD>();
  glBeginPerfMonitorAMD = Pointer<NativeFunction<GlBeginPerfMonitorAMDNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glBeginPerfMonitorAMD'))).asFunction<GlBeginPerfMonitorAMD>();
  glEndPerfMonitorAMD = Pointer<NativeFunction<GlEndPerfMonitorAMDNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glEndPerfMonitorAMD'))).asFunction<GlEndPerfMonitorAMD>();
  glGetPerfMonitorCounterDataAMD = Pointer<NativeFunction<GlGetPerfMonitorCounterDataAMDNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetPerfMonitorCounterDataAMD'))).asFunction<GlGetPerfMonitorCounterDataAMD>();
  glEGLImageTargetTexStorageEXT = Pointer<NativeFunction<GlEGLImageTargetTexStorageEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glEGLImageTargetTexStorageEXT'))).asFunction<GlEGLImageTargetTexStorageEXT>();
  glEGLImageTargetTextureStorageEXT = Pointer<NativeFunction<GlEGLImageTargetTextureStorageEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glEGLImageTargetTextureStorageEXT'))).asFunction<GlEGLImageTargetTextureStorageEXT>();
  glLabelObjectEXT = Pointer<NativeFunction<GlLabelObjectEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glLabelObjectEXT'))).asFunction<GlLabelObjectEXT>();
  glGetObjectLabelEXT = Pointer<NativeFunction<GlGetObjectLabelEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetObjectLabelEXT'))).asFunction<GlGetObjectLabelEXT>();
  glInsertEventMarkerEXT = Pointer<NativeFunction<GlInsertEventMarkerEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glInsertEventMarkerEXT'))).asFunction<GlInsertEventMarkerEXT>();
  glPushGroupMarkerEXT = Pointer<NativeFunction<GlPushGroupMarkerEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glPushGroupMarkerEXT'))).asFunction<GlPushGroupMarkerEXT>();
  glPopGroupMarkerEXT = Pointer<NativeFunction<GlPopGroupMarkerEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glPopGroupMarkerEXT'))).asFunction<GlPopGroupMarkerEXT>();
  glMatrixLoadfEXT = Pointer<NativeFunction<GlMatrixLoadfEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMatrixLoadfEXT'))).asFunction<GlMatrixLoadfEXT>();
  glMatrixLoaddEXT = Pointer<NativeFunction<GlMatrixLoaddEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMatrixLoaddEXT'))).asFunction<GlMatrixLoaddEXT>();
  glMatrixMultfEXT = Pointer<NativeFunction<GlMatrixMultfEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMatrixMultfEXT'))).asFunction<GlMatrixMultfEXT>();
  glMatrixMultdEXT = Pointer<NativeFunction<GlMatrixMultdEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMatrixMultdEXT'))).asFunction<GlMatrixMultdEXT>();
  glMatrixLoadIdentityEXT = Pointer<NativeFunction<GlMatrixLoadIdentityEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMatrixLoadIdentityEXT'))).asFunction<GlMatrixLoadIdentityEXT>();
  glMatrixRotatefEXT = Pointer<NativeFunction<GlMatrixRotatefEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMatrixRotatefEXT'))).asFunction<GlMatrixRotatefEXT>();
  glMatrixRotatedEXT = Pointer<NativeFunction<GlMatrixRotatedEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMatrixRotatedEXT'))).asFunction<GlMatrixRotatedEXT>();
  glMatrixScalefEXT = Pointer<NativeFunction<GlMatrixScalefEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMatrixScalefEXT'))).asFunction<GlMatrixScalefEXT>();
  glMatrixScaledEXT = Pointer<NativeFunction<GlMatrixScaledEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMatrixScaledEXT'))).asFunction<GlMatrixScaledEXT>();
  glMatrixTranslatefEXT = Pointer<NativeFunction<GlMatrixTranslatefEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMatrixTranslatefEXT'))).asFunction<GlMatrixTranslatefEXT>();
  glMatrixTranslatedEXT = Pointer<NativeFunction<GlMatrixTranslatedEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMatrixTranslatedEXT'))).asFunction<GlMatrixTranslatedEXT>();
  glMatrixFrustumEXT = Pointer<NativeFunction<GlMatrixFrustumEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMatrixFrustumEXT'))).asFunction<GlMatrixFrustumEXT>();
  glMatrixOrthoEXT = Pointer<NativeFunction<GlMatrixOrthoEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMatrixOrthoEXT'))).asFunction<GlMatrixOrthoEXT>();
  glMatrixPopEXT = Pointer<NativeFunction<GlMatrixPopEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMatrixPopEXT'))).asFunction<GlMatrixPopEXT>();
  glMatrixPushEXT = Pointer<NativeFunction<GlMatrixPushEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMatrixPushEXT'))).asFunction<GlMatrixPushEXT>();
  glClientAttribDefaultEXT = Pointer<NativeFunction<GlClientAttribDefaultEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glClientAttribDefaultEXT'))).asFunction<GlClientAttribDefaultEXT>();
  glPushClientAttribDefaultEXT = Pointer<NativeFunction<GlPushClientAttribDefaultEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glPushClientAttribDefaultEXT'))).asFunction<GlPushClientAttribDefaultEXT>();
  glTextureParameterfEXT = Pointer<NativeFunction<GlTextureParameterfEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glTextureParameterfEXT'))).asFunction<GlTextureParameterfEXT>();
  glTextureParameterfvEXT = Pointer<NativeFunction<GlTextureParameterfvEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glTextureParameterfvEXT'))).asFunction<GlTextureParameterfvEXT>();
  glTextureParameteriEXT = Pointer<NativeFunction<GlTextureParameteriEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glTextureParameteriEXT'))).asFunction<GlTextureParameteriEXT>();
  glTextureParameterivEXT = Pointer<NativeFunction<GlTextureParameterivEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glTextureParameterivEXT'))).asFunction<GlTextureParameterivEXT>();
  glTextureImage1DEXT = Pointer<NativeFunction<GlTextureImage1DEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glTextureImage1DEXT'))).asFunction<GlTextureImage1DEXT>();
  glTextureImage2DEXT = Pointer<NativeFunction<GlTextureImage2DEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glTextureImage2DEXT'))).asFunction<GlTextureImage2DEXT>();
  glTextureSubImage1DEXT = Pointer<NativeFunction<GlTextureSubImage1DEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glTextureSubImage1DEXT'))).asFunction<GlTextureSubImage1DEXT>();
  glTextureSubImage2DEXT = Pointer<NativeFunction<GlTextureSubImage2DEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glTextureSubImage2DEXT'))).asFunction<GlTextureSubImage2DEXT>();
  glCopyTextureImage1DEXT = Pointer<NativeFunction<GlCopyTextureImage1DEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glCopyTextureImage1DEXT'))).asFunction<GlCopyTextureImage1DEXT>();
  glCopyTextureImage2DEXT = Pointer<NativeFunction<GlCopyTextureImage2DEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glCopyTextureImage2DEXT'))).asFunction<GlCopyTextureImage2DEXT>();
  glCopyTextureSubImage1DEXT = Pointer<NativeFunction<GlCopyTextureSubImage1DEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glCopyTextureSubImage1DEXT'))).asFunction<GlCopyTextureSubImage1DEXT>();
  glCopyTextureSubImage2DEXT = Pointer<NativeFunction<GlCopyTextureSubImage2DEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glCopyTextureSubImage2DEXT'))).asFunction<GlCopyTextureSubImage2DEXT>();
  glGetTextureImageEXT = Pointer<NativeFunction<GlGetTextureImageEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetTextureImageEXT'))).asFunction<GlGetTextureImageEXT>();
  glGetTextureParameterfvEXT = Pointer<NativeFunction<GlGetTextureParameterfvEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetTextureParameterfvEXT'))).asFunction<GlGetTextureParameterfvEXT>();
  glGetTextureParameterivEXT = Pointer<NativeFunction<GlGetTextureParameterivEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetTextureParameterivEXT'))).asFunction<GlGetTextureParameterivEXT>();
  glGetTextureLevelParameterfvEXT = Pointer<NativeFunction<GlGetTextureLevelParameterfvEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetTextureLevelParameterfvEXT'))).asFunction<GlGetTextureLevelParameterfvEXT>();
  glGetTextureLevelParameterivEXT = Pointer<NativeFunction<GlGetTextureLevelParameterivEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetTextureLevelParameterivEXT'))).asFunction<GlGetTextureLevelParameterivEXT>();
  glTextureImage3DEXT = Pointer<NativeFunction<GlTextureImage3DEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glTextureImage3DEXT'))).asFunction<GlTextureImage3DEXT>();
  glTextureSubImage3DEXT = Pointer<NativeFunction<GlTextureSubImage3DEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glTextureSubImage3DEXT'))).asFunction<GlTextureSubImage3DEXT>();
  glCopyTextureSubImage3DEXT = Pointer<NativeFunction<GlCopyTextureSubImage3DEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glCopyTextureSubImage3DEXT'))).asFunction<GlCopyTextureSubImage3DEXT>();
  glBindMultiTextureEXT = Pointer<NativeFunction<GlBindMultiTextureEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glBindMultiTextureEXT'))).asFunction<GlBindMultiTextureEXT>();
  glMultiTexCoordPointerEXT = Pointer<NativeFunction<GlMultiTexCoordPointerEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMultiTexCoordPointerEXT'))).asFunction<GlMultiTexCoordPointerEXT>();
  glMultiTexEnvfEXT = Pointer<NativeFunction<GlMultiTexEnvfEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMultiTexEnvfEXT'))).asFunction<GlMultiTexEnvfEXT>();
  glMultiTexEnvfvEXT = Pointer<NativeFunction<GlMultiTexEnvfvEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMultiTexEnvfvEXT'))).asFunction<GlMultiTexEnvfvEXT>();
  glMultiTexEnviEXT = Pointer<NativeFunction<GlMultiTexEnviEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMultiTexEnviEXT'))).asFunction<GlMultiTexEnviEXT>();
  glMultiTexEnvivEXT = Pointer<NativeFunction<GlMultiTexEnvivEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMultiTexEnvivEXT'))).asFunction<GlMultiTexEnvivEXT>();
  glMultiTexGendEXT = Pointer<NativeFunction<GlMultiTexGendEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMultiTexGendEXT'))).asFunction<GlMultiTexGendEXT>();
  glMultiTexGendvEXT = Pointer<NativeFunction<GlMultiTexGendvEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMultiTexGendvEXT'))).asFunction<GlMultiTexGendvEXT>();
  glMultiTexGenfEXT = Pointer<NativeFunction<GlMultiTexGenfEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMultiTexGenfEXT'))).asFunction<GlMultiTexGenfEXT>();
  glMultiTexGenfvEXT = Pointer<NativeFunction<GlMultiTexGenfvEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMultiTexGenfvEXT'))).asFunction<GlMultiTexGenfvEXT>();
  glMultiTexGeniEXT = Pointer<NativeFunction<GlMultiTexGeniEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMultiTexGeniEXT'))).asFunction<GlMultiTexGeniEXT>();
  glMultiTexGenivEXT = Pointer<NativeFunction<GlMultiTexGenivEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMultiTexGenivEXT'))).asFunction<GlMultiTexGenivEXT>();
  glGetMultiTexEnvfvEXT = Pointer<NativeFunction<GlGetMultiTexEnvfvEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetMultiTexEnvfvEXT'))).asFunction<GlGetMultiTexEnvfvEXT>();
  glGetMultiTexEnvivEXT = Pointer<NativeFunction<GlGetMultiTexEnvivEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetMultiTexEnvivEXT'))).asFunction<GlGetMultiTexEnvivEXT>();
  glGetMultiTexGendvEXT = Pointer<NativeFunction<GlGetMultiTexGendvEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetMultiTexGendvEXT'))).asFunction<GlGetMultiTexGendvEXT>();
  glGetMultiTexGenfvEXT = Pointer<NativeFunction<GlGetMultiTexGenfvEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetMultiTexGenfvEXT'))).asFunction<GlGetMultiTexGenfvEXT>();
  glGetMultiTexGenivEXT = Pointer<NativeFunction<GlGetMultiTexGenivEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetMultiTexGenivEXT'))).asFunction<GlGetMultiTexGenivEXT>();
  glMultiTexParameteriEXT = Pointer<NativeFunction<GlMultiTexParameteriEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMultiTexParameteriEXT'))).asFunction<GlMultiTexParameteriEXT>();
  glMultiTexParameterivEXT = Pointer<NativeFunction<GlMultiTexParameterivEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMultiTexParameterivEXT'))).asFunction<GlMultiTexParameterivEXT>();
  glMultiTexParameterfEXT = Pointer<NativeFunction<GlMultiTexParameterfEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMultiTexParameterfEXT'))).asFunction<GlMultiTexParameterfEXT>();
  glMultiTexParameterfvEXT = Pointer<NativeFunction<GlMultiTexParameterfvEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMultiTexParameterfvEXT'))).asFunction<GlMultiTexParameterfvEXT>();
  glMultiTexImage1DEXT = Pointer<NativeFunction<GlMultiTexImage1DEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMultiTexImage1DEXT'))).asFunction<GlMultiTexImage1DEXT>();
  glMultiTexImage2DEXT = Pointer<NativeFunction<GlMultiTexImage2DEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMultiTexImage2DEXT'))).asFunction<GlMultiTexImage2DEXT>();
  glMultiTexSubImage1DEXT = Pointer<NativeFunction<GlMultiTexSubImage1DEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMultiTexSubImage1DEXT'))).asFunction<GlMultiTexSubImage1DEXT>();
  glMultiTexSubImage2DEXT = Pointer<NativeFunction<GlMultiTexSubImage2DEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMultiTexSubImage2DEXT'))).asFunction<GlMultiTexSubImage2DEXT>();
  glCopyMultiTexImage1DEXT = Pointer<NativeFunction<GlCopyMultiTexImage1DEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glCopyMultiTexImage1DEXT'))).asFunction<GlCopyMultiTexImage1DEXT>();
  glCopyMultiTexImage2DEXT = Pointer<NativeFunction<GlCopyMultiTexImage2DEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glCopyMultiTexImage2DEXT'))).asFunction<GlCopyMultiTexImage2DEXT>();
  glCopyMultiTexSubImage1DEXT = Pointer<NativeFunction<GlCopyMultiTexSubImage1DEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glCopyMultiTexSubImage1DEXT'))).asFunction<GlCopyMultiTexSubImage1DEXT>();
  glCopyMultiTexSubImage2DEXT = Pointer<NativeFunction<GlCopyMultiTexSubImage2DEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glCopyMultiTexSubImage2DEXT'))).asFunction<GlCopyMultiTexSubImage2DEXT>();
  glGetMultiTexImageEXT = Pointer<NativeFunction<GlGetMultiTexImageEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetMultiTexImageEXT'))).asFunction<GlGetMultiTexImageEXT>();
  glGetMultiTexParameterfvEXT = Pointer<NativeFunction<GlGetMultiTexParameterfvEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetMultiTexParameterfvEXT'))).asFunction<GlGetMultiTexParameterfvEXT>();
  glGetMultiTexParameterivEXT = Pointer<NativeFunction<GlGetMultiTexParameterivEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetMultiTexParameterivEXT'))).asFunction<GlGetMultiTexParameterivEXT>();
  glGetMultiTexLevelParameterfvEXT = Pointer<NativeFunction<GlGetMultiTexLevelParameterfvEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetMultiTexLevelParameterfvEXT'))).asFunction<GlGetMultiTexLevelParameterfvEXT>();
  glGetMultiTexLevelParameterivEXT = Pointer<NativeFunction<GlGetMultiTexLevelParameterivEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetMultiTexLevelParameterivEXT'))).asFunction<GlGetMultiTexLevelParameterivEXT>();
  glMultiTexImage3DEXT = Pointer<NativeFunction<GlMultiTexImage3DEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMultiTexImage3DEXT'))).asFunction<GlMultiTexImage3DEXT>();
  glMultiTexSubImage3DEXT = Pointer<NativeFunction<GlMultiTexSubImage3DEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMultiTexSubImage3DEXT'))).asFunction<GlMultiTexSubImage3DEXT>();
  glCopyMultiTexSubImage3DEXT = Pointer<NativeFunction<GlCopyMultiTexSubImage3DEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glCopyMultiTexSubImage3DEXT'))).asFunction<GlCopyMultiTexSubImage3DEXT>();
  glEnableClientStateIndexedEXT = Pointer<NativeFunction<GlEnableClientStateIndexedEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glEnableClientStateIndexedEXT'))).asFunction<GlEnableClientStateIndexedEXT>();
  glDisableClientStateIndexedEXT = Pointer<NativeFunction<GlDisableClientStateIndexedEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glDisableClientStateIndexedEXT'))).asFunction<GlDisableClientStateIndexedEXT>();
  glGetFloatIndexedvEXT = Pointer<NativeFunction<GlGetFloatIndexedvEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetFloatIndexedvEXT'))).asFunction<GlGetFloatIndexedvEXT>();
  glGetDoubleIndexedvEXT = Pointer<NativeFunction<GlGetDoubleIndexedvEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetDoubleIndexedvEXT'))).asFunction<GlGetDoubleIndexedvEXT>();
  glGetPointerIndexedvEXT = Pointer<NativeFunction<GlGetPointerIndexedvEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetPointerIndexedvEXT'))).asFunction<GlGetPointerIndexedvEXT>();
  glEnableIndexedEXT = Pointer<NativeFunction<GlEnableIndexedEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glEnableIndexedEXT'))).asFunction<GlEnableIndexedEXT>();
  glDisableIndexedEXT = Pointer<NativeFunction<GlDisableIndexedEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glDisableIndexedEXT'))).asFunction<GlDisableIndexedEXT>();
  glIsEnabledIndexedEXT = Pointer<NativeFunction<GlIsEnabledIndexedEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glIsEnabledIndexedEXT'))).asFunction<GlIsEnabledIndexedEXT>();
  glGetIntegerIndexedvEXT = Pointer<NativeFunction<GlGetIntegerIndexedvEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetIntegerIndexedvEXT'))).asFunction<GlGetIntegerIndexedvEXT>();
  glGetBooleanIndexedvEXT = Pointer<NativeFunction<GlGetBooleanIndexedvEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetBooleanIndexedvEXT'))).asFunction<GlGetBooleanIndexedvEXT>();
  glCompressedTextureImage3DEXT = Pointer<NativeFunction<GlCompressedTextureImage3DEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glCompressedTextureImage3DEXT'))).asFunction<GlCompressedTextureImage3DEXT>();
  glCompressedTextureImage2DEXT = Pointer<NativeFunction<GlCompressedTextureImage2DEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glCompressedTextureImage2DEXT'))).asFunction<GlCompressedTextureImage2DEXT>();
  glCompressedTextureImage1DEXT = Pointer<NativeFunction<GlCompressedTextureImage1DEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glCompressedTextureImage1DEXT'))).asFunction<GlCompressedTextureImage1DEXT>();
  glCompressedTextureSubImage3DEXT = Pointer<NativeFunction<GlCompressedTextureSubImage3DEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glCompressedTextureSubImage3DEXT'))).asFunction<GlCompressedTextureSubImage3DEXT>();
  glCompressedTextureSubImage2DEXT = Pointer<NativeFunction<GlCompressedTextureSubImage2DEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glCompressedTextureSubImage2DEXT'))).asFunction<GlCompressedTextureSubImage2DEXT>();
  glCompressedTextureSubImage1DEXT = Pointer<NativeFunction<GlCompressedTextureSubImage1DEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glCompressedTextureSubImage1DEXT'))).asFunction<GlCompressedTextureSubImage1DEXT>();
  glGetCompressedTextureImageEXT = Pointer<NativeFunction<GlGetCompressedTextureImageEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetCompressedTextureImageEXT'))).asFunction<GlGetCompressedTextureImageEXT>();
  glCompressedMultiTexImage3DEXT = Pointer<NativeFunction<GlCompressedMultiTexImage3DEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glCompressedMultiTexImage3DEXT'))).asFunction<GlCompressedMultiTexImage3DEXT>();
  glCompressedMultiTexImage2DEXT = Pointer<NativeFunction<GlCompressedMultiTexImage2DEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glCompressedMultiTexImage2DEXT'))).asFunction<GlCompressedMultiTexImage2DEXT>();
  glCompressedMultiTexImage1DEXT = Pointer<NativeFunction<GlCompressedMultiTexImage1DEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glCompressedMultiTexImage1DEXT'))).asFunction<GlCompressedMultiTexImage1DEXT>();
  glCompressedMultiTexSubImage3DEXT = Pointer<NativeFunction<GlCompressedMultiTexSubImage3DEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glCompressedMultiTexSubImage3DEXT'))).asFunction<GlCompressedMultiTexSubImage3DEXT>();
  glCompressedMultiTexSubImage2DEXT = Pointer<NativeFunction<GlCompressedMultiTexSubImage2DEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glCompressedMultiTexSubImage2DEXT'))).asFunction<GlCompressedMultiTexSubImage2DEXT>();
  glCompressedMultiTexSubImage1DEXT = Pointer<NativeFunction<GlCompressedMultiTexSubImage1DEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glCompressedMultiTexSubImage1DEXT'))).asFunction<GlCompressedMultiTexSubImage1DEXT>();
  glGetCompressedMultiTexImageEXT = Pointer<NativeFunction<GlGetCompressedMultiTexImageEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetCompressedMultiTexImageEXT'))).asFunction<GlGetCompressedMultiTexImageEXT>();
  glMatrixLoadTransposefEXT = Pointer<NativeFunction<GlMatrixLoadTransposefEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMatrixLoadTransposefEXT'))).asFunction<GlMatrixLoadTransposefEXT>();
  glMatrixLoadTransposedEXT = Pointer<NativeFunction<GlMatrixLoadTransposedEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMatrixLoadTransposedEXT'))).asFunction<GlMatrixLoadTransposedEXT>();
  glMatrixMultTransposefEXT = Pointer<NativeFunction<GlMatrixMultTransposefEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMatrixMultTransposefEXT'))).asFunction<GlMatrixMultTransposefEXT>();
  glMatrixMultTransposedEXT = Pointer<NativeFunction<GlMatrixMultTransposedEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMatrixMultTransposedEXT'))).asFunction<GlMatrixMultTransposedEXT>();
  glNamedBufferDataEXT = Pointer<NativeFunction<GlNamedBufferDataEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glNamedBufferDataEXT'))).asFunction<GlNamedBufferDataEXT>();
  glNamedBufferSubDataEXT = Pointer<NativeFunction<GlNamedBufferSubDataEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glNamedBufferSubDataEXT'))).asFunction<GlNamedBufferSubDataEXT>();
  glMapNamedBufferEXT = Pointer<NativeFunction<GlMapNamedBufferEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMapNamedBufferEXT'))).asFunction<GlMapNamedBufferEXT>();
  glUnmapNamedBufferEXT = Pointer<NativeFunction<GlUnmapNamedBufferEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUnmapNamedBufferEXT'))).asFunction<GlUnmapNamedBufferEXT>();
  glGetNamedBufferParameterivEXT = Pointer<NativeFunction<GlGetNamedBufferParameterivEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetNamedBufferParameterivEXT'))).asFunction<GlGetNamedBufferParameterivEXT>();
  glGetNamedBufferPointervEXT = Pointer<NativeFunction<GlGetNamedBufferPointervEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetNamedBufferPointervEXT'))).asFunction<GlGetNamedBufferPointervEXT>();
  glGetNamedBufferSubDataEXT = Pointer<NativeFunction<GlGetNamedBufferSubDataEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetNamedBufferSubDataEXT'))).asFunction<GlGetNamedBufferSubDataEXT>();
  glProgramUniform1fEXT = Pointer<NativeFunction<GlProgramUniform1fEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform1fEXT'))).asFunction<GlProgramUniform1fEXT>();
  glProgramUniform2fEXT = Pointer<NativeFunction<GlProgramUniform2fEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform2fEXT'))).asFunction<GlProgramUniform2fEXT>();
  glProgramUniform3fEXT = Pointer<NativeFunction<GlProgramUniform3fEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform3fEXT'))).asFunction<GlProgramUniform3fEXT>();
  glProgramUniform4fEXT = Pointer<NativeFunction<GlProgramUniform4fEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform4fEXT'))).asFunction<GlProgramUniform4fEXT>();
  glProgramUniform1iEXT = Pointer<NativeFunction<GlProgramUniform1iEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform1iEXT'))).asFunction<GlProgramUniform1iEXT>();
  glProgramUniform2iEXT = Pointer<NativeFunction<GlProgramUniform2iEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform2iEXT'))).asFunction<GlProgramUniform2iEXT>();
  glProgramUniform3iEXT = Pointer<NativeFunction<GlProgramUniform3iEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform3iEXT'))).asFunction<GlProgramUniform3iEXT>();
  glProgramUniform4iEXT = Pointer<NativeFunction<GlProgramUniform4iEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform4iEXT'))).asFunction<GlProgramUniform4iEXT>();
  glProgramUniform1fvEXT = Pointer<NativeFunction<GlProgramUniform1fvEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform1fvEXT'))).asFunction<GlProgramUniform1fvEXT>();
  glProgramUniform2fvEXT = Pointer<NativeFunction<GlProgramUniform2fvEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform2fvEXT'))).asFunction<GlProgramUniform2fvEXT>();
  glProgramUniform3fvEXT = Pointer<NativeFunction<GlProgramUniform3fvEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform3fvEXT'))).asFunction<GlProgramUniform3fvEXT>();
  glProgramUniform4fvEXT = Pointer<NativeFunction<GlProgramUniform4fvEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform4fvEXT'))).asFunction<GlProgramUniform4fvEXT>();
  glProgramUniform1ivEXT = Pointer<NativeFunction<GlProgramUniform1ivEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform1ivEXT'))).asFunction<GlProgramUniform1ivEXT>();
  glProgramUniform2ivEXT = Pointer<NativeFunction<GlProgramUniform2ivEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform2ivEXT'))).asFunction<GlProgramUniform2ivEXT>();
  glProgramUniform3ivEXT = Pointer<NativeFunction<GlProgramUniform3ivEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform3ivEXT'))).asFunction<GlProgramUniform3ivEXT>();
  glProgramUniform4ivEXT = Pointer<NativeFunction<GlProgramUniform4ivEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform4ivEXT'))).asFunction<GlProgramUniform4ivEXT>();
  glProgramUniformMatrix2fvEXT = Pointer<NativeFunction<GlProgramUniformMatrix2fvEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniformMatrix2fvEXT'))).asFunction<GlProgramUniformMatrix2fvEXT>();
  glProgramUniformMatrix3fvEXT = Pointer<NativeFunction<GlProgramUniformMatrix3fvEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniformMatrix3fvEXT'))).asFunction<GlProgramUniformMatrix3fvEXT>();
  glProgramUniformMatrix4fvEXT = Pointer<NativeFunction<GlProgramUniformMatrix4fvEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniformMatrix4fvEXT'))).asFunction<GlProgramUniformMatrix4fvEXT>();
  glProgramUniformMatrix2x3fvEXT = Pointer<NativeFunction<GlProgramUniformMatrix2x3fvEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniformMatrix2x3fvEXT'))).asFunction<GlProgramUniformMatrix2x3fvEXT>();
  glProgramUniformMatrix3x2fvEXT = Pointer<NativeFunction<GlProgramUniformMatrix3x2fvEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniformMatrix3x2fvEXT'))).asFunction<GlProgramUniformMatrix3x2fvEXT>();
  glProgramUniformMatrix2x4fvEXT = Pointer<NativeFunction<GlProgramUniformMatrix2x4fvEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniformMatrix2x4fvEXT'))).asFunction<GlProgramUniformMatrix2x4fvEXT>();
  glProgramUniformMatrix4x2fvEXT = Pointer<NativeFunction<GlProgramUniformMatrix4x2fvEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniformMatrix4x2fvEXT'))).asFunction<GlProgramUniformMatrix4x2fvEXT>();
  glProgramUniformMatrix3x4fvEXT = Pointer<NativeFunction<GlProgramUniformMatrix3x4fvEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniformMatrix3x4fvEXT'))).asFunction<GlProgramUniformMatrix3x4fvEXT>();
  glProgramUniformMatrix4x3fvEXT = Pointer<NativeFunction<GlProgramUniformMatrix4x3fvEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniformMatrix4x3fvEXT'))).asFunction<GlProgramUniformMatrix4x3fvEXT>();
  glTextureBufferEXT = Pointer<NativeFunction<GlTextureBufferEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glTextureBufferEXT'))).asFunction<GlTextureBufferEXT>();
  glMultiTexBufferEXT = Pointer<NativeFunction<GlMultiTexBufferEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMultiTexBufferEXT'))).asFunction<GlMultiTexBufferEXT>();
  glTextureParameterIivEXT = Pointer<NativeFunction<GlTextureParameterIivEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glTextureParameterIivEXT'))).asFunction<GlTextureParameterIivEXT>();
  glTextureParameterIuivEXT = Pointer<NativeFunction<GlTextureParameterIuivEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glTextureParameterIuivEXT'))).asFunction<GlTextureParameterIuivEXT>();
  glGetTextureParameterIivEXT = Pointer<NativeFunction<GlGetTextureParameterIivEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetTextureParameterIivEXT'))).asFunction<GlGetTextureParameterIivEXT>();
  glGetTextureParameterIuivEXT = Pointer<NativeFunction<GlGetTextureParameterIuivEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetTextureParameterIuivEXT'))).asFunction<GlGetTextureParameterIuivEXT>();
  glMultiTexParameterIivEXT = Pointer<NativeFunction<GlMultiTexParameterIivEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMultiTexParameterIivEXT'))).asFunction<GlMultiTexParameterIivEXT>();
  glMultiTexParameterIuivEXT = Pointer<NativeFunction<GlMultiTexParameterIuivEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMultiTexParameterIuivEXT'))).asFunction<GlMultiTexParameterIuivEXT>();
  glGetMultiTexParameterIivEXT = Pointer<NativeFunction<GlGetMultiTexParameterIivEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetMultiTexParameterIivEXT'))).asFunction<GlGetMultiTexParameterIivEXT>();
  glGetMultiTexParameterIuivEXT = Pointer<NativeFunction<GlGetMultiTexParameterIuivEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetMultiTexParameterIuivEXT'))).asFunction<GlGetMultiTexParameterIuivEXT>();
  glProgramUniform1uiEXT = Pointer<NativeFunction<GlProgramUniform1uiEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform1uiEXT'))).asFunction<GlProgramUniform1uiEXT>();
  glProgramUniform2uiEXT = Pointer<NativeFunction<GlProgramUniform2uiEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform2uiEXT'))).asFunction<GlProgramUniform2uiEXT>();
  glProgramUniform3uiEXT = Pointer<NativeFunction<GlProgramUniform3uiEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform3uiEXT'))).asFunction<GlProgramUniform3uiEXT>();
  glProgramUniform4uiEXT = Pointer<NativeFunction<GlProgramUniform4uiEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform4uiEXT'))).asFunction<GlProgramUniform4uiEXT>();
  glProgramUniform1uivEXT = Pointer<NativeFunction<GlProgramUniform1uivEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform1uivEXT'))).asFunction<GlProgramUniform1uivEXT>();
  glProgramUniform2uivEXT = Pointer<NativeFunction<GlProgramUniform2uivEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform2uivEXT'))).asFunction<GlProgramUniform2uivEXT>();
  glProgramUniform3uivEXT = Pointer<NativeFunction<GlProgramUniform3uivEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform3uivEXT'))).asFunction<GlProgramUniform3uivEXT>();
  glProgramUniform4uivEXT = Pointer<NativeFunction<GlProgramUniform4uivEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform4uivEXT'))).asFunction<GlProgramUniform4uivEXT>();
  glNamedProgramLocalParameters4fvEXT = Pointer<NativeFunction<GlNamedProgramLocalParameters4fvEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glNamedProgramLocalParameters4fvEXT'))).asFunction<GlNamedProgramLocalParameters4fvEXT>();
  glNamedProgramLocalParameterI4iEXT = Pointer<NativeFunction<GlNamedProgramLocalParameterI4iEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glNamedProgramLocalParameterI4iEXT'))).asFunction<GlNamedProgramLocalParameterI4iEXT>();
  glNamedProgramLocalParameterI4ivEXT = Pointer<NativeFunction<GlNamedProgramLocalParameterI4ivEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glNamedProgramLocalParameterI4ivEXT'))).asFunction<GlNamedProgramLocalParameterI4ivEXT>();
  glNamedProgramLocalParametersI4ivEXT = Pointer<NativeFunction<GlNamedProgramLocalParametersI4ivEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glNamedProgramLocalParametersI4ivEXT'))).asFunction<GlNamedProgramLocalParametersI4ivEXT>();
  glNamedProgramLocalParameterI4uiEXT = Pointer<NativeFunction<GlNamedProgramLocalParameterI4uiEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glNamedProgramLocalParameterI4uiEXT'))).asFunction<GlNamedProgramLocalParameterI4uiEXT>();
  glNamedProgramLocalParameterI4uivEXT = Pointer<NativeFunction<GlNamedProgramLocalParameterI4uivEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glNamedProgramLocalParameterI4uivEXT'))).asFunction<GlNamedProgramLocalParameterI4uivEXT>();
  glNamedProgramLocalParametersI4uivEXT = Pointer<NativeFunction<GlNamedProgramLocalParametersI4uivEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glNamedProgramLocalParametersI4uivEXT'))).asFunction<GlNamedProgramLocalParametersI4uivEXT>();
  glGetNamedProgramLocalParameterIivEXT = Pointer<NativeFunction<GlGetNamedProgramLocalParameterIivEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetNamedProgramLocalParameterIivEXT'))).asFunction<GlGetNamedProgramLocalParameterIivEXT>();
  glGetNamedProgramLocalParameterIuivEXT = Pointer<NativeFunction<GlGetNamedProgramLocalParameterIuivEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetNamedProgramLocalParameterIuivEXT'))).asFunction<GlGetNamedProgramLocalParameterIuivEXT>();
  glEnableClientStateiEXT = Pointer<NativeFunction<GlEnableClientStateiEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glEnableClientStateiEXT'))).asFunction<GlEnableClientStateiEXT>();
  glDisableClientStateiEXT = Pointer<NativeFunction<GlDisableClientStateiEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glDisableClientStateiEXT'))).asFunction<GlDisableClientStateiEXT>();
  glGetFloati_vEXT = Pointer<NativeFunction<GlGetFloati_vEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetFloati_vEXT'))).asFunction<GlGetFloati_vEXT>();
  glGetDoublei_vEXT = Pointer<NativeFunction<GlGetDoublei_vEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetDoublei_vEXT'))).asFunction<GlGetDoublei_vEXT>();
  glGetPointeri_vEXT = Pointer<NativeFunction<GlGetPointeri_vEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetPointeri_vEXT'))).asFunction<GlGetPointeri_vEXT>();
  glNamedProgramStringEXT = Pointer<NativeFunction<GlNamedProgramStringEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glNamedProgramStringEXT'))).asFunction<GlNamedProgramStringEXT>();
  glNamedProgramLocalParameter4dEXT = Pointer<NativeFunction<GlNamedProgramLocalParameter4dEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glNamedProgramLocalParameter4dEXT'))).asFunction<GlNamedProgramLocalParameter4dEXT>();
  glNamedProgramLocalParameter4dvEXT = Pointer<NativeFunction<GlNamedProgramLocalParameter4dvEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glNamedProgramLocalParameter4dvEXT'))).asFunction<GlNamedProgramLocalParameter4dvEXT>();
  glNamedProgramLocalParameter4fEXT = Pointer<NativeFunction<GlNamedProgramLocalParameter4fEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glNamedProgramLocalParameter4fEXT'))).asFunction<GlNamedProgramLocalParameter4fEXT>();
  glNamedProgramLocalParameter4fvEXT = Pointer<NativeFunction<GlNamedProgramLocalParameter4fvEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glNamedProgramLocalParameter4fvEXT'))).asFunction<GlNamedProgramLocalParameter4fvEXT>();
  glGetNamedProgramLocalParameterdvEXT = Pointer<NativeFunction<GlGetNamedProgramLocalParameterdvEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetNamedProgramLocalParameterdvEXT'))).asFunction<GlGetNamedProgramLocalParameterdvEXT>();
  glGetNamedProgramLocalParameterfvEXT = Pointer<NativeFunction<GlGetNamedProgramLocalParameterfvEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetNamedProgramLocalParameterfvEXT'))).asFunction<GlGetNamedProgramLocalParameterfvEXT>();
  glGetNamedProgramivEXT = Pointer<NativeFunction<GlGetNamedProgramivEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetNamedProgramivEXT'))).asFunction<GlGetNamedProgramivEXT>();
  glGetNamedProgramStringEXT = Pointer<NativeFunction<GlGetNamedProgramStringEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetNamedProgramStringEXT'))).asFunction<GlGetNamedProgramStringEXT>();
  glNamedRenderbufferStorageEXT = Pointer<NativeFunction<GlNamedRenderbufferStorageEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glNamedRenderbufferStorageEXT'))).asFunction<GlNamedRenderbufferStorageEXT>();
  glGetNamedRenderbufferParameterivEXT = Pointer<NativeFunction<GlGetNamedRenderbufferParameterivEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetNamedRenderbufferParameterivEXT'))).asFunction<GlGetNamedRenderbufferParameterivEXT>();
  glNamedRenderbufferStorageMultisampleEXT = Pointer<NativeFunction<GlNamedRenderbufferStorageMultisampleEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glNamedRenderbufferStorageMultisampleEXT'))).asFunction<GlNamedRenderbufferStorageMultisampleEXT>();
  glNamedRenderbufferStorageMultisampleCoverageEXT = Pointer<NativeFunction<GlNamedRenderbufferStorageMultisampleCoverageEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glNamedRenderbufferStorageMultisampleCoverageEXT'))).asFunction<GlNamedRenderbufferStorageMultisampleCoverageEXT>();
  glCheckNamedFramebufferStatusEXT = Pointer<NativeFunction<GlCheckNamedFramebufferStatusEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glCheckNamedFramebufferStatusEXT'))).asFunction<GlCheckNamedFramebufferStatusEXT>();
  glNamedFramebufferTexture1DEXT = Pointer<NativeFunction<GlNamedFramebufferTexture1DEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glNamedFramebufferTexture1DEXT'))).asFunction<GlNamedFramebufferTexture1DEXT>();
  glNamedFramebufferTexture2DEXT = Pointer<NativeFunction<GlNamedFramebufferTexture2DEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glNamedFramebufferTexture2DEXT'))).asFunction<GlNamedFramebufferTexture2DEXT>();
  glNamedFramebufferTexture3DEXT = Pointer<NativeFunction<GlNamedFramebufferTexture3DEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glNamedFramebufferTexture3DEXT'))).asFunction<GlNamedFramebufferTexture3DEXT>();
  glNamedFramebufferRenderbufferEXT = Pointer<NativeFunction<GlNamedFramebufferRenderbufferEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glNamedFramebufferRenderbufferEXT'))).asFunction<GlNamedFramebufferRenderbufferEXT>();
  glGetNamedFramebufferAttachmentParameterivEXT = Pointer<NativeFunction<GlGetNamedFramebufferAttachmentParameterivEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetNamedFramebufferAttachmentParameterivEXT'))).asFunction<GlGetNamedFramebufferAttachmentParameterivEXT>();
  glGenerateTextureMipmapEXT = Pointer<NativeFunction<GlGenerateTextureMipmapEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGenerateTextureMipmapEXT'))).asFunction<GlGenerateTextureMipmapEXT>();
  glGenerateMultiTexMipmapEXT = Pointer<NativeFunction<GlGenerateMultiTexMipmapEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGenerateMultiTexMipmapEXT'))).asFunction<GlGenerateMultiTexMipmapEXT>();
  glFramebufferDrawBufferEXT = Pointer<NativeFunction<GlFramebufferDrawBufferEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glFramebufferDrawBufferEXT'))).asFunction<GlFramebufferDrawBufferEXT>();
  glFramebufferDrawBuffersEXT = Pointer<NativeFunction<GlFramebufferDrawBuffersEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glFramebufferDrawBuffersEXT'))).asFunction<GlFramebufferDrawBuffersEXT>();
  glFramebufferReadBufferEXT = Pointer<NativeFunction<GlFramebufferReadBufferEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glFramebufferReadBufferEXT'))).asFunction<GlFramebufferReadBufferEXT>();
  glGetFramebufferParameterivEXT = Pointer<NativeFunction<GlGetFramebufferParameterivEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetFramebufferParameterivEXT'))).asFunction<GlGetFramebufferParameterivEXT>();
  glNamedCopyBufferSubDataEXT = Pointer<NativeFunction<GlNamedCopyBufferSubDataEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glNamedCopyBufferSubDataEXT'))).asFunction<GlNamedCopyBufferSubDataEXT>();
  glNamedFramebufferTextureEXT = Pointer<NativeFunction<GlNamedFramebufferTextureEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glNamedFramebufferTextureEXT'))).asFunction<GlNamedFramebufferTextureEXT>();
  glNamedFramebufferTextureLayerEXT = Pointer<NativeFunction<GlNamedFramebufferTextureLayerEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glNamedFramebufferTextureLayerEXT'))).asFunction<GlNamedFramebufferTextureLayerEXT>();
  glNamedFramebufferTextureFaceEXT = Pointer<NativeFunction<GlNamedFramebufferTextureFaceEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glNamedFramebufferTextureFaceEXT'))).asFunction<GlNamedFramebufferTextureFaceEXT>();
  glTextureRenderbufferEXT = Pointer<NativeFunction<GlTextureRenderbufferEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glTextureRenderbufferEXT'))).asFunction<GlTextureRenderbufferEXT>();
  glMultiTexRenderbufferEXT = Pointer<NativeFunction<GlMultiTexRenderbufferEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMultiTexRenderbufferEXT'))).asFunction<GlMultiTexRenderbufferEXT>();
  glVertexArrayVertexOffsetEXT = Pointer<NativeFunction<GlVertexArrayVertexOffsetEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexArrayVertexOffsetEXT'))).asFunction<GlVertexArrayVertexOffsetEXT>();
  glVertexArrayColorOffsetEXT = Pointer<NativeFunction<GlVertexArrayColorOffsetEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexArrayColorOffsetEXT'))).asFunction<GlVertexArrayColorOffsetEXT>();
  glVertexArrayEdgeFlagOffsetEXT = Pointer<NativeFunction<GlVertexArrayEdgeFlagOffsetEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexArrayEdgeFlagOffsetEXT'))).asFunction<GlVertexArrayEdgeFlagOffsetEXT>();
  glVertexArrayIndexOffsetEXT = Pointer<NativeFunction<GlVertexArrayIndexOffsetEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexArrayIndexOffsetEXT'))).asFunction<GlVertexArrayIndexOffsetEXT>();
  glVertexArrayNormalOffsetEXT = Pointer<NativeFunction<GlVertexArrayNormalOffsetEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexArrayNormalOffsetEXT'))).asFunction<GlVertexArrayNormalOffsetEXT>();
  glVertexArrayTexCoordOffsetEXT = Pointer<NativeFunction<GlVertexArrayTexCoordOffsetEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexArrayTexCoordOffsetEXT'))).asFunction<GlVertexArrayTexCoordOffsetEXT>();
  glVertexArrayMultiTexCoordOffsetEXT = Pointer<NativeFunction<GlVertexArrayMultiTexCoordOffsetEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexArrayMultiTexCoordOffsetEXT'))).asFunction<GlVertexArrayMultiTexCoordOffsetEXT>();
  glVertexArrayFogCoordOffsetEXT = Pointer<NativeFunction<GlVertexArrayFogCoordOffsetEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexArrayFogCoordOffsetEXT'))).asFunction<GlVertexArrayFogCoordOffsetEXT>();
  glVertexArraySecondaryColorOffsetEXT = Pointer<NativeFunction<GlVertexArraySecondaryColorOffsetEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexArraySecondaryColorOffsetEXT'))).asFunction<GlVertexArraySecondaryColorOffsetEXT>();
  glVertexArrayVertexAttribOffsetEXT = Pointer<NativeFunction<GlVertexArrayVertexAttribOffsetEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexArrayVertexAttribOffsetEXT'))).asFunction<GlVertexArrayVertexAttribOffsetEXT>();
  glVertexArrayVertexAttribIOffsetEXT = Pointer<NativeFunction<GlVertexArrayVertexAttribIOffsetEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexArrayVertexAttribIOffsetEXT'))).asFunction<GlVertexArrayVertexAttribIOffsetEXT>();
  glEnableVertexArrayEXT = Pointer<NativeFunction<GlEnableVertexArrayEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glEnableVertexArrayEXT'))).asFunction<GlEnableVertexArrayEXT>();
  glDisableVertexArrayEXT = Pointer<NativeFunction<GlDisableVertexArrayEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glDisableVertexArrayEXT'))).asFunction<GlDisableVertexArrayEXT>();
  glEnableVertexArrayAttribEXT = Pointer<NativeFunction<GlEnableVertexArrayAttribEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glEnableVertexArrayAttribEXT'))).asFunction<GlEnableVertexArrayAttribEXT>();
  glDisableVertexArrayAttribEXT = Pointer<NativeFunction<GlDisableVertexArrayAttribEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glDisableVertexArrayAttribEXT'))).asFunction<GlDisableVertexArrayAttribEXT>();
  glGetVertexArrayIntegervEXT = Pointer<NativeFunction<GlGetVertexArrayIntegervEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetVertexArrayIntegervEXT'))).asFunction<GlGetVertexArrayIntegervEXT>();
  glGetVertexArrayPointervEXT = Pointer<NativeFunction<GlGetVertexArrayPointervEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetVertexArrayPointervEXT'))).asFunction<GlGetVertexArrayPointervEXT>();
  glGetVertexArrayIntegeri_vEXT = Pointer<NativeFunction<GlGetVertexArrayIntegeri_vEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetVertexArrayIntegeri_vEXT'))).asFunction<GlGetVertexArrayIntegeri_vEXT>();
  glGetVertexArrayPointeri_vEXT = Pointer<NativeFunction<GlGetVertexArrayPointeri_vEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetVertexArrayPointeri_vEXT'))).asFunction<GlGetVertexArrayPointeri_vEXT>();
  glMapNamedBufferRangeEXT = Pointer<NativeFunction<GlMapNamedBufferRangeEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMapNamedBufferRangeEXT'))).asFunction<GlMapNamedBufferRangeEXT>();
  glFlushMappedNamedBufferRangeEXT = Pointer<NativeFunction<GlFlushMappedNamedBufferRangeEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glFlushMappedNamedBufferRangeEXT'))).asFunction<GlFlushMappedNamedBufferRangeEXT>();
  glNamedBufferStorageEXT = Pointer<NativeFunction<GlNamedBufferStorageEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glNamedBufferStorageEXT'))).asFunction<GlNamedBufferStorageEXT>();
  glClearNamedBufferDataEXT = Pointer<NativeFunction<GlClearNamedBufferDataEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glClearNamedBufferDataEXT'))).asFunction<GlClearNamedBufferDataEXT>();
  glClearNamedBufferSubDataEXT = Pointer<NativeFunction<GlClearNamedBufferSubDataEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glClearNamedBufferSubDataEXT'))).asFunction<GlClearNamedBufferSubDataEXT>();
  glNamedFramebufferParameteriEXT = Pointer<NativeFunction<GlNamedFramebufferParameteriEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glNamedFramebufferParameteriEXT'))).asFunction<GlNamedFramebufferParameteriEXT>();
  glGetNamedFramebufferParameterivEXT = Pointer<NativeFunction<GlGetNamedFramebufferParameterivEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetNamedFramebufferParameterivEXT'))).asFunction<GlGetNamedFramebufferParameterivEXT>();
  glProgramUniform1dEXT = Pointer<NativeFunction<GlProgramUniform1dEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform1dEXT'))).asFunction<GlProgramUniform1dEXT>();
  glProgramUniform2dEXT = Pointer<NativeFunction<GlProgramUniform2dEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform2dEXT'))).asFunction<GlProgramUniform2dEXT>();
  glProgramUniform3dEXT = Pointer<NativeFunction<GlProgramUniform3dEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform3dEXT'))).asFunction<GlProgramUniform3dEXT>();
  glProgramUniform4dEXT = Pointer<NativeFunction<GlProgramUniform4dEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform4dEXT'))).asFunction<GlProgramUniform4dEXT>();
  glProgramUniform1dvEXT = Pointer<NativeFunction<GlProgramUniform1dvEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform1dvEXT'))).asFunction<GlProgramUniform1dvEXT>();
  glProgramUniform2dvEXT = Pointer<NativeFunction<GlProgramUniform2dvEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform2dvEXT'))).asFunction<GlProgramUniform2dvEXT>();
  glProgramUniform3dvEXT = Pointer<NativeFunction<GlProgramUniform3dvEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform3dvEXT'))).asFunction<GlProgramUniform3dvEXT>();
  glProgramUniform4dvEXT = Pointer<NativeFunction<GlProgramUniform4dvEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform4dvEXT'))).asFunction<GlProgramUniform4dvEXT>();
  glProgramUniformMatrix2dvEXT = Pointer<NativeFunction<GlProgramUniformMatrix2dvEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniformMatrix2dvEXT'))).asFunction<GlProgramUniformMatrix2dvEXT>();
  glProgramUniformMatrix3dvEXT = Pointer<NativeFunction<GlProgramUniformMatrix3dvEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniformMatrix3dvEXT'))).asFunction<GlProgramUniformMatrix3dvEXT>();
  glProgramUniformMatrix4dvEXT = Pointer<NativeFunction<GlProgramUniformMatrix4dvEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniformMatrix4dvEXT'))).asFunction<GlProgramUniformMatrix4dvEXT>();
  glProgramUniformMatrix2x3dvEXT = Pointer<NativeFunction<GlProgramUniformMatrix2x3dvEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniformMatrix2x3dvEXT'))).asFunction<GlProgramUniformMatrix2x3dvEXT>();
  glProgramUniformMatrix2x4dvEXT = Pointer<NativeFunction<GlProgramUniformMatrix2x4dvEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniformMatrix2x4dvEXT'))).asFunction<GlProgramUniformMatrix2x4dvEXT>();
  glProgramUniformMatrix3x2dvEXT = Pointer<NativeFunction<GlProgramUniformMatrix3x2dvEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniformMatrix3x2dvEXT'))).asFunction<GlProgramUniformMatrix3x2dvEXT>();
  glProgramUniformMatrix3x4dvEXT = Pointer<NativeFunction<GlProgramUniformMatrix3x4dvEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniformMatrix3x4dvEXT'))).asFunction<GlProgramUniformMatrix3x4dvEXT>();
  glProgramUniformMatrix4x2dvEXT = Pointer<NativeFunction<GlProgramUniformMatrix4x2dvEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniformMatrix4x2dvEXT'))).asFunction<GlProgramUniformMatrix4x2dvEXT>();
  glProgramUniformMatrix4x3dvEXT = Pointer<NativeFunction<GlProgramUniformMatrix4x3dvEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniformMatrix4x3dvEXT'))).asFunction<GlProgramUniformMatrix4x3dvEXT>();
  glTextureBufferRangeEXT = Pointer<NativeFunction<GlTextureBufferRangeEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glTextureBufferRangeEXT'))).asFunction<GlTextureBufferRangeEXT>();
  glTextureStorage1DEXT = Pointer<NativeFunction<GlTextureStorage1DEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glTextureStorage1DEXT'))).asFunction<GlTextureStorage1DEXT>();
  glTextureStorage2DEXT = Pointer<NativeFunction<GlTextureStorage2DEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glTextureStorage2DEXT'))).asFunction<GlTextureStorage2DEXT>();
  glTextureStorage3DEXT = Pointer<NativeFunction<GlTextureStorage3DEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glTextureStorage3DEXT'))).asFunction<GlTextureStorage3DEXT>();
  glTextureStorage2DMultisampleEXT = Pointer<NativeFunction<GlTextureStorage2DMultisampleEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glTextureStorage2DMultisampleEXT'))).asFunction<GlTextureStorage2DMultisampleEXT>();
  glTextureStorage3DMultisampleEXT = Pointer<NativeFunction<GlTextureStorage3DMultisampleEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glTextureStorage3DMultisampleEXT'))).asFunction<GlTextureStorage3DMultisampleEXT>();
  glVertexArrayBindVertexBufferEXT = Pointer<NativeFunction<GlVertexArrayBindVertexBufferEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexArrayBindVertexBufferEXT'))).asFunction<GlVertexArrayBindVertexBufferEXT>();
  glVertexArrayVertexAttribFormatEXT = Pointer<NativeFunction<GlVertexArrayVertexAttribFormatEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexArrayVertexAttribFormatEXT'))).asFunction<GlVertexArrayVertexAttribFormatEXT>();
  glVertexArrayVertexAttribIFormatEXT = Pointer<NativeFunction<GlVertexArrayVertexAttribIFormatEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexArrayVertexAttribIFormatEXT'))).asFunction<GlVertexArrayVertexAttribIFormatEXT>();
  glVertexArrayVertexAttribLFormatEXT = Pointer<NativeFunction<GlVertexArrayVertexAttribLFormatEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexArrayVertexAttribLFormatEXT'))).asFunction<GlVertexArrayVertexAttribLFormatEXT>();
  glVertexArrayVertexAttribBindingEXT = Pointer<NativeFunction<GlVertexArrayVertexAttribBindingEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexArrayVertexAttribBindingEXT'))).asFunction<GlVertexArrayVertexAttribBindingEXT>();
  glVertexArrayVertexBindingDivisorEXT = Pointer<NativeFunction<GlVertexArrayVertexBindingDivisorEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexArrayVertexBindingDivisorEXT'))).asFunction<GlVertexArrayVertexBindingDivisorEXT>();
  glVertexArrayVertexAttribLOffsetEXT = Pointer<NativeFunction<GlVertexArrayVertexAttribLOffsetEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexArrayVertexAttribLOffsetEXT'))).asFunction<GlVertexArrayVertexAttribLOffsetEXT>();
  glTexturePageCommitmentEXT = Pointer<NativeFunction<GlTexturePageCommitmentEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glTexturePageCommitmentEXT'))).asFunction<GlTexturePageCommitmentEXT>();
  glVertexArrayVertexAttribDivisorEXT = Pointer<NativeFunction<GlVertexArrayVertexAttribDivisorEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexArrayVertexAttribDivisorEXT'))).asFunction<GlVertexArrayVertexAttribDivisorEXT>();
  glDrawArraysInstancedEXT = Pointer<NativeFunction<GlDrawArraysInstancedEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glDrawArraysInstancedEXT'))).asFunction<GlDrawArraysInstancedEXT>();
  glDrawElementsInstancedEXT = Pointer<NativeFunction<GlDrawElementsInstancedEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glDrawElementsInstancedEXT'))).asFunction<GlDrawElementsInstancedEXT>();
  glPolygonOffsetClampEXT = Pointer<NativeFunction<GlPolygonOffsetClampEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glPolygonOffsetClampEXT'))).asFunction<GlPolygonOffsetClampEXT>();
  glRasterSamplesEXT = Pointer<NativeFunction<GlRasterSamplesEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glRasterSamplesEXT'))).asFunction<GlRasterSamplesEXT>();
  glUseShaderProgramEXT = Pointer<NativeFunction<GlUseShaderProgramEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUseShaderProgramEXT'))).asFunction<GlUseShaderProgramEXT>();
  glActiveProgramEXT = Pointer<NativeFunction<GlActiveProgramEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glActiveProgramEXT'))).asFunction<GlActiveProgramEXT>();
  glCreateShaderProgramEXT = Pointer<NativeFunction<GlCreateShaderProgramEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glCreateShaderProgramEXT'))).asFunction<GlCreateShaderProgramEXT>();
  glFramebufferFetchBarrierEXT = Pointer<NativeFunction<GlFramebufferFetchBarrierEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glFramebufferFetchBarrierEXT'))).asFunction<GlFramebufferFetchBarrierEXT>();
  glWindowRectanglesEXT = Pointer<NativeFunction<GlWindowRectanglesEXTNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glWindowRectanglesEXT'))).asFunction<GlWindowRectanglesEXT>();
  glApplyFramebufferAttachmentCMAAINTEL = Pointer<NativeFunction<GlApplyFramebufferAttachmentCMAAINTELNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glApplyFramebufferAttachmentCMAAINTEL'))).asFunction<GlApplyFramebufferAttachmentCMAAINTEL>();
  glBeginPerfQueryINTEL = Pointer<NativeFunction<GlBeginPerfQueryINTELNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glBeginPerfQueryINTEL'))).asFunction<GlBeginPerfQueryINTEL>();
  glCreatePerfQueryINTEL = Pointer<NativeFunction<GlCreatePerfQueryINTELNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glCreatePerfQueryINTEL'))).asFunction<GlCreatePerfQueryINTEL>();
  glDeletePerfQueryINTEL = Pointer<NativeFunction<GlDeletePerfQueryINTELNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glDeletePerfQueryINTEL'))).asFunction<GlDeletePerfQueryINTEL>();
  glEndPerfQueryINTEL = Pointer<NativeFunction<GlEndPerfQueryINTELNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glEndPerfQueryINTEL'))).asFunction<GlEndPerfQueryINTEL>();
  glGetFirstPerfQueryIdINTEL = Pointer<NativeFunction<GlGetFirstPerfQueryIdINTELNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetFirstPerfQueryIdINTEL'))).asFunction<GlGetFirstPerfQueryIdINTEL>();
  glGetNextPerfQueryIdINTEL = Pointer<NativeFunction<GlGetNextPerfQueryIdINTELNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetNextPerfQueryIdINTEL'))).asFunction<GlGetNextPerfQueryIdINTEL>();
  glGetPerfCounterInfoINTEL = Pointer<NativeFunction<GlGetPerfCounterInfoINTELNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetPerfCounterInfoINTEL'))).asFunction<GlGetPerfCounterInfoINTEL>();
  glGetPerfQueryDataINTEL = Pointer<NativeFunction<GlGetPerfQueryDataINTELNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetPerfQueryDataINTEL'))).asFunction<GlGetPerfQueryDataINTEL>();
  glGetPerfQueryIdByNameINTEL = Pointer<NativeFunction<GlGetPerfQueryIdByNameINTELNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetPerfQueryIdByNameINTEL'))).asFunction<GlGetPerfQueryIdByNameINTEL>();
  glGetPerfQueryInfoINTEL = Pointer<NativeFunction<GlGetPerfQueryInfoINTELNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetPerfQueryInfoINTEL'))).asFunction<GlGetPerfQueryInfoINTEL>();
  glMultiDrawArraysIndirectBindlessNV = Pointer<NativeFunction<GlMultiDrawArraysIndirectBindlessNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMultiDrawArraysIndirectBindlessNV'))).asFunction<GlMultiDrawArraysIndirectBindlessNV>();
  glMultiDrawElementsIndirectBindlessNV = Pointer<NativeFunction<GlMultiDrawElementsIndirectBindlessNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMultiDrawElementsIndirectBindlessNV'))).asFunction<GlMultiDrawElementsIndirectBindlessNV>();
  glMultiDrawArraysIndirectBindlessCountNV = Pointer<NativeFunction<GlMultiDrawArraysIndirectBindlessCountNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMultiDrawArraysIndirectBindlessCountNV'))).asFunction<GlMultiDrawArraysIndirectBindlessCountNV>();
  glMultiDrawElementsIndirectBindlessCountNV = Pointer<NativeFunction<GlMultiDrawElementsIndirectBindlessCountNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMultiDrawElementsIndirectBindlessCountNV'))).asFunction<GlMultiDrawElementsIndirectBindlessCountNV>();
  glGetTextureHandleNV = Pointer<NativeFunction<GlGetTextureHandleNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetTextureHandleNV'))).asFunction<GlGetTextureHandleNV>();
  glGetTextureSamplerHandleNV = Pointer<NativeFunction<GlGetTextureSamplerHandleNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetTextureSamplerHandleNV'))).asFunction<GlGetTextureSamplerHandleNV>();
  glMakeTextureHandleResidentNV = Pointer<NativeFunction<GlMakeTextureHandleResidentNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMakeTextureHandleResidentNV'))).asFunction<GlMakeTextureHandleResidentNV>();
  glMakeTextureHandleNonResidentNV = Pointer<NativeFunction<GlMakeTextureHandleNonResidentNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMakeTextureHandleNonResidentNV'))).asFunction<GlMakeTextureHandleNonResidentNV>();
  glGetImageHandleNV = Pointer<NativeFunction<GlGetImageHandleNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetImageHandleNV'))).asFunction<GlGetImageHandleNV>();
  glMakeImageHandleResidentNV = Pointer<NativeFunction<GlMakeImageHandleResidentNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMakeImageHandleResidentNV'))).asFunction<GlMakeImageHandleResidentNV>();
  glMakeImageHandleNonResidentNV = Pointer<NativeFunction<GlMakeImageHandleNonResidentNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMakeImageHandleNonResidentNV'))).asFunction<GlMakeImageHandleNonResidentNV>();
  glUniformHandleui64NV = Pointer<NativeFunction<GlUniformHandleui64NVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniformHandleui64NV'))).asFunction<GlUniformHandleui64NV>();
  glUniformHandleui64vNV = Pointer<NativeFunction<GlUniformHandleui64vNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniformHandleui64vNV'))).asFunction<GlUniformHandleui64vNV>();
  glProgramUniformHandleui64NV = Pointer<NativeFunction<GlProgramUniformHandleui64NVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniformHandleui64NV'))).asFunction<GlProgramUniformHandleui64NV>();
  glProgramUniformHandleui64vNV = Pointer<NativeFunction<GlProgramUniformHandleui64vNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniformHandleui64vNV'))).asFunction<GlProgramUniformHandleui64vNV>();
  glIsTextureHandleResidentNV = Pointer<NativeFunction<GlIsTextureHandleResidentNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glIsTextureHandleResidentNV'))).asFunction<GlIsTextureHandleResidentNV>();
  glIsImageHandleResidentNV = Pointer<NativeFunction<GlIsImageHandleResidentNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glIsImageHandleResidentNV'))).asFunction<GlIsImageHandleResidentNV>();
  glBlendParameteriNV = Pointer<NativeFunction<GlBlendParameteriNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glBlendParameteriNV'))).asFunction<GlBlendParameteriNV>();
  glBlendBarrierNV = Pointer<NativeFunction<GlBlendBarrierNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glBlendBarrierNV'))).asFunction<GlBlendBarrierNV>();
  glViewportPositionWScaleNV = Pointer<NativeFunction<GlViewportPositionWScaleNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glViewportPositionWScaleNV'))).asFunction<GlViewportPositionWScaleNV>();
  glCreateStatesNV = Pointer<NativeFunction<GlCreateStatesNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glCreateStatesNV'))).asFunction<GlCreateStatesNV>();
  glDeleteStatesNV = Pointer<NativeFunction<GlDeleteStatesNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glDeleteStatesNV'))).asFunction<GlDeleteStatesNV>();
  glIsStateNV = Pointer<NativeFunction<GlIsStateNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glIsStateNV'))).asFunction<GlIsStateNV>();
  glStateCaptureNV = Pointer<NativeFunction<GlStateCaptureNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glStateCaptureNV'))).asFunction<GlStateCaptureNV>();
  glGetCommandHeaderNV = Pointer<NativeFunction<GlGetCommandHeaderNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetCommandHeaderNV'))).asFunction<GlGetCommandHeaderNV>();
  glGetStageIndexNV = Pointer<NativeFunction<GlGetStageIndexNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetStageIndexNV'))).asFunction<GlGetStageIndexNV>();
  glDrawCommandsNV = Pointer<NativeFunction<GlDrawCommandsNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glDrawCommandsNV'))).asFunction<GlDrawCommandsNV>();
  glDrawCommandsAddressNV = Pointer<NativeFunction<GlDrawCommandsAddressNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glDrawCommandsAddressNV'))).asFunction<GlDrawCommandsAddressNV>();
  glDrawCommandsStatesNV = Pointer<NativeFunction<GlDrawCommandsStatesNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glDrawCommandsStatesNV'))).asFunction<GlDrawCommandsStatesNV>();
  glDrawCommandsStatesAddressNV = Pointer<NativeFunction<GlDrawCommandsStatesAddressNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glDrawCommandsStatesAddressNV'))).asFunction<GlDrawCommandsStatesAddressNV>();
  glCreateCommandListsNV = Pointer<NativeFunction<GlCreateCommandListsNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glCreateCommandListsNV'))).asFunction<GlCreateCommandListsNV>();
  glDeleteCommandListsNV = Pointer<NativeFunction<GlDeleteCommandListsNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glDeleteCommandListsNV'))).asFunction<GlDeleteCommandListsNV>();
  glIsCommandListNV = Pointer<NativeFunction<GlIsCommandListNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glIsCommandListNV'))).asFunction<GlIsCommandListNV>();
  glListDrawCommandsStatesClientNV = Pointer<NativeFunction<GlListDrawCommandsStatesClientNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glListDrawCommandsStatesClientNV'))).asFunction<GlListDrawCommandsStatesClientNV>();
  glCommandListSegmentsNV = Pointer<NativeFunction<GlCommandListSegmentsNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glCommandListSegmentsNV'))).asFunction<GlCommandListSegmentsNV>();
  glCompileCommandListNV = Pointer<NativeFunction<GlCompileCommandListNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glCompileCommandListNV'))).asFunction<GlCompileCommandListNV>();
  glCallCommandListNV = Pointer<NativeFunction<GlCallCommandListNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glCallCommandListNV'))).asFunction<GlCallCommandListNV>();
  glBeginConditionalRenderNV = Pointer<NativeFunction<GlBeginConditionalRenderNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glBeginConditionalRenderNV'))).asFunction<GlBeginConditionalRenderNV>();
  glEndConditionalRenderNV = Pointer<NativeFunction<GlEndConditionalRenderNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glEndConditionalRenderNV'))).asFunction<GlEndConditionalRenderNV>();
  glSubpixelPrecisionBiasNV = Pointer<NativeFunction<GlSubpixelPrecisionBiasNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glSubpixelPrecisionBiasNV'))).asFunction<GlSubpixelPrecisionBiasNV>();
  glConservativeRasterParameterfNV = Pointer<NativeFunction<GlConservativeRasterParameterfNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glConservativeRasterParameterfNV'))).asFunction<GlConservativeRasterParameterfNV>();
  glConservativeRasterParameteriNV = Pointer<NativeFunction<GlConservativeRasterParameteriNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glConservativeRasterParameteriNV'))).asFunction<GlConservativeRasterParameteriNV>();
  glDrawVkImageNV = Pointer<NativeFunction<GlDrawVkImageNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glDrawVkImageNV'))).asFunction<GlDrawVkImageNV>();
  glGetVkProcAddrNV = Pointer<NativeFunction<GlGetVkProcAddrNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetVkProcAddrNV'))).asFunction<GlGetVkProcAddrNV>();
  glWaitVkSemaphoreNV = Pointer<NativeFunction<GlWaitVkSemaphoreNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glWaitVkSemaphoreNV'))).asFunction<GlWaitVkSemaphoreNV>();
  glSignalVkSemaphoreNV = Pointer<NativeFunction<GlSignalVkSemaphoreNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glSignalVkSemaphoreNV'))).asFunction<GlSignalVkSemaphoreNV>();
  glSignalVkFenceNV = Pointer<NativeFunction<GlSignalVkFenceNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glSignalVkFenceNV'))).asFunction<GlSignalVkFenceNV>();
  glFragmentCoverageColorNV = Pointer<NativeFunction<GlFragmentCoverageColorNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glFragmentCoverageColorNV'))).asFunction<GlFragmentCoverageColorNV>();
  glCoverageModulationTableNV = Pointer<NativeFunction<GlCoverageModulationTableNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glCoverageModulationTableNV'))).asFunction<GlCoverageModulationTableNV>();
  glGetCoverageModulationTableNV = Pointer<NativeFunction<GlGetCoverageModulationTableNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetCoverageModulationTableNV'))).asFunction<GlGetCoverageModulationTableNV>();
  glCoverageModulationNV = Pointer<NativeFunction<GlCoverageModulationNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glCoverageModulationNV'))).asFunction<GlCoverageModulationNV>();
  glRenderbufferStorageMultisampleCoverageNV = Pointer<NativeFunction<GlRenderbufferStorageMultisampleCoverageNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glRenderbufferStorageMultisampleCoverageNV'))).asFunction<GlRenderbufferStorageMultisampleCoverageNV>();
  glUniform1i64NV = Pointer<NativeFunction<GlUniform1i64NVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniform1i64NV'))).asFunction<GlUniform1i64NV>();
  glUniform2i64NV = Pointer<NativeFunction<GlUniform2i64NVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniform2i64NV'))).asFunction<GlUniform2i64NV>();
  glUniform3i64NV = Pointer<NativeFunction<GlUniform3i64NVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniform3i64NV'))).asFunction<GlUniform3i64NV>();
  glUniform4i64NV = Pointer<NativeFunction<GlUniform4i64NVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniform4i64NV'))).asFunction<GlUniform4i64NV>();
  glUniform1i64vNV = Pointer<NativeFunction<GlUniform1i64vNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniform1i64vNV'))).asFunction<GlUniform1i64vNV>();
  glUniform2i64vNV = Pointer<NativeFunction<GlUniform2i64vNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniform2i64vNV'))).asFunction<GlUniform2i64vNV>();
  glUniform3i64vNV = Pointer<NativeFunction<GlUniform3i64vNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniform3i64vNV'))).asFunction<GlUniform3i64vNV>();
  glUniform4i64vNV = Pointer<NativeFunction<GlUniform4i64vNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniform4i64vNV'))).asFunction<GlUniform4i64vNV>();
  glUniform1ui64NV = Pointer<NativeFunction<GlUniform1ui64NVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniform1ui64NV'))).asFunction<GlUniform1ui64NV>();
  glUniform2ui64NV = Pointer<NativeFunction<GlUniform2ui64NVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniform2ui64NV'))).asFunction<GlUniform2ui64NV>();
  glUniform3ui64NV = Pointer<NativeFunction<GlUniform3ui64NVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniform3ui64NV'))).asFunction<GlUniform3ui64NV>();
  glUniform4ui64NV = Pointer<NativeFunction<GlUniform4ui64NVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniform4ui64NV'))).asFunction<GlUniform4ui64NV>();
  glUniform1ui64vNV = Pointer<NativeFunction<GlUniform1ui64vNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniform1ui64vNV'))).asFunction<GlUniform1ui64vNV>();
  glUniform2ui64vNV = Pointer<NativeFunction<GlUniform2ui64vNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniform2ui64vNV'))).asFunction<GlUniform2ui64vNV>();
  glUniform3ui64vNV = Pointer<NativeFunction<GlUniform3ui64vNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniform3ui64vNV'))).asFunction<GlUniform3ui64vNV>();
  glUniform4ui64vNV = Pointer<NativeFunction<GlUniform4ui64vNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniform4ui64vNV'))).asFunction<GlUniform4ui64vNV>();
  glGetUniformi64vNV = Pointer<NativeFunction<GlGetUniformi64vNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetUniformi64vNV'))).asFunction<GlGetUniformi64vNV>();
  glProgramUniform1i64NV = Pointer<NativeFunction<GlProgramUniform1i64NVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform1i64NV'))).asFunction<GlProgramUniform1i64NV>();
  glProgramUniform2i64NV = Pointer<NativeFunction<GlProgramUniform2i64NVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform2i64NV'))).asFunction<GlProgramUniform2i64NV>();
  glProgramUniform3i64NV = Pointer<NativeFunction<GlProgramUniform3i64NVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform3i64NV'))).asFunction<GlProgramUniform3i64NV>();
  glProgramUniform4i64NV = Pointer<NativeFunction<GlProgramUniform4i64NVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform4i64NV'))).asFunction<GlProgramUniform4i64NV>();
  glProgramUniform1i64vNV = Pointer<NativeFunction<GlProgramUniform1i64vNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform1i64vNV'))).asFunction<GlProgramUniform1i64vNV>();
  glProgramUniform2i64vNV = Pointer<NativeFunction<GlProgramUniform2i64vNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform2i64vNV'))).asFunction<GlProgramUniform2i64vNV>();
  glProgramUniform3i64vNV = Pointer<NativeFunction<GlProgramUniform3i64vNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform3i64vNV'))).asFunction<GlProgramUniform3i64vNV>();
  glProgramUniform4i64vNV = Pointer<NativeFunction<GlProgramUniform4i64vNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform4i64vNV'))).asFunction<GlProgramUniform4i64vNV>();
  glProgramUniform1ui64NV = Pointer<NativeFunction<GlProgramUniform1ui64NVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform1ui64NV'))).asFunction<GlProgramUniform1ui64NV>();
  glProgramUniform2ui64NV = Pointer<NativeFunction<GlProgramUniform2ui64NVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform2ui64NV'))).asFunction<GlProgramUniform2ui64NV>();
  glProgramUniform3ui64NV = Pointer<NativeFunction<GlProgramUniform3ui64NVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform3ui64NV'))).asFunction<GlProgramUniform3ui64NV>();
  glProgramUniform4ui64NV = Pointer<NativeFunction<GlProgramUniform4ui64NVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform4ui64NV'))).asFunction<GlProgramUniform4ui64NV>();
  glProgramUniform1ui64vNV = Pointer<NativeFunction<GlProgramUniform1ui64vNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform1ui64vNV'))).asFunction<GlProgramUniform1ui64vNV>();
  glProgramUniform2ui64vNV = Pointer<NativeFunction<GlProgramUniform2ui64vNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform2ui64vNV'))).asFunction<GlProgramUniform2ui64vNV>();
  glProgramUniform3ui64vNV = Pointer<NativeFunction<GlProgramUniform3ui64vNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform3ui64vNV'))).asFunction<GlProgramUniform3ui64vNV>();
  glProgramUniform4ui64vNV = Pointer<NativeFunction<GlProgramUniform4ui64vNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniform4ui64vNV'))).asFunction<GlProgramUniform4ui64vNV>();
  glGetInternalformatSampleivNV = Pointer<NativeFunction<GlGetInternalformatSampleivNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetInternalformatSampleivNV'))).asFunction<GlGetInternalformatSampleivNV>();
  glGetMemoryObjectDetachedResourcesuivNV = Pointer<NativeFunction<GlGetMemoryObjectDetachedResourcesuivNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetMemoryObjectDetachedResourcesuivNV'))).asFunction<GlGetMemoryObjectDetachedResourcesuivNV>();
  glResetMemoryObjectParameterNV = Pointer<NativeFunction<GlResetMemoryObjectParameterNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glResetMemoryObjectParameterNV'))).asFunction<GlResetMemoryObjectParameterNV>();
  glTexAttachMemoryNV = Pointer<NativeFunction<GlTexAttachMemoryNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glTexAttachMemoryNV'))).asFunction<GlTexAttachMemoryNV>();
  glBufferAttachMemoryNV = Pointer<NativeFunction<GlBufferAttachMemoryNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glBufferAttachMemoryNV'))).asFunction<GlBufferAttachMemoryNV>();
  glTextureAttachMemoryNV = Pointer<NativeFunction<GlTextureAttachMemoryNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glTextureAttachMemoryNV'))).asFunction<GlTextureAttachMemoryNV>();
  glNamedBufferAttachMemoryNV = Pointer<NativeFunction<GlNamedBufferAttachMemoryNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glNamedBufferAttachMemoryNV'))).asFunction<GlNamedBufferAttachMemoryNV>();
  glDrawMeshTasksNV = Pointer<NativeFunction<GlDrawMeshTasksNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glDrawMeshTasksNV'))).asFunction<GlDrawMeshTasksNV>();
  glDrawMeshTasksIndirectNV = Pointer<NativeFunction<GlDrawMeshTasksIndirectNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glDrawMeshTasksIndirectNV'))).asFunction<GlDrawMeshTasksIndirectNV>();
  glMultiDrawMeshTasksIndirectNV = Pointer<NativeFunction<GlMultiDrawMeshTasksIndirectNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMultiDrawMeshTasksIndirectNV'))).asFunction<GlMultiDrawMeshTasksIndirectNV>();
  glMultiDrawMeshTasksIndirectCountNV = Pointer<NativeFunction<GlMultiDrawMeshTasksIndirectCountNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMultiDrawMeshTasksIndirectCountNV'))).asFunction<GlMultiDrawMeshTasksIndirectCountNV>();
  glGenPathsNV = Pointer<NativeFunction<GlGenPathsNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGenPathsNV'))).asFunction<GlGenPathsNV>();
  glDeletePathsNV = Pointer<NativeFunction<GlDeletePathsNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glDeletePathsNV'))).asFunction<GlDeletePathsNV>();
  glIsPathNV = Pointer<NativeFunction<GlIsPathNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glIsPathNV'))).asFunction<GlIsPathNV>();
  glPathCommandsNV = Pointer<NativeFunction<GlPathCommandsNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glPathCommandsNV'))).asFunction<GlPathCommandsNV>();
  glPathCoordsNV = Pointer<NativeFunction<GlPathCoordsNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glPathCoordsNV'))).asFunction<GlPathCoordsNV>();
  glPathSubCommandsNV = Pointer<NativeFunction<GlPathSubCommandsNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glPathSubCommandsNV'))).asFunction<GlPathSubCommandsNV>();
  glPathSubCoordsNV = Pointer<NativeFunction<GlPathSubCoordsNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glPathSubCoordsNV'))).asFunction<GlPathSubCoordsNV>();
  glPathStringNV = Pointer<NativeFunction<GlPathStringNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glPathStringNV'))).asFunction<GlPathStringNV>();
  glPathGlyphsNV = Pointer<NativeFunction<GlPathGlyphsNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glPathGlyphsNV'))).asFunction<GlPathGlyphsNV>();
  glPathGlyphRangeNV = Pointer<NativeFunction<GlPathGlyphRangeNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glPathGlyphRangeNV'))).asFunction<GlPathGlyphRangeNV>();
  glWeightPathsNV = Pointer<NativeFunction<GlWeightPathsNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glWeightPathsNV'))).asFunction<GlWeightPathsNV>();
  glCopyPathNV = Pointer<NativeFunction<GlCopyPathNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glCopyPathNV'))).asFunction<GlCopyPathNV>();
  glInterpolatePathsNV = Pointer<NativeFunction<GlInterpolatePathsNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glInterpolatePathsNV'))).asFunction<GlInterpolatePathsNV>();
  glTransformPathNV = Pointer<NativeFunction<GlTransformPathNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glTransformPathNV'))).asFunction<GlTransformPathNV>();
  glPathParameterivNV = Pointer<NativeFunction<GlPathParameterivNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glPathParameterivNV'))).asFunction<GlPathParameterivNV>();
  glPathParameteriNV = Pointer<NativeFunction<GlPathParameteriNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glPathParameteriNV'))).asFunction<GlPathParameteriNV>();
  glPathParameterfvNV = Pointer<NativeFunction<GlPathParameterfvNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glPathParameterfvNV'))).asFunction<GlPathParameterfvNV>();
  glPathParameterfNV = Pointer<NativeFunction<GlPathParameterfNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glPathParameterfNV'))).asFunction<GlPathParameterfNV>();
  glPathDashArrayNV = Pointer<NativeFunction<GlPathDashArrayNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glPathDashArrayNV'))).asFunction<GlPathDashArrayNV>();
  glPathStencilFuncNV = Pointer<NativeFunction<GlPathStencilFuncNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glPathStencilFuncNV'))).asFunction<GlPathStencilFuncNV>();
  glPathStencilDepthOffsetNV = Pointer<NativeFunction<GlPathStencilDepthOffsetNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glPathStencilDepthOffsetNV'))).asFunction<GlPathStencilDepthOffsetNV>();
  glStencilFillPathNV = Pointer<NativeFunction<GlStencilFillPathNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glStencilFillPathNV'))).asFunction<GlStencilFillPathNV>();
  glStencilStrokePathNV = Pointer<NativeFunction<GlStencilStrokePathNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glStencilStrokePathNV'))).asFunction<GlStencilStrokePathNV>();
  glStencilFillPathInstancedNV = Pointer<NativeFunction<GlStencilFillPathInstancedNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glStencilFillPathInstancedNV'))).asFunction<GlStencilFillPathInstancedNV>();
  glStencilStrokePathInstancedNV = Pointer<NativeFunction<GlStencilStrokePathInstancedNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glStencilStrokePathInstancedNV'))).asFunction<GlStencilStrokePathInstancedNV>();
  glPathCoverDepthFuncNV = Pointer<NativeFunction<GlPathCoverDepthFuncNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glPathCoverDepthFuncNV'))).asFunction<GlPathCoverDepthFuncNV>();
  glCoverFillPathNV = Pointer<NativeFunction<GlCoverFillPathNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glCoverFillPathNV'))).asFunction<GlCoverFillPathNV>();
  glCoverStrokePathNV = Pointer<NativeFunction<GlCoverStrokePathNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glCoverStrokePathNV'))).asFunction<GlCoverStrokePathNV>();
  glCoverFillPathInstancedNV = Pointer<NativeFunction<GlCoverFillPathInstancedNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glCoverFillPathInstancedNV'))).asFunction<GlCoverFillPathInstancedNV>();
  glCoverStrokePathInstancedNV = Pointer<NativeFunction<GlCoverStrokePathInstancedNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glCoverStrokePathInstancedNV'))).asFunction<GlCoverStrokePathInstancedNV>();
  glGetPathParameterivNV = Pointer<NativeFunction<GlGetPathParameterivNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetPathParameterivNV'))).asFunction<GlGetPathParameterivNV>();
  glGetPathParameterfvNV = Pointer<NativeFunction<GlGetPathParameterfvNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetPathParameterfvNV'))).asFunction<GlGetPathParameterfvNV>();
  glGetPathCommandsNV = Pointer<NativeFunction<GlGetPathCommandsNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetPathCommandsNV'))).asFunction<GlGetPathCommandsNV>();
  glGetPathCoordsNV = Pointer<NativeFunction<GlGetPathCoordsNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetPathCoordsNV'))).asFunction<GlGetPathCoordsNV>();
  glGetPathDashArrayNV = Pointer<NativeFunction<GlGetPathDashArrayNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetPathDashArrayNV'))).asFunction<GlGetPathDashArrayNV>();
  glGetPathMetricsNV = Pointer<NativeFunction<GlGetPathMetricsNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetPathMetricsNV'))).asFunction<GlGetPathMetricsNV>();
  glGetPathMetricRangeNV = Pointer<NativeFunction<GlGetPathMetricRangeNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetPathMetricRangeNV'))).asFunction<GlGetPathMetricRangeNV>();
  glGetPathSpacingNV = Pointer<NativeFunction<GlGetPathSpacingNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetPathSpacingNV'))).asFunction<GlGetPathSpacingNV>();
  glIsPointInFillPathNV = Pointer<NativeFunction<GlIsPointInFillPathNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glIsPointInFillPathNV'))).asFunction<GlIsPointInFillPathNV>();
  glIsPointInStrokePathNV = Pointer<NativeFunction<GlIsPointInStrokePathNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glIsPointInStrokePathNV'))).asFunction<GlIsPointInStrokePathNV>();
  glGetPathLengthNV = Pointer<NativeFunction<GlGetPathLengthNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetPathLengthNV'))).asFunction<GlGetPathLengthNV>();
  glPointAlongPathNV = Pointer<NativeFunction<GlPointAlongPathNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glPointAlongPathNV'))).asFunction<GlPointAlongPathNV>();
  glMatrixLoad3x2fNV = Pointer<NativeFunction<GlMatrixLoad3x2fNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMatrixLoad3x2fNV'))).asFunction<GlMatrixLoad3x2fNV>();
  glMatrixLoad3x3fNV = Pointer<NativeFunction<GlMatrixLoad3x3fNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMatrixLoad3x3fNV'))).asFunction<GlMatrixLoad3x3fNV>();
  glMatrixLoadTranspose3x3fNV = Pointer<NativeFunction<GlMatrixLoadTranspose3x3fNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMatrixLoadTranspose3x3fNV'))).asFunction<GlMatrixLoadTranspose3x3fNV>();
  glMatrixMult3x2fNV = Pointer<NativeFunction<GlMatrixMult3x2fNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMatrixMult3x2fNV'))).asFunction<GlMatrixMult3x2fNV>();
  glMatrixMult3x3fNV = Pointer<NativeFunction<GlMatrixMult3x3fNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMatrixMult3x3fNV'))).asFunction<GlMatrixMult3x3fNV>();
  glMatrixMultTranspose3x3fNV = Pointer<NativeFunction<GlMatrixMultTranspose3x3fNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMatrixMultTranspose3x3fNV'))).asFunction<GlMatrixMultTranspose3x3fNV>();
  glStencilThenCoverFillPathNV = Pointer<NativeFunction<GlStencilThenCoverFillPathNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glStencilThenCoverFillPathNV'))).asFunction<GlStencilThenCoverFillPathNV>();
  glStencilThenCoverStrokePathNV = Pointer<NativeFunction<GlStencilThenCoverStrokePathNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glStencilThenCoverStrokePathNV'))).asFunction<GlStencilThenCoverStrokePathNV>();
  glStencilThenCoverFillPathInstancedNV = Pointer<NativeFunction<GlStencilThenCoverFillPathInstancedNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glStencilThenCoverFillPathInstancedNV'))).asFunction<GlStencilThenCoverFillPathInstancedNV>();
  glStencilThenCoverStrokePathInstancedNV = Pointer<NativeFunction<GlStencilThenCoverStrokePathInstancedNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glStencilThenCoverStrokePathInstancedNV'))).asFunction<GlStencilThenCoverStrokePathInstancedNV>();
  glPathGlyphIndexRangeNV = Pointer<NativeFunction<GlPathGlyphIndexRangeNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glPathGlyphIndexRangeNV'))).asFunction<GlPathGlyphIndexRangeNV>();
  glPathGlyphIndexArrayNV = Pointer<NativeFunction<GlPathGlyphIndexArrayNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glPathGlyphIndexArrayNV'))).asFunction<GlPathGlyphIndexArrayNV>();
  glPathMemoryGlyphIndexArrayNV = Pointer<NativeFunction<GlPathMemoryGlyphIndexArrayNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glPathMemoryGlyphIndexArrayNV'))).asFunction<GlPathMemoryGlyphIndexArrayNV>();
  glProgramPathFragmentInputGenNV = Pointer<NativeFunction<GlProgramPathFragmentInputGenNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramPathFragmentInputGenNV'))).asFunction<GlProgramPathFragmentInputGenNV>();
  glGetProgramResourcefvNV = Pointer<NativeFunction<GlGetProgramResourcefvNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetProgramResourcefvNV'))).asFunction<GlGetProgramResourcefvNV>();
  glFramebufferSampleLocationsfvNV = Pointer<NativeFunction<GlFramebufferSampleLocationsfvNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glFramebufferSampleLocationsfvNV'))).asFunction<GlFramebufferSampleLocationsfvNV>();
  glNamedFramebufferSampleLocationsfvNV = Pointer<NativeFunction<GlNamedFramebufferSampleLocationsfvNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glNamedFramebufferSampleLocationsfvNV'))).asFunction<GlNamedFramebufferSampleLocationsfvNV>();
  glResolveDepthValuesNV = Pointer<NativeFunction<GlResolveDepthValuesNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glResolveDepthValuesNV'))).asFunction<GlResolveDepthValuesNV>();
  glScissorExclusiveNV = Pointer<NativeFunction<GlScissorExclusiveNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glScissorExclusiveNV'))).asFunction<GlScissorExclusiveNV>();
  glScissorExclusiveArrayvNV = Pointer<NativeFunction<GlScissorExclusiveArrayvNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glScissorExclusiveArrayvNV'))).asFunction<GlScissorExclusiveArrayvNV>();
  glMakeBufferResidentNV = Pointer<NativeFunction<GlMakeBufferResidentNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMakeBufferResidentNV'))).asFunction<GlMakeBufferResidentNV>();
  glMakeBufferNonResidentNV = Pointer<NativeFunction<GlMakeBufferNonResidentNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMakeBufferNonResidentNV'))).asFunction<GlMakeBufferNonResidentNV>();
  glIsBufferResidentNV = Pointer<NativeFunction<GlIsBufferResidentNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glIsBufferResidentNV'))).asFunction<GlIsBufferResidentNV>();
  glMakeNamedBufferResidentNV = Pointer<NativeFunction<GlMakeNamedBufferResidentNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMakeNamedBufferResidentNV'))).asFunction<GlMakeNamedBufferResidentNV>();
  glMakeNamedBufferNonResidentNV = Pointer<NativeFunction<GlMakeNamedBufferNonResidentNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glMakeNamedBufferNonResidentNV'))).asFunction<GlMakeNamedBufferNonResidentNV>();
  glIsNamedBufferResidentNV = Pointer<NativeFunction<GlIsNamedBufferResidentNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glIsNamedBufferResidentNV'))).asFunction<GlIsNamedBufferResidentNV>();
  glGetBufferParameterui64vNV = Pointer<NativeFunction<GlGetBufferParameterui64vNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetBufferParameterui64vNV'))).asFunction<GlGetBufferParameterui64vNV>();
  glGetNamedBufferParameterui64vNV = Pointer<NativeFunction<GlGetNamedBufferParameterui64vNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetNamedBufferParameterui64vNV'))).asFunction<GlGetNamedBufferParameterui64vNV>();
  glGetIntegerui64vNV = Pointer<NativeFunction<GlGetIntegerui64vNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetIntegerui64vNV'))).asFunction<GlGetIntegerui64vNV>();
  glUniformui64NV = Pointer<NativeFunction<GlUniformui64NVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniformui64NV'))).asFunction<GlUniformui64NV>();
  glUniformui64vNV = Pointer<NativeFunction<GlUniformui64vNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glUniformui64vNV'))).asFunction<GlUniformui64vNV>();
  glGetUniformui64vNV = Pointer<NativeFunction<GlGetUniformui64vNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetUniformui64vNV'))).asFunction<GlGetUniformui64vNV>();
  glProgramUniformui64NV = Pointer<NativeFunction<GlProgramUniformui64NVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniformui64NV'))).asFunction<GlProgramUniformui64NV>();
  glProgramUniformui64vNV = Pointer<NativeFunction<GlProgramUniformui64vNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glProgramUniformui64vNV'))).asFunction<GlProgramUniformui64vNV>();
  glBindShadingRateImageNV = Pointer<NativeFunction<GlBindShadingRateImageNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glBindShadingRateImageNV'))).asFunction<GlBindShadingRateImageNV>();
  glGetShadingRateImagePaletteNV = Pointer<NativeFunction<GlGetShadingRateImagePaletteNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetShadingRateImagePaletteNV'))).asFunction<GlGetShadingRateImagePaletteNV>();
  glGetShadingRateSampleLocationivNV = Pointer<NativeFunction<GlGetShadingRateSampleLocationivNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetShadingRateSampleLocationivNV'))).asFunction<GlGetShadingRateSampleLocationivNV>();
  glShadingRateImageBarrierNV = Pointer<NativeFunction<GlShadingRateImageBarrierNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glShadingRateImageBarrierNV'))).asFunction<GlShadingRateImageBarrierNV>();
  glShadingRateImagePaletteNV = Pointer<NativeFunction<GlShadingRateImagePaletteNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glShadingRateImagePaletteNV'))).asFunction<GlShadingRateImagePaletteNV>();
  glShadingRateSampleOrderNV = Pointer<NativeFunction<GlShadingRateSampleOrderNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glShadingRateSampleOrderNV'))).asFunction<GlShadingRateSampleOrderNV>();
  glShadingRateSampleOrderCustomNV = Pointer<NativeFunction<GlShadingRateSampleOrderCustomNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glShadingRateSampleOrderCustomNV'))).asFunction<GlShadingRateSampleOrderCustomNV>();
  glTextureBarrierNV = Pointer<NativeFunction<GlTextureBarrierNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glTextureBarrierNV'))).asFunction<GlTextureBarrierNV>();
  glVertexAttribL1i64NV = Pointer<NativeFunction<GlVertexAttribL1i64NVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttribL1i64NV'))).asFunction<GlVertexAttribL1i64NV>();
  glVertexAttribL2i64NV = Pointer<NativeFunction<GlVertexAttribL2i64NVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttribL2i64NV'))).asFunction<GlVertexAttribL2i64NV>();
  glVertexAttribL3i64NV = Pointer<NativeFunction<GlVertexAttribL3i64NVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttribL3i64NV'))).asFunction<GlVertexAttribL3i64NV>();
  glVertexAttribL4i64NV = Pointer<NativeFunction<GlVertexAttribL4i64NVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttribL4i64NV'))).asFunction<GlVertexAttribL4i64NV>();
  glVertexAttribL1i64vNV = Pointer<NativeFunction<GlVertexAttribL1i64vNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttribL1i64vNV'))).asFunction<GlVertexAttribL1i64vNV>();
  glVertexAttribL2i64vNV = Pointer<NativeFunction<GlVertexAttribL2i64vNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttribL2i64vNV'))).asFunction<GlVertexAttribL2i64vNV>();
  glVertexAttribL3i64vNV = Pointer<NativeFunction<GlVertexAttribL3i64vNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttribL3i64vNV'))).asFunction<GlVertexAttribL3i64vNV>();
  glVertexAttribL4i64vNV = Pointer<NativeFunction<GlVertexAttribL4i64vNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttribL4i64vNV'))).asFunction<GlVertexAttribL4i64vNV>();
  glVertexAttribL1ui64NV = Pointer<NativeFunction<GlVertexAttribL1ui64NVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttribL1ui64NV'))).asFunction<GlVertexAttribL1ui64NV>();
  glVertexAttribL2ui64NV = Pointer<NativeFunction<GlVertexAttribL2ui64NVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttribL2ui64NV'))).asFunction<GlVertexAttribL2ui64NV>();
  glVertexAttribL3ui64NV = Pointer<NativeFunction<GlVertexAttribL3ui64NVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttribL3ui64NV'))).asFunction<GlVertexAttribL3ui64NV>();
  glVertexAttribL4ui64NV = Pointer<NativeFunction<GlVertexAttribL4ui64NVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttribL4ui64NV'))).asFunction<GlVertexAttribL4ui64NV>();
  glVertexAttribL1ui64vNV = Pointer<NativeFunction<GlVertexAttribL1ui64vNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttribL1ui64vNV'))).asFunction<GlVertexAttribL1ui64vNV>();
  glVertexAttribL2ui64vNV = Pointer<NativeFunction<GlVertexAttribL2ui64vNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttribL2ui64vNV'))).asFunction<GlVertexAttribL2ui64vNV>();
  glVertexAttribL3ui64vNV = Pointer<NativeFunction<GlVertexAttribL3ui64vNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttribL3ui64vNV'))).asFunction<GlVertexAttribL3ui64vNV>();
  glVertexAttribL4ui64vNV = Pointer<NativeFunction<GlVertexAttribL4ui64vNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttribL4ui64vNV'))).asFunction<GlVertexAttribL4ui64vNV>();
  glGetVertexAttribLi64vNV = Pointer<NativeFunction<GlGetVertexAttribLi64vNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetVertexAttribLi64vNV'))).asFunction<GlGetVertexAttribLi64vNV>();
  glGetVertexAttribLui64vNV = Pointer<NativeFunction<GlGetVertexAttribLui64vNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetVertexAttribLui64vNV'))).asFunction<GlGetVertexAttribLui64vNV>();
  glVertexAttribLFormatNV = Pointer<NativeFunction<GlVertexAttribLFormatNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttribLFormatNV'))).asFunction<GlVertexAttribLFormatNV>();
  glBufferAddressRangeNV = Pointer<NativeFunction<GlBufferAddressRangeNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glBufferAddressRangeNV'))).asFunction<GlBufferAddressRangeNV>();
  glVertexFormatNV = Pointer<NativeFunction<GlVertexFormatNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexFormatNV'))).asFunction<GlVertexFormatNV>();
  glNormalFormatNV = Pointer<NativeFunction<GlNormalFormatNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glNormalFormatNV'))).asFunction<GlNormalFormatNV>();
  glColorFormatNV = Pointer<NativeFunction<GlColorFormatNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glColorFormatNV'))).asFunction<GlColorFormatNV>();
  glIndexFormatNV = Pointer<NativeFunction<GlIndexFormatNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glIndexFormatNV'))).asFunction<GlIndexFormatNV>();
  glTexCoordFormatNV = Pointer<NativeFunction<GlTexCoordFormatNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glTexCoordFormatNV'))).asFunction<GlTexCoordFormatNV>();
  glEdgeFlagFormatNV = Pointer<NativeFunction<GlEdgeFlagFormatNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glEdgeFlagFormatNV'))).asFunction<GlEdgeFlagFormatNV>();
  glSecondaryColorFormatNV = Pointer<NativeFunction<GlSecondaryColorFormatNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glSecondaryColorFormatNV'))).asFunction<GlSecondaryColorFormatNV>();
  glFogCoordFormatNV = Pointer<NativeFunction<GlFogCoordFormatNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glFogCoordFormatNV'))).asFunction<GlFogCoordFormatNV>();
  glVertexAttribFormatNV = Pointer<NativeFunction<GlVertexAttribFormatNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttribFormatNV'))).asFunction<GlVertexAttribFormatNV>();
  glVertexAttribIFormatNV = Pointer<NativeFunction<GlVertexAttribIFormatNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glVertexAttribIFormatNV'))).asFunction<GlVertexAttribIFormatNV>();
  glGetIntegerui64i_vNV = Pointer<NativeFunction<GlGetIntegerui64i_vNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glGetIntegerui64i_vNV'))).asFunction<GlGetIntegerui64i_vNV>();
  glViewportSwizzleNV = Pointer<NativeFunction<GlViewportSwizzleNVNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glViewportSwizzleNV'))).asFunction<GlViewportSwizzleNV>();
  glFramebufferTextureMultiviewOVR = Pointer<NativeFunction<GlFramebufferTextureMultiviewOVRNative>>.fromAddress(glGetProcAddress(NativeString.fromString('glFramebufferTextureMultiviewOVR'))).asFunction<GlFramebufferTextureMultiviewOVR>();
}

